<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="/">
	<html>
		<head>
			<style>
				body {font-family:Arial, sans-serif }
      	button {cursor:pointer; border-width: 2; }
				.hand {cursor:pointer; font-family:Verdana; font-weight:bold; font-size:xx-small }
				.button {color:red; font-family:courier, monospace; font-weight: bold; font-size:medium } 
      	.sumhead {font-weight:bold; font-size:small }
				table.criteria {padding: 1px; border-width: 1; font-size: x-small; width:360 }
				table.summary { display:none; spacing:2; padding:0; background-color:#ffffff; border:0; font-size:x-small }
				.recordhead {font-family:Verdana; font-size:x-small; color:#ffffff; background-color:#006666; text-align:left }
				.detailhead {background-color:#badcdc; font-size:x-small; font-weight:bold }
				.detail {background-color:#eef7f7; font-family:Verdana, sans-serif; font-size:xx-small; text-align:center }
				table.expand {width: 790px; border: 0; display: none; background-color: #ffffff }
				em {color: red; font-weight: bold }
				caption {font-size: x-small; color:#408080 }
			</style>
		</head>
		<body title="Cressida Technology - ReQuest Event Report" style="border-right-color: #000000">
			<table borderColor="#000000" width="65%" align="center" border="1">
				<tbody>
					<tr>
						<td>
						<table width="860" align="center" border="0" style="table-layout: auto; border-bottom-color: #ffffff; ; height: 75px">
							<tbody>
								<tr>
									<td>
										<div align="center" style="color: #ffffff">&#160;&#160; 
											<img hspace="0" src="logo.jpg" align="baseline" border="0"/><![CDATA[ ]]>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
						<h2 align="center">ReQuest™ for WebSphere® MQ</h2>
						<h3 align="center" style="color: #408080">Event Report</h3>
						<table class="criteria" align="center">
							<thead>
								<tr style="background-color:#badcdc">
									<th colSpan="2">Report Criteria</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<th align="right">Report Time</th>
									<td><xsl:value-of select=".//ReportCriteria/ReportTime"/></td>
								</tr>
								<tr style="background-color:#e8e8e8">
									<th align="right">Start Time</th>
									<td><xsl:value-of select=".//ReportCriteria/StartTime"/></td>
								</tr>
								<tr>
									<th align="right">End Time</th>
									<td><xsl:value-of select=".//ReportCriteria/EndTime"/></td>
								</tr>
    						<tr style="background-color:#e8e8e8">
									<th style="text-align: right; vertical-align: top">Queue Managers</th>
									<td>
										<xsl:for-each select=".//ReportCriteria/QMgr">
										<xsl:sort select="Name" order="ascending"/>
											<xsl:value-of select="Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)<br/>
										</xsl:for-each>
									</td>
								</tr>
							</tbody>
						</table>
						<hr/>
						<table cellPadding="1" width="850" align="center" border="0">
							<thead>
								<tr class="detailhead">
									<th>Event ID</th>
									<th>Time</th>
									<th>Source Queue Manager</th>
									<th>Target Queue Manager</th>
									<th>Event Text</th>
								</tr>
							</thead>
							<tbody>
								<xsl:for-each select="EventReport/Item">
									<xsl:sort select=".//Milliseconds"/>
									<tr class="detail">
										<td><xsl:value-of select=".//Id"/></td>
										<td><xsl:value-of select=".//Time"/></td>
										<td><xsl:value-of select=".//SourceQM"/></td>
										<td><xsl:value-of select=".//TargetQM"/></td>
										<td><xsl:value-of select=".//Text"/></td>
									</tr>
								</xsl:for-each>
							</tbody>
						</table>
						<p/>
						<table align="center" style="background-color:#e8e8e8">
							<tbody >
								<tr >
									<td style="font-size:xx-small">
										Copyright © 2009 Cressida Technology Ltd
									</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
			</tbody>
		</table>
	</body>
</html>
</xsl:template>
</xsl:stylesheet>
