<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0"/>
<xsl:decimal-format name="EURO"
                          grouping-separator=" "/>

<xsl:template match="/">
	<html>
		<head>
		<script type="text/javascript">
			<![CDATA[
				isNav = (navigator.appName == "Netscape");
				isIE = (navigator.appName.indexOf("Microsoft") > -1);
				
				function change(element) {
					var mark=element.childNodes[0].childNodes[0];
					if (mark.innerHTML=="+") {
						mark.parentNode.title="Click here to collapse";
						mark.innerHTML="-";
						for (var i=1;i<element.childNodes.length;i++) {
							element.childNodes[i].style.display="block";
						}
					}
					else if (mark.innerHTML=="-") {
						mark.parentNode.title="Click here to expand";
						mark.innerHTML="+";
						for (var i=1;i<element.childNodes.length;i++) {
							element.childNodes[i].style.display="none";
						}
					}
				}
				
				function gotClick(evt) {
					var element;
					if (isIE) element=window.event.srcElement;
					else	element = evt.target;
					if (element.className!="hand")
						element=element.parentNode;
					if (element.className!="hand") return;
					element=element.parentNode;
					//alert("class: " + element.className + ", tag: " + element.tagName);
					change(element);
				}
				
				document.onclick=gotClick;
			]]>
		</script>
			<style>
	     body {font-family:Arial, sans-serif;}
		 button {cursor:pointer; border-width: 2; }
		 .hand {cursor:pointer; font-family:Verdana; font-weight:bold; font-size:xx-small }
	      h2 {font-size:large; text-align:center}
	      h3 {font-size:medium; text-align:center; color:#408080}
	      h4 {font-size:x-small; text-align:center; color:#408080}
		.button {color:red; font-family:courier, monospace; font-weight: bold; font-size:medium }
		.button2 {color:red; font-family:Arial, monospace; font-size: medium } 
      	.sumhead {font-weight:bold; font-size:small }
		.sumhead2 {font-weight:bold; font-size: x-small; font-family:Arial, monospace }
	      table.criteria {padding: 10px; border-width: 1; font-size: x-small;}
		  table.criteria2 {padding: 1px; border-width: 1; font-size: x-small; width:360 }
		  table.summary { display:none; spacing:2; padding:0; background-color:#ffffff; border:0; font-size:xx-small}
	      .heading {font-family:Verdana, sans-serif; font-size:xx-small; color:#ffffff }
	      .heading2 {font-family:Verdana, sans-serif; font-size:xx-small }
	      .detail {font-family:Arial, sans-serif; font-size:xx-small }
		  .recordhead {font-family:Verdana; font-size:x-small; color:#ffffff; background-color:#006666; text-align:left }
		  .detailhead {background-color:#badcdc; font-size:x-small; font-weight:bold }
		   table.expand {width: 790px; border: 0; display: none; background-color: #ffffff }
		   em {color: red; font-weight: bold }
		caption {font-size: x-small; color:#408080 }
      </style>
	  </head>
		<body>
			<table borderColor="#000000" width="65%" align="center" border="1">
				<tbody>
					<tr>
						<td>
							<table align="center" style="table-layout: auto; border: 0; ; height: 75px; width: 860">
								<tbody>
									<tr>
										<td>
											<div align="center" style="color: #ffffff">&#160;&#160; 
												<img hspace="0" src="logo.jpg" align="baseline" border="0"/>
											</div>
										</td>
									</tr>
								</tbody>
							</table>
						<h2>ReQuest™ for WebSphere® MQ</h2>
						<h3><xsl:value-of select="MessageLoad/Title" /> Report</h3>
						<table class="criteria" align="center">
							<thead>
								<tr style="background-color:#badcdc">
        					<th colspan="2">Report Criteria</th>
								</tr>
        			</thead>
        			<tbody>
								<tr>
									<th align="right">Report Time</th>
									<td><xsl:value-of select=".//ReportTime"/></td>
								</tr>
								
								
				<xsl:choose> 
						<xsl:when test=".//PerQmgrSettings = 'No'"> 									   
									
							<xsl:if test=".//ReportTimeBased = 'Yes'">

									<tr style="background-color:#e8e8e8">
										<th align="right">Start Time</th>
										<td><xsl:value-of select=".//StartTime"/></td>
									</tr>
									<tr>
										<th align="right">End Time</th>
										<td><xsl:value-of select=".//EndTime"/></td>
									</tr>
							</xsl:if>
									
							<xsl:if test=".//ReportTimeBased = 'No'">
										<tr style="background-color:#e8e8e8">
											<th align="right">Start LSN/RBA</th>
											<td><xsl:value-of select=".//LSNFrom"/></td>
										</tr>
										<tr>
											<th align="right">End LSN/RBA</th>
											<td><xsl:value-of select=".//LSNTo"/></td>
										</tr>
							</xsl:if>
						<tr style="background-color:#e8e8e8">
																<th align="right">Log File From:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileFrom = -1"> 
																    <td align="left">Beginning</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileFrom"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																

															</tr>
															<tr>
																<th align="right">Log File To:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileTo = -1"> 
																    <td align="left">End</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileTo"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																</tr>
								<tr style="background-color:#e8e8e8">
          				<th align="right">Filter</th>
          				<td><xsl:value-of select=".//FilterName"/></td>
          			</tr>


          												<tr style="background-color:#badcdc">
										<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Queue Set Content</th>
										
										</tr>
									<xsl:for-each select="MessageLoad/ReportCriteria/QMgr">
									<xsl:sort select="Name" order="ascending"/>
										<tr style="background-color:#e8e8e8">
											<th style="text-align: right">Queue Manager</th>
											<td><xsl:value-of select="Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)</td>
										</tr>
										<xsl:for-each select="QueueName">
										<xsl:sort select="." order="ascending"/>
											<tr>
												<td/>
												<td><xsl:value-of select="."/></td>
											</tr>
										</xsl:for-each>
									</xsl:for-each>								
									  </xsl:when>

									<xsl:otherwise>

									  	<tr bgColor="#e8e8e8">
											<th align="right">Filter</th>
											<td><xsl:value-of select=".//FilterName"/></td>
										</tr>
										<tr>
										
										<td>&#160;</td>
										</tr>
										<tr style="background-color:#badcdc">
										<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Individual Queue Manager Settings</th>
										</tr> 
									  	<tr>
											<th colSpan="2">
							   
											<xsl:for-each select="//ReportCriteria/QMgr">

												<table align="center" width="300">
														<thead>
									  	
														<tr style="background-color:#e8e8e8" colSpan="2">
														<th >	
														<div class="criteria2" colSpan="2" align="center">
															<span class="hand" title="Click here to expand">
																<a class="button">+</a>
																<b class="sumhead2">&#160;<xsl:value-of select=".//Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)</b>
															</span>
															<table class="summary" width="300" align="center">

																<tbody>
															<tr>
																<th align="left">Agent Name:</th>
																<td align="left"><xsl:value-of select=".//AgentName"/></td>
															</tr>
														<xsl:if test=".//ReportTimeBased = 'Yes'">
															<tr style="background-color:#e8e8e8">
																<th align="left">Start Time:</th>
																<td align="left"><xsl:value-of select=".//StartTime"/></td>
															</tr> 
															<tr>
																<th align="left">End Time:</th>
																<td align="left"><xsl:value-of select=".//EndTime"/></td>
															</tr>
															
															</xsl:if>     
														<xsl:if test=".//ReportTimeBased = 'No'">
															<tr style="background-color:#e8e8e8">
																<th align="left">Start LSN/RBA</th>
																<td align="left" width="200"><xsl:value-of select=".//LSNFrom"/></td>
															</tr>
															<tr>
																<th align="left">End LSN/RBA</th>
																<td align="left" width="200"><xsl:value-of select=".//LSNTo"/></td>
															</tr>   
														</xsl:if>
														<tr style="background-color:#e8e8e8">
																<th align="left">Log File From:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileFrom = -1"> 
																    <td align="left">Beginning</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileFrom"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																

															</tr>
															<tr>
																<th align="left">Log File To:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileTo = -1"> 
																    <td align="left">End</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileTo"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																
															</tr>

															<tr style="background-color:#e8e8e8">
																<th align="left">Queue Name:</th>
																<td align="left"><xsl:value-of select=".//QueueName"/></td>
															</tr>    			
																</tbody>
															</table>
														</div>

														</th>
														</tr>
														</thead>
														</table>
														</xsl:for-each>
													</th>
												</tr>				
									  </xsl:otherwise>
									</xsl:choose>

								</tbody>
      				</table>
    					<hr/>

    					<div align="center">
        
							<h4>Summary of Puts and Gets</h4>
        
							<table border="0" cellpadding="2" cellspacing="2">
								<tr style="background-color:#2f5e5e">
                	<th colspan="2" class="heading">Queue Definition</th>
               	 	<th colspan="3" class="heading">Total Operations</th>
	                <th colspan="3" class="heading">Committed Operations</th>
  	              <th colspan="3" class="heading">Rolled Back Operations</th>
    	            <th colspan="3" class="heading">Uncommitted Operations</th>
      	  	    </tr>
        	  	  <tr style="background-color:#badcdc">
              	  <th class="heading2">Queue Manager</th>
                	<th class="heading2">Queue</th>
	                <th class="heading2">Puts</th>
  	              <th class="heading2">Total User Msg Length</th>
    	            <th class="heading2">Gets</th>
      	          <th class="heading2">Puts</th>
        	        <th class="heading2">Total User Msg Length</th>
          	      <th class="heading2">Gets</th>
            	    <th class="heading2">Puts</th>
              	  <th class="heading2">Total User Msg Length</th>
                	<th class="heading2">Gets</th>
	                <th class="heading2">Puts</th>
  	              <th class="heading2">Total User Msg Length</th>
    	            <th class="heading2">Gets</th>
      		      </tr>
            	<xsl:for-each select="MessageLoad/Record">
            		<tr align="center" style="background-color:#eef7f7">
              	  <td class="detail"><xsl:value-of select="QMgr"/></td>
                	<td class="detail"><xsl:value-of select="QueueName"/></td>
	                <td class="detail"><xsl:value-of select="format-number(NumPuts,'# ### ### ##0','EURO')"/></td>
  	              <td class="detail"><xsl:value-of select="format-number(PutsDataLen,'# ### ### ##0','EURO')"/></td>
    	            <td class="detail"><xsl:value-of select="format-number(NumGets,'# ### ### ##0','EURO')"/></td>
      	          <td class="detail"><xsl:value-of select="format-number(CommitNumPuts,'# ### ### ##0','EURO')"/></td>
        	        <td class="detail"><xsl:value-of select="format-number(CommitPutsDataLen,'# ### ### ##0','EURO')"/></td>
          	      <td class="detail"><xsl:value-of select="format-number(CommitNumGets,'# ### ### ##0','EURO')"/></td>
            	    <td class="detail"><xsl:value-of select="format-number(RBackNumPuts,'# ### ### ##0','EURO')"/></td>
              	  <td class="detail"><xsl:value-of select="format-number(RBackPutsDataLen,'# ### ### ##0','EURO')"/></td>
                	<td class="detail"><xsl:value-of select="format-number(RBackNumGets,'# ### ### ##0','EURO')"/></td>
	                <td class="detail"><xsl:value-of select="format-number(InProgNumPuts,'# ### ### ##0','EURO')"/></td>
  	              <td class="detail"><xsl:value-of select="format-number(InProgPutsDataLen,'# ### ### ##0','EURO')"/></td>
    	            <td class="detail"><xsl:value-of select="format-number(InProgNumGets,'# ### ### ##0','EURO')"/></td>
      		      </tr>
          	  </xsl:for-each>
        		</table>
    			</div>
    		<br/><br/><br/><br/>
							<table align="center">
								<tbody>
									<tr>
										<td>
											<font face="Arial" size="1">Copyright © 2009 Cressida Technology Ltd</font>
										</td>
									</tr>
								</tbody>
							</table>
		</td>
	</tr>
</tbody>
</table>
</body>
</html> 
</xsl:template>
</xsl:stylesheet>
