<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0"/>
<xsl:key name="Key2" match="//Record/*" use="name()"/>
<xsl:key name="Key3" match="//Record/*[QMgr and QueueName]" use="concat(QMgr,QueueName,name())"/>
<xsl:key name="Key4" match="//Record/*[QMgr and QueueName and md.PutApplName]" use="concat(QMgr,QueueName,name(),md.PutApplName)"/>
<xsl:decimal-format name="EURO" grouping-separator=" "/>
<xsl:template match="/">
<html>
	<head>
		<script type="text/javascript">
			<![CDATA[
				isNav = (navigator.appName == "Netscape");
				isIE = (navigator.appName.indexOf("Microsoft") > -1);
				
				function change(element) {
					//alert("change() - class: " + element.className + ", tag: " + element.tagName);
					var mark=element.childNodes[0].childNodes[0];
					if (mark.innerHTML=="+") {
						mark.parentNode.title="Click here to collapse";
						mark.innerHTML="-";
						for (var i=1;i<element.childNodes.length;i++) {
							element.childNodes[i].style.display="block";
						}
					}
					else if (mark.innerHTML=="-") {
						mark.parentNode.title="Click here to expand";
						mark.innerHTML="+";
						for (var i=1;i<element.childNodes.length;i++) {
							element.childNodes[i].style.display="none";
						}
					}
				}
				
				function expandSums(element) {
					var expand;
					//alert("expandSums(tag = "+element.tagName+")");
					for (var i=1;i<element.childNodes.length;i++) {
						var e=element.childNodes[i];
						//alert("expandSums() - for (" + i + "): class: " + e.className + ", tag: " + e.tagName);
						if (e.className=="expsum") {
							//alert("innerHTML: " + e.innerHTML + "(end)");
							expand=e.innerHTML.indexOf("xpand");
							//alert("expand = " + expand);
							if (expand>=0) 
								e.innerHTML="<button>Collapse all summaries</button>";
							else
								e.innerHTML="<button>Expand all summaries</button>";
						}
						else if (e.className=="sum") {
							var mark=e.childNodes[0].childNodes[0];
							if (expand>=0) {
								mark.parentNode.title="Click here to collapse";
								mark.innerHTML="-";
								for (var j=1;j<e.childNodes.length;j++) {
									//alert("class: " + e.childNodes[j].className + ", tag: " + e.childNodes[j].tagName);
									e.childNodes[j].style.display="block";
								}
							}
							else if (expand==-1) {
								mark.parentNode.title="Click here to expand";
								mark.innerHTML="+";
								for (var j=1;j<e.childNodes.length;j++) {
									e.childNodes[j].style.display="none";
								}
							}
						}
					}
				}
				
				function expandData(element) {
					var expand;
					//alert("expandData(tag = "+element.tagName+")");
					//alert("expandData() - number of childnodes = " + element.childNodes.length);
					for (var i=1;i<element.childNodes.length;i++) {
						var e=element.childNodes[i];
						
							/*alert("expandData() \r\n tag = " 
							+ e.tagName + " class = " + e.className  
							+ " \r\n number of childnodes = " + e.childNodes.length);*/
						if (e.className=="expdata") {
							//alert("innerHTML: " + e.innerHTML + "(end)");
							expand=e.innerHTML.indexOf("xpand");
							//alert("expand = " + expand);
							if (expand>=0) 
								e.innerHTML="<button>Collapse all details</button>";
							else
								e.innerHTML="<button>Expand all details</button>";
						}
						else if (e.className=="data") {
							var mark=e.childNodes[0].childNodes[0];
							if (expand>=0) {
								mark.parentNode.title="Click here to collapse";
								mark.innerHTML="-";
								for (var k=1;k<e.childNodes.length;k++) {
									//alert("class: " + e.childNodes[k].className + ", tag: " + e.childNodes[k].tagName);
									e.childNodes[k].style.display="block";
								}
							}
							else if (expand==-1) {
								mark.parentNode.title="Click here to expand";
								mark.innerHTML="+";
								for (var k=1;k<e.childNodes.length;k++) {
									e.childNodes[k].style.display="none";
								}
							}
						}
					}
				}
				
				function gotClick(evt) {
					var element;
					if (isIE) element=window.event.srcElement;
					else	element = evt.target;
					//alert("gotClick() - class: " + element.parentNode.className + ", tag: " + element.parentNode.tagName);
					if (element.parentNode.className=="expsum") {
						expandSums(element.parentNode.parentNode);
						return;
					}
					if (element.parentNode.className=="expdata") {
						expandData(element.parentNode.parentNode);
						return;
					}
					if (element.className!="hand")
						element=element.parentNode;
					if (element.className!="hand") return;
					element=element.parentNode;
					change(element);
				}
				
				document.onclick=gotClick;
			]]>
		</script>
		<style>
			body {font-family:Arial, sans-serif }
      		button {cursor:pointer; border-width: 2; }
			.hand {cursor:pointer; font-family:Verdana; font-weight:bold; font-size:xx-small }
			.button {color:red; font-family:courier, monospace; font-weight: bold; font-size:medium }
			.button2 {color:red; font-family:Arial, monospace; font-size: medium } 
      		.sumhead {font-weight:bold; font-size:small }
			.sumhead2 {font-weight:bold; font-size: x-small; font-family:Arial, monospace }
			table.criteria {padding: 1px; border-width: 1; font-size: x-small; width:300 }
			table.criteria2 {padding: 1px; border-width: 1; font-size: x-small; width:360 }
			table.summary { display:none; spacing:2; padding:0; background-color:#ffffff; border:0; font-size:xx-small; width:270 }
			.recordhead {font-family:Verdana; font-size:x-small; color:#ffffff; background-color:#006666; text-align:left }
			.detailhead {background-color:#badcdc; font-size:x-small; font-weight:bold }
			.detail {background-color:#eef7f7; font-family:Verdana, sans-serif; font-size:xx-small; text-align:center }
			table.expand {width: 790px; border: 0; display: none; background-color: #ffffff }
			em {color: red; font-weight: bold }
			caption {font-size: x-small; color:#408080 }
		</style>
	</head>
	<body>
	<table borderColor="#000000" width="70%" align="center" border="1">
		<tbody>
			<tr>
				<td>
					<table width="860" align="center" border="0" style="table-layout: auto; border-bottom-color: #ffffff; ; width: 860px; height: 75px">
						<tbody>
							<tr>
								<td>
									<div align="center" style="color: #ffffff">
										
										<img hspace="0" src="logo.jpg" align="baseline" border="0"/>
									</div>
								</td>
							</tr>
						</tbody>
					</table>
					<h2 align="center">ReQuest™ for WebSphere® MQ</h2>
					<h3 align="center" style="color: #408080">Queue Activity Report</h3>
					
						<table class="criteria" align="center">
							<thead>
								<tr style="background-color:#badcdc">
									<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Report Criteria</th>
								</tr>
							</thead>
							<tbody>
								<tr>
										<th align="right">Report Time</th>
										<td><xsl:value-of select=".//ReportTime"/></td>
									</tr>


									
							<xsl:choose> 
								<xsl:when test=".//PerQmgrSettings = 'No'"> 									    
										
									<xsl:if test=".//ReportTimeBased = 'Yes'">
										<tr style="background-color:#e8e8e8">
											<th align="right">Start Time</th>
											<td><xsl:value-of select=".//StartTime"/></td>
										</tr>
										<tr>
											<th align="right">End Time</th>
											<td><xsl:value-of select=".//EndTime"/></td>
										</tr>  
									</xsl:if>

									<xsl:if test=".//ReportTimeBased = 'No'">
									 	<tr style="background-color:#e8e8e8">
											<th align="right">Start LSN/RBA</th>
											<td><xsl:value-of select=".//LSNFrom"/></td>
										</tr>
										<tr>
											<th align="right">End LSN/RBA</th>
											<td><xsl:value-of select=".//LSNTo"/></td>
										</tr>
									</xsl:if>
										<tr style="background-color:#e8e8e8">
														<th align="right">Log File From:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileFrom = -1"> 
																    <td align="left">Beginning</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileFrom"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																

															</tr>
															<tr>
																<th align="right">Log File To:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileTo = -1"> 
																    <td align="left">End</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileTo"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																
															</tr>
										<tr bgColor="#e8e8e8">
											<th align="right">Filter</th>
											<td><xsl:value-of select=".//FilterName"/></td>
										</tr>
										<tr>
											<th align="right">Max User Data</th>
											<td>
												<xsl:if test=".//MaxUserData = -1">
													All
												</xsl:if>
												<xsl:if test=".//MaxUserData &gt; -1">
													<xsl:value-of select="format-number(.//MaxUserData,'# ### ### ##0','EURO')"/>
												</xsl:if>
											</td>
										</tr>

										<tr style="background-color:#e8e8e8">
											<th align="right">Max RFH Variable Data</th>
											<td>
												<xsl:if test=".//MaxRFHUserData = -1">
													All
												</xsl:if>
												<xsl:if test=".//MaxRFHUserData &gt; -1">
													<xsl:value-of select="format-number(.//MaxRFHUserData,'# ### ### ##0','EURO')"/>
												</xsl:if>
											</td>
										</tr>
										   
											
										<tr style="background-color:#badcdc">
										<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Queue Set Content</th>
										
										</tr>
									<xsl:for-each select="QueueActivity/ReportCriteria/QMgr">
									<xsl:sort select="Name" order="ascending"/>
										<tr style="background-color:#e8e8e8">
											<th style="text-align: right">Queue Manager</th>
											<td><xsl:value-of select="Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)</td>
										</tr>
										<xsl:for-each select="QueueName">
										<xsl:sort select="." order="ascending"/>
											<tr>
												<td/>
												<td><xsl:value-of select="."/></td>
											</tr>
										</xsl:for-each>
									</xsl:for-each>								
									  </xsl:when>
					
									  <xsl:otherwise>
										
									  	<tr bgColor="#e8e8e8">
											<th align="right">Filter</th>
											<td><xsl:value-of select=".//FilterName"/></td>
										</tr>
										<tr>
											<th align="right">Max User Data</th>
											<td><xsl:if test=".//MaxUserData = -1">
													All
													</xsl:if>
													<xsl:if test=".//MaxUserData &gt; -1">
													<xsl:value-of select="format-number(.//MaxUserData,'# ### ### ##0','EURO')"/>
													</xsl:if>
											</td>
										</tr>
										<tr style="background-color:#e8e8e8">
											<th align="right">Max RFH Variable Data</th>
											<td><xsl:if test=".//MaxRFHUserData = -1">
													All
													</xsl:if>
													<xsl:if test=".//MaxRFHUserData &gt; -1">
													<xsl:value-of select="format-number(.//MaxRFHUserData,'# ### ### ##0','EURO')"/>
													</xsl:if>
											</td>
										</tr>   
											
										
										<tr>
										
										<td>&#160;</td>
										</tr>
										<tr style="background-color:#badcdc">
										<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Individual Queue Manager Settings</th>
										</tr> 
									  	<tr>
											<th colSpan="2">
							   
											<xsl:for-each select="//ReportCriteria/QMgr">

												<table align="center" width="300">
													<thead>

													<tr style="background-color:#e8e8e8" colSpan="2">
														<th>	
															<div class="criteria2" colSpan="2" align="center">
															<span class="hand" title="Click here to expand" >
																<a class="button">+</a>
																<b class="sumhead2">&#160;<xsl:value-of select=".//Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)</b>
															</span>
															<table class="summary">

																<tbody>
															<tr>
																<th align="right">Agent Name:</th>
																<td align="left"><xsl:value-of select=".//AgentName"/></td>
															</tr>
														<xsl:if test=".//ReportTimeBased = 'Yes'">
															<tr style="background-color:#e8e8e8">
																<th align="right">Start Time:</th>
																<td align="left"><xsl:value-of select=".//StartTime"/></td>
															</tr> 
															<tr>
																<th align="right">End Time:</th>
																<td align="left"><xsl:value-of select=".//EndTime"/></td>
															</tr>
															
															</xsl:if>     
														<xsl:if test=".//ReportTimeBased = 'No'">
															<tr style="background-color:#e8e8e8">
																<th align="right">Start LSN/RBA</th>
																<td align="left"><xsl:value-of select=".//LSNFrom"/></td>
															</tr>
															<tr>
																<th align="right">End LSN/RBA</th>
																<td align="left"><xsl:value-of select=".//LSNTo"/></td>
															</tr>   
														</xsl:if>
															<tr style="background-color:#e8e8e8">
																<th align="right">Log File From:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileFrom = -1"> 
																    <td align="left">Beginning</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileFrom"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																

															</tr>
															<tr>
																<th align="right">Log File To:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileTo = -1"> 
																    <td align="left">End</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileTo"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																
															</tr>
															<tr style="background-color:#e8e8e8">
																<th align="right">Queue Name:</th>
																<td align="left"><xsl:value-of select=".//QueueName"/></td>
															</tr>    			
																</tbody>
															</table>
														</div>

														</th>
														</tr>
														</thead>
														</table>
														</xsl:for-each>
													</th>
												</tr>				
									  </xsl:otherwise>
									</xsl:choose>

						</tbody>
					</table>
					<hr/>
							<div align="center" style="font-size:x-small">
								Click the summary title (or red "<em>+</em>" or "<em>-</em>" signs) to display or hide summary details
							</div>
							<p align="center" style="font-size: x-small" class="expsum">
								<button>Expand all summaries</button>
							</p>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary of Puts and Gets</b>
								</span>
								<table class="summary">
									<caption>
										Count of: Puts, Gets, and Puts+Gets;<br/>(all Queues) 
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th/>
											<th>
												Records
											</th>
											<th>
												Total User Msg Length
											</th>
										</tr>
										<tr>
											<td style="background-color:#badcdc">
												Puts
											</td>
											<td align="right" style="background-color:#eef7f7">
												<xsl:value-of select="format-number(count(//Record/Put), '###,###,##0')"/>
											</td>
											<td align="right" style="background-color:#eef7f7">
												<xsl:value-of select="format-number(sum(//Record/Put/userMsgLen), '###,###,##0')"/>
											</td>
										</tr>
										<tr>
											<td style="background-color:#badcdc">
												Gets
											</td>
											<td align="right" style="background-color:#eef7f7">
												<xsl:value-of select="format-number(count(//Record/Get), '###,###,##0')"/>
											</td>
											<td style="background-color:#eef7f7"/>
										</tr>
										<tr style="background-color:#badcdc">
											<th align="left">
												Puts+Gets
											</th>
											<th align="right">
												<xsl:value-of select="format-number(count(//Record/Get)+count(//Record/Put), '###,###,##0')"/>
											</th>
											<th align="right">
												<xsl:value-of select="format-number(sum(//Record/Put/userMsgLen), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary of log records</b>
								</span>
								<table class="summary">
									<caption>
										Count of records by Type<br/>(all records)
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th>
												Record Type
											</th>
											<th>
												Records
											</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key2',name())[1])]">
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td><xsl:value-of select="name()"/></td>
												<td align="right"><xsl:value-of select="format-number(count(key('Key2',name())), '###,###,##0')"/></td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th align="center">**all record types**</th>
											<th align="right"><xsl:value-of select="format-number(count(//Record/*), '###,###,##0')"/></th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary by Queue Manager, Queue, Record Type</b>
								</span>
								<table class="summary">
									<caption>
										Count of Log records by Type within Queue within Queue Manager 
										<br/>(all records which include Queue Manager and Queue) 
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th>
												Queue Manager
											</th>
											<th>
												Queue
											</th>
											<th>
												Record Type
											</th>
											<th>
												Records
											</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key3',concat(QMgr,QueueName,name()))[1])]">
											<xsl:sort select="QMgr"/>
											<xsl:sort select="QueueName"/>
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td>
													<xsl:value-of select="QMgr"/>
												</td>
												<td>
													<xsl:value-of select="QueueName"/>
												</td>
												<td>
													<xsl:value-of select="name()"/>
												</td>
												<td align="right">
													<xsl:value-of select="format-number(count(key('Key3',concat(QMgr,QueueName,name()))), '###,###,##0')"/>
												</td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th colSpan="3">
												****all****
											</th>
											<th align="right">
												<xsl:value-of select="format-number(count(//Record/*[QMgr and QueueName]), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary by Queue Manager, Queue, Put.Application</b>
								</span>
								<table class="summary">
									<caption>
										Log records by Put.Application within Queue within Queue Manager 
										<br/>(all records which include Queue Manager and Queue and Put.Application) 
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th>Queue Manager</th>
											<th>Queue</th>
											<th>Put.Application</th>
											<th>Record Type</th>
											<th>Records</th>
											<th>Total User Msg Length</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))[1])]">
											<xsl:sort select="QMgr"/>
											<xsl:sort select="QueueName"/>
											<xsl:sort select="md.PutApplName"/>
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td>
													<xsl:value-of select="QMgr"/>
												</td>
												<td>
													<xsl:value-of select="QueueName"/>
												</td>
												<td>
													<xsl:value-of select="md.PutApplName"/>
												</td>
												<td>
													<xsl:value-of select="name()"/>
												</td>
												<td align="right">
													<xsl:value-of select="format-number(count(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))), '###,###,##0')"/>
												</td>
												<td align="right">
													<xsl:value-of select="format-number(sum(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))/userMsgLen), '###,###,##0')"/>
												</td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th colSpan="4" align="center">
												****all****
											</th>
											<th align="right">
												<xsl:value-of select="format-number(count(//Record/*[QMgr and QueueName and md.PutApplName]), '###,###,##0')"/>
											</th>
											<th align="right">
												<xsl:value-of select="format-number(sum(//Record/*[QMgr and QueueName and md.PutApplName]/userMsgLen), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary by Put.Application, Queue Manager, Queue</b>
								</span>
								<table class="summary">
									<caption>
										Log records by Queue within Queue Manager within Put.Application 
										<br/>(all records which include Queue Manager and Queue and Put.Application) 
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th>Put.Application</th>
											<th>Queue Manager</th>
											<th>Queue</th>
											<th>Record Type</th>
											<th>Records</th>
											<th>Total User Msg Length</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))[1])]">
											<xsl:sort select="md.PutApplName"/>
											<xsl:sort select="QMgr"/>
											<xsl:sort select="QueueName"/>
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td><xsl:value-of select="md.PutApplName"/></td>
												<td><xsl:value-of select="QMgr"/></td>
												<td><xsl:value-of select="QueueName"/></td>
												<td><xsl:value-of select="name()"/></td>
												<td align="right"><xsl:value-of select="format-number(count(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))), '###,###,##0')"/></td>
												<td align="right"><xsl:value-of select="format-number(sum(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))/userMsgLen), '###,###,##0')"/></td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th colSpan="4" align="center">****all****</th>
											<th align="right"><xsl:value-of select="format-number(count(//Record/*[QMgr and QueueName and md.PutApplName]), '###,###,##0')"/></th>
											<th align="right"><xsl:value-of select="format-number(sum(//Record/*[QMgr and QueueName and md.PutApplName]/userMsgLen), '###,###,##0')"/></th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr/>
							<table width="800" align="center">
								<tbody>
									<tr>
										<td>
											<div align="center" style="font-size:x-small">
												Click the detail title (or red "<em>+</em>" or "<em>-</em>" signs) to display or hide details
											</div>
											<p/>
											<p style="text-align:center; font-size:x-small;" class="expdata">
												<button>Expand all details</button>
											</p>
											<xsl:for-each select="QueueActivity/Record">
												<xsl:sort select=".//Milliseconds"/>
												<xsl:if test="Put">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="7">Put</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%">Queue Name</th>
																<th width="5%">Spc Index</th>
																<th width="5%">Msg Index</th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td><xsl:value-of select=".//QueueName"/></td>
																<td><xsl:value-of select=".//spcIndex"/></td>
																<td><xsl:value-of select=".//msgIndex" /></td>
															</tr>
															<xsl:if test="Put/RemoteQName">
																<tr class="detailhead">
																	<th>Remote Queue</th>
																	<th>Remote Queue Manager</th>
																	<th/>
																	<th/>
																	<th/>
																	<th/>
																	<th/>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select="Put/RemoteQName"/></td>
																	<td><xsl:value-of select="Put/RemoteQMgrName"/></td>
																	<td/>
																	<td/>
																	<td/>
																	<td/>
																	<td/>
																</tr>
															</xsl:if>	
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<div style="background-color: #f8f8f8; margin:0,2,0,2" class="data">
														<span
															class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Message Descriptor Details </b>
														</span>
														<table align="center" class="expand">
															<tbody>
																<tr class="detailhead">
																	<th>Report</th>
																	<th>MsgType</th>
																	<th>Expiry</th>
																	<th>Feedback</th>
																	<th>Encoding</th>
																	<th>CodedCharSetId</th>
																	<th>Format</th>
																	<th>Priority</th>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select=".//md.Report"/></td>
																	<td><xsl:value-of select=".//md.MsgType"/></td>
																	<td><xsl:value-of select="format-number(.//md.Expiry,'# ### ### ##0','EURO')"/></td>
																	<td><xsl:value-of select=".//md.Feedback"/></td>
																	<td><xsl:value-of select=".//md.Encoding"/></td>
																	<td><xsl:value-of select=".//md.CodedCharSetId"/></td>
																	<td><xsl:value-of select=".//md.Format" /></td>
																	<td><xsl:value-of select=".//md.Priority" /></td>
																</tr>
																<tr class="detailhead">
																	<th>MsgId</th>
																	<th>CorrelId</th>
																	<th>ReplyToQ</th>
																	<th>ReplyToQMgr</th>
																	<th>UserIdentifier</th>
																	<th>AccountingToken</th>
																	<th>Version</th>
																	<th/>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select=".//md.MsgId"/></td>
																	<td><xsl:value-of select=".//md.CorrelId"/></td>
																	<td><xsl:value-of select=".//md.ReplyToQ"/></td>
																	<td><xsl:value-of select=".//md.ReplyToQMgr"/></td>
																	<td><xsl:value-of select=".//md.UserIdentifier"/></td>
																	<td><xsl:value-of select=".//md.AccountingToken"/></td>
																	<td><xsl:value-of select=".//md.Version"/></td>
																	<td/>
																</tr>
																<tr class="detailhead">
																	<th>ApplIdentityData</th>
																	<th>PutApplType</th>
																	<th>PutApplName</th>
																	<th>PutDate</th>
																	<th>PutTime</th>
																	<th>ApplOriginData</th>
																	<th>Requeue Flag</th>
																	<th/>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select=".//md.ApplIdentityData"/></td>
																	<td><xsl:value-of select=".//md.PutApplType"/></td>
																	<td><xsl:value-of select=".//md.PutApplName"/></td>
																	<td><xsl:value-of select=".//md.PutDate"/></td>
																	<td><xsl:value-of select=".//md.PutTime"/></td>
																	<td><xsl:value-of select=".//md.ApplOriginData"/></td>
																	<td><xsl:value-of select="format-number(.//requeueFlag,'# ### ### ##0','EURO')"/></td>
																	<td/>
																</tr>
																<tr class="detailhead">
																	<th>GroupId</th>
																	<th>MsgSeqNumber</th>
																	<th>Offset</th>
																	<th>MsgFlags</th>
																	<th>OriginalLength</th>
																	<th>User Msg Length</th>
																	<th>Data Length</th>
																	<th>Backout Count</th>
																	<th/>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select=".//md.GroupId" /></td>
																	<td><xsl:value-of select="format-number(.//md.MsgSeqNumber,'# ### ### ##0','EURO')" /></td>
																	<td><xsl:value-of select="format-number(.//md.Offset,'# ### ### ##0','EURO')"/></td>
																	<td><xsl:value-of select=".//md.MsgFlags"/></td>
																	<td><xsl:value-of select="format-number(.//md.OriginalLength,'# ### ### ##0','EURO')"/></td>
																	<td><xsl:value-of select="format-number(.//userMsgLen,'# ### ### ##0','EURO')"/></td>
																	<td><xsl:value-of select="format-number(.//dataLen,'# ### ### ##0','EURO')"/></td>
																	<td><xsl:value-of select="format-number(.//md.BackoutCount,'# ### ### ##0','EURO')"/></td>
																	<td/>
																</tr>
															</tbody>
														</table>
													</div>
													<xsl:if test=".//RFHVarPortionLen">
														<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
															<span class="hand" title="Click here to expand">
																<a class="button">+</a>
																<b>&#160;<xsl:value-of select=".//md.Format" /> Header Fields</b>
															</span>
															<table align="center" class="expand">
																<tbody>
																	<tr class="detailhead">
																		<th width="16%">Encoding</th>
																		<th width="16%">CodedCharSetId</th>
																		<xsl:if test=".//RFH2NameValueCCSID"><th width="17%">NameValueCCSID</th></xsl:if>
																		<th width="17%">Format</th>
																		<th width="17%">Flags</th>
																		<th width="17%">VariableData Length</th>
																	</tr>
																	<tr valign="top" class="detail">
																		<td><xsl:value-of select=".//RFHEncoding"/></td>
																		<td><xsl:value-of select=".//RFHCodedCharSetId"/></td>
																		<xsl:if test=".//RFH2NameValueCCSID"><td><xsl:value-of select=".//RFH2NameValueCCSID"/></td></xsl:if>
																		<td><xsl:value-of select=".//RFHFormat"/></td>
																		<td><xsl:value-of select=".//RFHFlags"/></td>
																		<td><xsl:value-of select=".//RFHVarPortionLen"/></td>
																	</tr>
																	<tr class="detailhead">
																		<th colspan="3">VariableData (Hexa-Decimal)</th>
																		<th colspan="3">VariableData (Characters)</th>
																	</tr>
																	<tr valign="top" class="detail">
																		<td colspan="3"><xsl:value-of select=".//RFHVariablePortionHexValues" /></td>
																		<td colspan="3"><xsl:value-of select=".//RFHVariablePortionCharValues" /></td>
																	</tr>
																</tbody>
															</table>
														</div>
													</xsl:if>	


													<xsl:if test=".//PropertyHexValues">
													<div style="background-color: #eeeeee; margin:0,2,0,2">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Message Properties</b>
														</span>
														<table align="center" class="expand">
															<tbody>
																<tr class="detailhead">
																	<th width="50%">Hexa-Decimal Values</th>
																	<th width="50%">Character Values</th>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select=".//PropertyHexValues" /></td>
																	<td><xsl:value-of select=".//PropertyCharValues" /></td>
																</tr>
															</tbody>
														</table>
													</div>
													</xsl:if>
													
													<xsl:if test=".//DestQName">
														        <div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
															        <span class="hand" title="Click here to expand">
																        <a class="button">+</a>
																        <b>&#160;Dead Letter Header Fields</b>
															        </span>
															        <table align="center" class="expand">
																        <tbody>
																	       <tr class="detailhead">
																	      	    <th>Destination Queue</th>
																	            <th>Destination Queue Manager</th>
																	            <th>Reason Code</th>
																	            <th>Encoding</th>
																	            <th>CodedCharSetId</th>
																	            <th>Format</th>
																	            <th></th>
																	       </tr>
																	       <tr valign="top" class="detail">
																	            <td><xsl:value-of select=".//DestQName"/></td>
																	            <td><xsl:value-of select=".//DestQMgrName"/></td>
																	            <td><xsl:value-of select=".//Reason"/></td>
																	            <td><xsl:value-of select=".//DLHEncoding"/></td>
																	            <td><xsl:value-of select=".//DLHCodedCharSetId"/></td>
																	            <td><xsl:value-of select=".//DLHFormat"/></td>
																	            <td></td>
																	        </tr>
																	        <tr class="detailhead">
																	            <th>PutApplType</th>
																	      	    <th>PutApplName</th>
																	            <th>PutDate</th>
																	            <th>PutTime</th>
																	            <th></th>
																	            <th></th>
																	            <th></th>
																	       </tr>
																	       <tr valign="top" class="detail">
																	            <td><xsl:value-of select=".//DLHPutApplType"/></td>
																	            <td><xsl:value-of select=".//DLHPutApplName"/></td>
																	            <td><xsl:value-of select=".//DLHPutDate"/></td>
																	            <td><xsl:value-of select=".//DLHPutTime"/></td>
																	            <td></td>
																	            <td></td>
																	            <td></td>
																	        </tr>
																        </tbody>
															        </table>
														        </div>
													        </xsl:if>

													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Message Data</b>
														</span>
														<table align="center" class="expand">
															<tbody>
																<tr class="detailhead">
																	<th width="50%">Hexa-Decimal Values</th>
																	<th width="50%">Character Values</th>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select=".//HexValues" /></td>
																	<td><xsl:value-of select=".//CharacterValues" /></td>
																</tr>
															</tbody>
														</table>
													</div>
												<p></p>
												</xsl:if>
													
												<xsl:if test="PutPart">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="5">Put Part</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%">Queue Name</th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td><xsl:value-of select=".//QueueName"/></td>
															</tr>
															<xsl:if test="PutPart/DestQName">
																<tr class="detailhead">
																	<th>Destination Queue</th>
																	<th>Destination Queue Manager</th>
																	<th>Reason Code</th>
																	<th/>
																	<th/>
																	<th/>
																	<th/>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select="PutPart/DestQName"/></td>
																	<td><xsl:value-of select="PutPart/DestQMgrName"/></td>
																	<td><xsl:value-of select="PutPart/Reason"/></td>
																	<td/>
																	<td/>
																	<td/>
																	<td/>
																</tr>
															</xsl:if>
															<xsl:if test="PutPart/RemoteQName">
																<tr class="detailhead">
																	<th>Remote Queue</th>
																	<th>Remote Queue Manager</th>
																	<th/>
																	<th/>
																	<th/>
																	<th/>
																	<th/>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select="PutPart/RemoteQName"/></td>
																	<td><xsl:value-of select="PutPart/RemoteQMgrName"/></td>
																	<td/>
																	<td/>
																	<td/>
																	<td/>
																	<td/>
																</tr>
															</xsl:if>	
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Message Data</b>
														</span>
														<table align="center" class="expand">
															<tbody>
																<tr class="detailhead">
																	<th width="50%">Hexa-Decimal Values</th>
																	<th width="50%">Character Values</th>
																</tr>
																<tr valign="top" class="detail">
																	<td><xsl:value-of select=".//HexValues" /></td>
																	<td><xsl:value-of select=".//CharacterValues" /></td>
																</tr>
															</tbody>
														</table>
													</div>
												<p></p>
												</xsl:if>
													
												<xsl:if test="Get">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="7">Get</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%">Queue Name</th>
																<th width="5%">Spc Index</th>
																<th width="5%"></th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td><xsl:value-of select=".//QueueName"/></td>
																<td><xsl:value-of select=".//spcIndex"/></td>
																<td>&#160;</td>
															</tr>
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<p></p>
												</xsl:if>
												
												<xsl:if test="TransactionRollback">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="7">Transaction Rollback</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%"></th>
																<th width="5%"></th>
																<th width="5%"></th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td>&#160;</td>
																<td>&#160;</td>
																<td>&#160;</td>
															</tr>
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<p></p>
												</xsl:if>
												
												<xsl:if test="TransactionCommit">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="7">Transaction Commit</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%"></th>
																<th width="5%"></th>
																<th width="5%"></th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td>&#160;</td>
																<td>&#160;</td>
																<td>&#160;</td>
															</tr>
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<p></p>
												</xsl:if>
												
												<xsl:if test="TransactionPrepare">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="7">Transaction Prepare</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%"></th>
																<th width="5%"></th>
																<th width="5%"></th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td>&#160;</td>
																<td>&#160;</td>
																<td>&#160;</td>
															</tr>
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<p></p>
												</xsl:if>
												
												<xsl:if test="TransactionStart">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="7">Transaction Start</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%"></th>
																<th width="5%"></th>
																<th width="5%"></th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td>&#160;</td>
																<td>&#160;</td>
																<td>&#160;</td>
															</tr>
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<p></p>
												</xsl:if>
												
												<xsl:if test="QueuePurge">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="7">Queue Purge</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%">Queue Name</th>
																<th width="5%">Spc Index</th>
																<th width="5%"></th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td><xsl:value-of select=".//QueueName"/></td>
																<td><xsl:value-of select=".//spcIndex"/></td>
																<td>&#160;</td>
															</tr>
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<p></p>
												</xsl:if>
												
												<xsl:if test="Scratchpad">
													<table cellSpacing="2">
														<thead class="recordhead">
															<tr>
																<th colSpan="7">Scratchpad</th>
															</tr>
														</thead>
														<tbody>
															<tr class="detailhead">
																<th width="20%">Earliest Date</th>
																<th width="20%">Latest Date</th>
																<th width="20%">Queue Manager</th>
																<th width="10%">LSN</th>
																<th width="20%">Queue Name</th>
																<th width="5%">Spc Index</th>
																<th width="5%"></th>
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//EarliestDate"/></td>
																<td><xsl:value-of select=".//LatestDate"/></td>
																<td><xsl:value-of select=".//QMgr"/></td>
																<td><xsl:value-of select=".//LSN"/></td>
																<td><xsl:value-of select=".//QueueName"/></td>
																<td><xsl:value-of select=".//spcIndex"/></td>
																<td>&#160;</td>
															</tr>
														</tbody>
													</table>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="120">Prev LSN</th>
																<th width="120">TranType</th>
																<th width="120">TranNumHigh</th>
																<th width="120">TranNumLow</th>
																<th width="310" />
															</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//prevLSN"/></td>
																<td><xsl:value-of select=".//transType"/></td>
																<td><xsl:value-of select=".//tranNumHigh"/></td>
																<td><xsl:value-of select=".//tranNumLow"/></td>
																<td>&#160;</td>
															</tr>
														</table>
													</div>
													<div style="background-color: #eeeeee; margin:0,2,0,2" class="data">
														<span class="hand" title="Click here to expand">
															<a class="button">+</a>
															<b> Transaction Details</b>
														</span>
														<table class="expand" align="center">
															<tr class="detailhead">
																<th width="33%">Transmit Queue</th>
																<th width="33%">Channel</th>
																<th width="33%">Remote Queue Manager</th>
																</tr>
															<tr valign="top" class="detail">
																<td><xsl:value-of select=".//xmitQ"/></td>
																<td><xsl:value-of select=".//channel"/></td>
																<td><xsl:value-of select=".//remoteQMgr"/></td>
															</tr>
														</table>
													</div>
													<p></p>
												</xsl:if>
												
											</xsl:for-each>
										</td>
									</tr>
								</tbody>
							</table>
							<table align="center">
								<tbody>
									<tr>
										<td>
											<font face="Arial" size="1">Copyright © 2009 Cressida Technology Ltd</font>
										</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
				</tbody>
			</table>
		</body>
	</html>
</xsl:template>
</xsl:stylesheet>
