<?xml version='1.0' encoding='utf-8'?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:key name="Key2" match="//Record/*" use="name()"/>
<xsl:key name="Key3" match="//Record/*[QMgr and QueueName]" use="concat(QMgr,QueueName,name())"/>
<xsl:key name="Key4" match="//Record/*[QMgr and QueueName and md.PutApplName]" use="concat(QMgr,QueueName,name(),md.PutApplName)"/>
<xsl:key name="Key5" match="//Record/*[QMgr and objName]" use="concat(QMgr,objName,name())"/>
<xsl:decimal-format name="EURO" grouping-separator=" "/>
<xsl:template match="/">
<html>
	<head>
		<script type="text/javascript">
			<![CDATA[
				isNav = (navigator.appName == "Netscape");
				isIE = (navigator.appName.indexOf("Microsoft") > -1);
				
				function change(element) {
					var mark=element.childNodes[0].childNodes[0];
					if (mark.innerHTML=="+") {
						mark.parentNode.title="Click here to collapse";
						mark.innerHTML="-";
						for (var i=1;i<element.childNodes.length;i++) {
							element.childNodes[i].style.display="block";
						}
					}
					else if (mark.innerHTML=="-") {
						mark.parentNode.title="Click here to expand";
						mark.innerHTML="+";
						for (var i=1;i<element.childNodes.length;i++) {
							element.childNodes[i].style.display="none";
						}
					}
				}
				
				function expandSums(element) {
					var expand;
					//alert("expandSums(tag = "+element.tagName+")");
					for (var i=1;i<element.childNodes.length;i++) {
						var e=element.childNodes[i];
						//alert("expandSums() - for (" + i + "): class: " + e.className + ", tag: " + e.tagName);
						if (e.className=="expsum") {
							//alert("innerHTML: " + e.innerHTML + "(end)");
							expand=e.innerHTML.indexOf("xpand");
							//alert("expand = " + expand);
							if (expand>=0) 
								e.innerHTML="<button>Collapse all summaries</button>";
							else
								e.innerHTML="<button>Expand all summaries</button>";
						}
						else if (e.className=="sum") {
							var mark=e.childNodes[0].childNodes[0];
							if (expand>=0) {
								mark.parentNode.title="Click here to collapse";
								mark.innerHTML="-";
								for (var j=1;j<e.childNodes.length;j++) {
									//alert("class: " + e.childNodes[j].className + ", tag: " + e.childNodes[j].tagName);
									e.childNodes[j].style.display="block";
								}
							}
							else if (expand==-1) {
								mark.parentNode.title="Click here to expand";
								mark.innerHTML="+";
								for (var j=1;j<e.childNodes.length;j++) {
									e.childNodes[j].style.display="none";
								}
							}
						}
					}
				}
				
				function expandData(element) {
					var expand;
					//alert("expandData(tag = "+element.tagName+")");
					//alert("expandData() - number of childnodes = " + element.childNodes.length);
					for (var i=1;i<element.childNodes.length;i++) {
						var e=element.childNodes[i];
						
							/*alert("expandData() \r\n tag = " 
							+ e.tagName + " class = " + e.className  
							+ " \r\n number of childnodes = " + e.childNodes.length);*/
						if (e.className=="expdata") {
							//alert("innerHTML: " + e.innerHTML + "(end)");
							expand=e.innerHTML.indexOf("xpand");
							//alert("expand = " + expand);
							if (expand>=0) 
								e.innerHTML="<button>Collapse all details</button>";
							else
								e.innerHTML="<button>Expand all details</button>";
						}
						else if (e.className=="data") {
							var mark=e.childNodes[0].childNodes[0];
							if (expand>=0) {
								mark.parentNode.title="Click here to collapse";
								mark.innerHTML="-";
								for (var k=1;k<e.childNodes.length;k++) {
									//alert("class: " + e.childNodes[k].className + ", tag: " + e.childNodes[k].tagName);
									e.childNodes[k].style.display="block";
								}
							}
							else if (expand==-1) {
								mark.parentNode.title="Click here to expand";
								mark.innerHTML="+";
								for (var k=1;k<e.childNodes.length;k++) {
									e.childNodes[k].style.display="none";
								}
							}
						}
					}
				}
				
				function gotClick(evt) {
					var element;
					if (isIE) element=window.event.srcElement;
					else	element = evt.target;
					//alert("gotClick() - class: " + element.parentNode.className + ", tag: " + element.parentNode.tagName);
					if (element.parentNode.className=="expsum") {
						expandSums(element.parentNode.parentNode);
						return;
					}
					if (element.parentNode.className=="expdata") {
						expandData(element.parentNode.parentNode);
						return;
					}
					if (element.className!="hand")
						element=element.parentNode;
					if (element.className!="hand") return;
					element=element.parentNode;
					change(element);
				}
				
				document.onclick=gotClick;
			]]>
		</script>
		<style>
			body {font-family:Arial, sans-serif }
      		button {cursor:pointer; border-width: 2; }
			.hand {cursor:pointer; font-family:Verdana; font-weight:bold; font-size:xx-small }
			.button {color:red; font-family:courier, monospace; font-weight: bold; font-size:medium } 
			.button2 {color:blue; font-family:Verdana, monospace; font-size:medium }
      		.sumhead {font-weight:bold; font-size:small }
			.sumhead2 {font-weight:bold; font-size: x-small; font-family:Arial, monospace }
			table.criteria {padding: 10px; border-width: 1; font-size: x-small; width:300 }
			table.criteria2 {padding: 1px; border-width: 1; font-size: x-small; width:360 }
			table.summary { display:none; spacing:2; padding:0; background-color:#ffffff; border:0; font-size:xx-small}
			.recordhead {font-family:Verdana; font-size:x-small; color:#ffffff; background-color:#006666; text-align:left }
			.detailhead {background-color:#badcdc; font-size:x-small; font-weight:bold }
			.detail {background-color:#eef7f7; font-family:Verdana, sans-serif; font-size:xx-small; text-align:center }
			table.expand {width: 790px; border: 0; display: none; background-color: #ffffff }
			em {color: red; font-weight: bold }
			caption {font-size: x-small; color:#408080 }
		</style>
	</head>
	<body title="Cressida Technology - ReQuest Summary Report" style="border-right-color: #000000">
		<table borderColor="#000000" width="65%" align="center" border="1">
			<tbody>
				<tr>
					<td>
						<table width="860" align="center" border="0" style="table-layout: auto; border-bottom-color: #ffffff; ; height: 75px">
							<tbody>
								<tr>
									<td>
										<div align="center" style="color: #ffffff"><br /> 
											<img hspace="0" src="logo.jpg"  border="0"/><![CDATA[ ]]>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
						<h2 align="center">ReQuest™ for WebSphere® MQ</h2>
						<h3 align="center" style="color: #408080"><xsl:value-of select="Summary/Title"/> Report</h3>
						
						<table class="criteria" align="center">
							<thead>
								<tr style="background-color:#badcdc">
									<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Report Criteria</th>
								</tr>
							</thead>
							<tbody>
								<tr>
										<th align="right">Report Time</th>
										<td><xsl:value-of select=".//ReportTime"/></td>
									</tr>
									
									<xsl:choose> 
									  <xsl:when test=".//PerQmgrSettings = 'No'"> 									    
										<xsl:if test=".//ReportTimeBased = 'Yes'">
										<tr style="background-color:#e8e8e8">
										<th align="right">Start Time</th>
										<td><xsl:value-of select=".//StartTime"/></td>
									</tr>
									<tr>
										<th align="right">End Time</th>
										<td><xsl:value-of select=".//EndTime"/></td>
									</tr>  
									</xsl:if>
									<xsl:if test=".//ReportTimeBased = 'No'">
									 <tr style="background-color:#e8e8e8">
											<th align="right">Start LSN/RBA</th>
											<td><xsl:value-of select=".//LSNFrom"/></td>
										</tr>
										<tr>
											<th align="right">End LSN/RBA</th>
											<td><xsl:value-of select=".//LSNTo"/></td>
										</tr>   
										</xsl:if>

							<tr style="background-color:#e8e8e8">
																<th align="right">Log File From:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileFrom = -1"> 
																    <td align="left">Beginning</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileFrom"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																

															</tr>
															<tr>
																<th align="right">Log File To:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileTo = -1"> 
																    <td align="left">End</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileTo"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																</tr>






										<tr bgColor="#e8e8e8">
											<th align="right">Filter</th>
											<td><xsl:value-of select=".//FilterName"/></td>
										</tr> 
										<tr style="background-color:#badcdc">
										<th style="text-align:center; font-size: x-small; font-family:Verdana;" colSpan="2">Queue Set Content</th>
										
									</tr>
									<xsl:for-each select="Summary/ReportCriteria/QMgr">
									<xsl:sort select="Name" order="ascending"/>
										<tr style="background-color:#e8e8e8">
											<th style="text-align: right">Queue Manager</th>
											<td><xsl:value-of select="Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)</td>
										</tr>
										<xsl:for-each select="QueueName">
										<xsl:sort select="." order="ascending"/>
											<tr>
												<td/>
												<td><xsl:value-of select="."/></td>
											</tr>
											</xsl:for-each>
										</xsl:for-each>									
									  </xsl:when> 
									
									  <xsl:otherwise>
									  						
									  	<tr bgColor="#e8e8e8">
											<th align="right">Filter</th>
											<td><xsl:value-of select=".//FilterName"/></td>
										</tr> 	
									  			<tr>
												<td>&#160;</td>
												</tr>
									  			<tr style="background-color:#badcdc">
												<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Individual Queue Manager Settings</th>
												</tr>
									  			<tr>
													<th colSpan="2">
												
													<xsl:for-each select="//ReportCriteria/QMgr">	
													
													<table align="center" width="300">
														<thead>
									  	
														<tr style="background-color:#e8e8e8" colSpan="2">
														<th >	
														<div class="criteria2" colSpan="2" align="center">
															<span class="hand" title="Click here to expand">
																<a class="button">+</a>
																<b class="sumhead2">&#160;<xsl:value-of select=".//Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)</b>
															</span>
															<table class="summary" width="300" align="center">

																<tbody>
															<tr>
																<th align="left">Agent Name:</th>
																<td align="left"><xsl:value-of select=".//AgentName"/></td>
															</tr>
														<xsl:if test=".//ReportTimeBased = 'Yes'">
															<tr style="background-color:#e8e8e8">
																<th align="left">Start Time:</th>
																<td align="left"><xsl:value-of select=".//StartTime"/></td>
															</tr> 
															<tr>
																<th align="left">End Time:</th>
																<td align="left"><xsl:value-of select=".//EndTime"/></td>
															</tr>
															
															</xsl:if>     
														<xsl:if test=".//ReportTimeBased = 'No'">
															<tr style="background-color:#e8e8e8">
																<th align="left">Start LSN/RBA</th>
																<td align="left" width="200"><xsl:value-of select=".//LSNFrom"/></td>
															</tr>
															<tr>
																<th align="left">End LSN/RBA</th>
																<td align="left" width="200"><xsl:value-of select=".//LSNTo"/></td>
															</tr>   
														</xsl:if>
														<tr style="background-color:#e8e8e8">
																<th align="left">Log File From:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileFrom = -1"> 
																    <td align="left">Beginning</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileFrom"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																

															</tr>
															<tr>
																<th align="left">Log File To:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileTo = -1"> 
																    <td align="left">End</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileTo"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																
															</tr>

															<tr style="background-color:#e8e8e8">
																<th align="left">Queue Name:</th>
																<td align="left"><xsl:value-of select=".//QueueName"/></td>
															</tr>    			
																</tbody>
															</table>
														</div>
														
														
														</th>
														</tr>
														</thead>
														</table>												

										
															</xsl:for-each>
														</th>	
													</tr>
										      
									  </xsl:otherwise>
									</xsl:choose> 


								</tbody>
							</table>
							<hr/>
    					<div align="center" style="font-size: x-small"> 
								Click the summary title (or red "<em>+</em>" or "<em>-</em>" signs) to display or hide summary details
							</div>	
							<p align="center" style="font-size: x-small" class="expsum">
								<button>Expand all summaries</button>
							</p>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary of log records</b>
								</span>
								<table class="summary">
									<caption>
										Count of records by Type 
										<br/>(all records) 
									</caption>
									<tbody>
										<tr style="text-align:left; background-color:#badcdc;">
											<th>Record Type</th>
											<th style="text-align:center">Records</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key2',name())[1])]">
										<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td>
													<xsl:value-of select="name()"/>
												</td>
												<td style="text-align:right">
													<xsl:value-of select="format-number(count(key('Key2',name())), '###,###,##0')"/>
												</td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th>**all record types**</th>
											<th style="text-align:right">
												<xsl:value-of select="format-number(count(//Record/*), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary by Queue Manager, Queue, Record Type</b>
								</span>
								<table class="summary">
									<caption>
										Count of Log records by Type within Queue within Queue Manager 
										<br/>(all records which include Queue Manager and Queue) 
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th>Queue Manager</th>
											<th>Queue</th>
											<th>Record Type</th>
											<th>Records</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key3',concat(QMgr,QueueName,name()))[1])]">
											<xsl:sort select="QMgr"/>
											<xsl:sort select="QueueName"/>
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7" >
												<td><xsl:value-of select="QMgr"/></td>
												<td><xsl:value-of select="QueueName"/></td>
												<td><xsl:value-of select="name()"/></td>
												<td align="right"><xsl:value-of select="format-number(count(key('Key3',concat(QMgr,QueueName,name()))), '### ### ##0','EURO')"/></td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th colSpan="3">****all****</th>
											<th align="right"><xsl:value-of select="format-number(count(//Record/*[QMgr and QueueName]), '### ### ##0','EURO')"/></th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr/>
							<table cellPadding="1" width="850" align="center" border="0">
								<thead>
									<tr class="detailhead">
										<th>Earliest Date</th>
										<th>Latest Date</th>
										<th>Queue Manager</th>
										<th>LSN</th>
										<th>Record Type</th>
										<th>Record Name</th>
										<th>Queue Id</th>
										<th>Queue Name</th>
										<th>Spc Index</th>
									</tr>
								</thead>
								<tbody>
									<xsl:for-each select="Summary/Record">
										<xsl:sort select=".//Milliseconds"/>
										<tr class="detail">
											<td><xsl:value-of select=".//EarliestDate"/></td>
											<td><xsl:value-of select=".//LatestDate"/></td>
											<td><xsl:value-of select=".//QMgr"/></td>
											<td><xsl:value-of select=".//LSN"/></td>
											<td><xsl:value-of select=".//RecordType"/></td>
											<td><xsl:value-of select=".//RecordName"/></td>
											<td><xsl:value-of select=".//QueueId"/></td>
											<td><xsl:value-of select=".//QueueName"/></td>
											<td><xsl:value-of select=".//spcIndex"/></td>
										</tr>
									</xsl:for-each>
								</tbody>
							</table>
							<p></p>
							<table align="center">
								<tbody>
									<tr>
										<td>
											<font face="Arial" size="1">Copyright © 2009 Cressida Technology Ltd</font>
										</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
				</tbody>
			</table>
		</body>
	</html>
</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\Program Files\Cressida\ReQuestMQ\reports\summ1.xml" htmlbaseurl="" outputurl="" processortype="saxon8" useresolver="yes" profilemode="0"
		          profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->
