<?xml version='1.0' encoding='utf-8'?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" version="4.0"/>
<xsl:key name="Key2" match="//Record/*" use="name()"/>
<xsl:key name="Key3" match="//Record/*[QMgr and QueueName]" use="concat(QMgr,QueueName,name())"/>
<xsl:key name="Key4" match="//Record/*[QMgr and QueueName and md.PutApplName]" use="concat(QMgr,QueueName,name(),md.PutApplName)"/>
<xsl:key name="Key5" match="//Record/*[QMgr and objName]" use="concat(QMgr,objName,name())"/>
<xsl:decimal-format name="EURO"
                          grouping-separator=" "/>
<xsl:template match="/">
	<html>
		<head>
      <script type="text/javascript">
        <![CDATA[ 
          isNav = (navigator.appName == "Netscape");
					isIE = (navigator.appName.indexOf("Microsoft") > -1);
                
          function change(element) {
          	//alert(element.tagName + " " + element.className);
            var mark=element.childNodes[0].childNodes[0];
            //alert(mark.innerHTML);
            if (mark.innerHTML=="+") {
   	        	mark.parentNode.title="Click here to collapse";
    	        mark.innerHTML="-";
      	      for (var i=1;i<element.childNodes.length;i++) {
       	      	if (element.childNodes[i].tagName.toLowerCase()!="a")
              		element.childNodes[i].style.display="block";
          	  }
            }
            else if (mark.innerHTML=="-") {
            	mark.parentNode.title="Click here to expand";
              mark.innerHTML="+";
              for (var i=1;i<element.childNodes.length;i++) {
              	if (element.childNodes[i].tagName.toLowerCase()!="a")
              		element.childNodes[i].style.display="none";
              }
     	      }
          }
                
				function expandSums(element) {
					var expand;
					//alert("expandSums(tag = "+element.tagName+")");
					for (var i=1;i<element.childNodes.length;i++) {
						var e=element.childNodes[i];
						//alert("expandSums() - for (" + i + "): class: " + e.className + ", tag: " + e.tagName);
						if (e.className=="expsum") {
							//alert("innerHTML: " + e.innerHTML + "(end)");
							expand=e.innerHTML.indexOf("xpand");
							//alert("expand = " + expand);
							if (expand>=0) 
								e.innerHTML="<button>Collapse all summaries</button>";
							else
								e.innerHTML="<button>Expand all summaries</button>";
						}
						else if (e.className=="sum") {
							var mark=e.childNodes[0].childNodes[0];
							if (expand>=0) {
								mark.parentNode.title="Click here to collapse";
								mark.innerHTML="-";
								for (var j=1;j<e.childNodes.length;j++) {
									//alert("class: " + e.childNodes[j].className + ", tag: " + e.childNodes[j].tagName);
									e.childNodes[j].style.display="block";
								}
							}
							else if (expand==-1) {
								mark.parentNode.title="Click here to expand";
								mark.innerHTML="+";
								for (var j=1;j<e.childNodes.length;j++) {
									e.childNodes[j].style.display="none";
								}
							}
						}
					}
				}
				
				function expandData(element) {
					var expand;
					//alert("expandData(tag = "+element.tagName+")");
					//alert("expandData() - number of childnodes = " + element.childNodes.length);
					for (var i=1;i<element.childNodes.length;i++) {
						var e=element.childNodes[i];
						
							/*alert("expandData() \r\n tag = " 
							+ e.tagName + " class = " + e.className  
							+ " \r\n number of childnodes = " + e.childNodes.length);*/
						if (e.className=="expdata") {
							//alert("innerHTML: " + e.innerHTML + "(end)");
							expand=e.innerHTML.indexOf("xpand");
							//alert("expand = " + expand);
							if (expand>=0) 
								e.innerHTML="<button>Collapse all details</button>";
							else
								e.innerHTML="<button>Expand all details</button>";
						}
						else if (e.className=="data") {
							var mark=e.childNodes[0].childNodes[0];
							if (expand>=0) {
								mark.parentNode.title="Click here to collapse";
								mark.innerHTML="-";
								for (var k=1;k<e.childNodes.length;k++) {
									//alert("class: " + e.childNodes[k].className + ", tag: " + e.childNodes[k].tagName);
       	      		if (e.childNodes[k].tagName.toLowerCase()!="a")
              			e.childNodes[k].style.display="block";
          	  	}
							}
							else if (expand==-1) {
								mark.parentNode.title="Click here to expand";
								mark.innerHTML="+";
								for (var k=1;k<e.childNodes.length;k++) {
								  if (e.childNodes[k].tagName.toLowerCase()!="a")
              			e.childNodes[k].style.display="none";
								}
							}
						}
					}
				}
				
				function gotClick(evt) {
					var element;
					if (isIE) element=window.event.srcElement;
					else	element = evt.target;
					//alert("gotClick() - class: " + element.parentNode.className + ", tag: " + element.parentNode.tagName);
					if (element.parentNode.className=="expsum") {
						expandSums(element.parentNode.parentNode);
						return;
					}
					else if (element.parentNode.className=="expdata") {
						expandData(element.parentNode.parentNode);
						return;
					}
					else if (element.className.substr(0,4)!="hand")  
          	element=element.parentNode;
          
          if (element.className.substr(0,4)!="hand")  
          	return;
					change(element.parentNode);
				}
                
          document.onclick=gotClick;
        ]]>
      </script>

	  	 <style>
      	body {font-family:Arial, sans-serif;}
        h2 {font-size:large; text-align:center}
        h3 {font-size:medium; text-align:center; color:#408080}
        button {cursor:pointer; border-width: 2; }
		        .hand {cursor:pointer; font-family:courier; font-weight:bold; font-size:xx-small}
   			.hand1  { margin-left:25%; cursor: pointer; font-weight:bold; }
				.hand2  { margin-left:15%; cursor: pointer; font-weight:bold; font-size:small;}
	     	.button {color:red; font-family:courier, monospace; font-weight: bold; font-size:medium} 
      	.button2 {color:red; font-family:Arial, monospace; font-size:small }
		.sumhead {font-family:Verdana; font-weight:bold; font-size:x-small}
		.sumhead2 {font-weight:bold; font-size: x-small; font-family:Arial, monospace }
       	table.expand {border-width: 0; display: none; background-color: #ffffff}
        table.criteria {padding: 10px; border-width: 1; font-size: x-small;width:300}
		table.criteria2 {padding: 1px; border-width: 1; font-size: x-small; width:360 }
        .end {border-top: medium solid #006666 }
   			caption {font-size: x-small; font-weight:bold; color:#408080; text-align:left;}
				em {color:red; font-weight:bold; }
		table.summary { display:none; spacing:2; padding:0; background-color:#ffffff; border:0; font-size:xx-small;}
		table.record { display:none; table-layout: fixed; overflow: hidden; width: 600px; font-size: x-small;}
		.header {background-color:#badcdc; font-weight:bold; width: 120px; font-size:xx-small;}
		.content {background-color:#eef7f7; width: 120px;font-size:xx-small;}
		.content2 {background-color:#eef7f7; width: 240px; max-width: 240px;font-size:xx-small;}
		.content4 {background-color:#eef7f7; width: 480px; max-width: 480px; font-size:xx-small;}
		.divider {background-color:#e9e9e9; font-color:#006666; font-weight:bold; 
					spacing-top:10; spacing-bottom:10; text-align: center; width: 600px;}
			</style>	
    </head>
		<body title="Cressida Technology - ReQuest Detailed Report" style="border-right-color: #000000">
			<table borderColor="#000000" width="65%" align="center" border="1">
				<tbody>
					<tr>
						<td>
							<table align="center" border="0" style="table-layout: auto; border-bottom-color: #ffffff; ; width: 860px; height: 75px">
								<tbody>
									<tr>
										<td style="color: #ffffff; text-align:center">
											&#160;&#160;<img hspace="0" src="logo.jpg" align="baseline" border="0"/>
										</td>
									</tr>
								</tbody>
							</table>
							<h2>ReQuest™ for WebSphere® MQ</h2>
							<h3><xsl:value-of select="Detailed/Title" /> Report</h3>
							<table class="criteria" align="center">
        				<thead>
									<tr bgColor="#badcdc">
										<th colSpan="2">Report Criteria</th>
									</tr>
								</thead>
								<tbody>
	        				<tr>
										<th align="right">Report Time</th>
										<td><xsl:value-of select=".//ReportTime"/></td>
									</tr>



									<xsl:choose> 
									  <xsl:when test=".//PerQmgrSettings = 'No'"> 									    
										<xsl:if test=".//ReportTimeBased = 'Yes'">
										<tr style="background-color:#e8e8e8">
										<th align="right">Start Time</th>
										<td><xsl:value-of select=".//StartTime"/></td>
									</tr>
									<tr>
										<th align="right">End Time</th>
										<td><xsl:value-of select=".//EndTime"/></td>
									</tr>  
									</xsl:if>
									<xsl:if test=".//ReportTimeBased = 'No'">
									 <tr style="background-color:#e8e8e8">
											<th align="right">Start LSN/RBA</th>
											<td><xsl:value-of select=".//LSNFrom"/></td>
										</tr>
										<tr>
											<th align="right">End LSN/RBA</th>
											<td><xsl:value-of select=".//LSNTo"/></td>
										</tr>   
										</xsl:if>
																<tr style="background-color:#e8e8e8">
																<th align="right">Log File From:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileFrom = -1"> 
																    <td align="left">Beginning</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileFrom"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																

															</tr>
															<tr>
																<th align="right">Log File To:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileTo = -1"> 
																    <td align="left">End</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileTo"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																</tr>
										<tr bgColor="#e8e8e8">
											<th align="right">Filter</th>
											<td><xsl:value-of select=".//FilterName"/></td>
										</tr>		
										<tr style="background-color:#badcdc">
										<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Queue Set Content</th>
										
										</tr>
									<xsl:for-each select="Detailed/ReportCriteria/QMgr">
									<xsl:sort select="Name" order="ascending"/>
										<tr style="background-color:#e8e8e8">
											<th style="text-align: right">Queue Manager</th>
											<td><xsl:value-of select="Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)</td>
										</tr>
										<xsl:for-each select="QueueName">
										<xsl:sort select="." order="ascending"/>
											<tr>
												<td/>
												<td><xsl:value-of select="."/></td>
											</tr>
										</xsl:for-each>
									</xsl:for-each>											
									  </xsl:when> 
									<xsl:otherwise>
									  	<tr bgColor="#e8e8e8">
											<th align="right">Filter</th>
											<td><xsl:value-of select=".//FilterName"/></td>
										</tr> 	


									  			<tr>
										
										<td>&#160;</td>
										</tr>
										<tr style="background-color:#badcdc">
										<th style="text-align: center; font-size: x-small; font-family:Verdana;" colSpan="2">Individual Queue Manager Settings</th>
										</tr> 
									  	<tr>
											<th colSpan="2">
							   
											<xsl:for-each select="//ReportCriteria/QMgr">

												<table align="center" width="300">
													<thead>

													<tr style="background-color:#e8e8e8" colSpan="2">
														<th>	
															<div class="criteria2" colSpan="2" align="center">
															<span class="hand" title="Click here to expand" >
																<a class="button">+</a>
																<b class="sumhead2">&#160;<xsl:value-of select=".//Name"/>&#160;(<xsl:value-of select=".//AgentName"/>)</b>
															</span>
															<table class="summary">

																<tbody>
															<tr>
																<th align="right">Agent Name:</th>
																<td align="left"><xsl:value-of select=".//AgentName"/></td>
															</tr>
														<xsl:if test=".//ReportTimeBased = 'Yes'">
															<tr style="background-color:#e8e8e8">
																<th align="right">Start Time:</th>
																<td align="left"><xsl:value-of select=".//StartTime"/></td>
															</tr> 
															<tr>
																<th align="right">End Time:</th>
																<td align="left"><xsl:value-of select=".//EndTime"/></td>
															</tr>
															
															</xsl:if>     
														<xsl:if test=".//ReportTimeBased = 'No'">
															<tr style="background-color:#e8e8e8">
																<th align="right">Start LSN/RBA</th>
																<td align="left"><xsl:value-of select=".//LSNFrom"/></td>
															</tr>
															<tr>
																<th align="right">End LSN/RBA</th>
																<td align="left"><xsl:value-of select=".//LSNTo"/></td>
															</tr>   
														</xsl:if>
														<tr style="background-color:#e8e8e8">
																<th align="right">Log File From:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileFrom = -1"> 
																    <td align="left">Beginning</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileFrom"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																

															</tr>
															<tr>
																<th align="right">Log File To:</th>
																<xsl:choose> 
																  <xsl:when test=".//LogFileTo = -1"> 
																    <td align="left">End</td>  
																  </xsl:when> 
																  <xsl:otherwise> 
																   <td align="left"><xsl:value-of select=".//LogFileTo"/></td>   
																  </xsl:otherwise>
																</xsl:choose>
																</tr>
															<tr style="background-color:#e8e8e8">
																<th align="right">Queue Name:</th>
																<td align="left"><xsl:value-of select=".//QueueName"/></td>
															</tr>    			
																</tbody>
															</table>
														</div>

														</th>
														</tr>
														</thead>
														</table>
														</xsl:for-each>
													</th>
												</tr>				
									  </xsl:otherwise>
									</xsl:choose>
								</tbody>
							</table>
    					<hr/>






							<div align="center" style="font-size:x-small">
								Click the summary title (or red "<em>+</em>" or "<em>-</em>" signs) to display or hide summary details
							</div>
							<p align="center" class="expsum">
								<button>Expand all summaries</button>
							</p>
 							<hr width="50%" style="color: #008080" />
 							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary of Puts and Gets</b>
								</span>
								<table class="summary" >
									<caption>
										<br/>
										Count of: Puts, Gets, and Puts+Gets; (all Queues)
									</caption>
									<tbody>
										<tr style="text-align:left; background-color:#badcdc;">
											<th/>
											<th>Records</th>
											<th>Total User Msg Length</th>
										</tr>
										<tr style="background-color=#eef7f7;">
											<td>Puts</td>
											<td style="text-align:right">
												<xsl:value-of select="format-number(count(//Record/Put), '###,###,##0')"/>
											</td>
											<td style="text-align:right">
												<xsl:value-of select="format-number(sum(//Record/Put/userMsgLen), '###,###,##0')"/>
											</td>
										</tr>
										<tr style="background-color:#eef7f7;">
											<td>Gets</td>
											<td style="text-align:right">
												<xsl:value-of select="format-number(count(//Record/Get), '###,###,##0')"/>
											</td>
											<td/>
										</tr>
										<tr style="background-color=#badcdc">
											<th>Puts+Gets</th>
											<th style="text-align:right">
												<xsl:value-of select="format-number(count(//Record/Get)+count(//Record/Put), '###,###,##0')"/>
											</th>
											<th align="right">
												<xsl:value-of select="format-number(sum(//Record/Put/userMsgLen), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr style="color: #008080; width: 50%"/>
							<div align="center" class="sum">
								<span class="hand" title="Click here to expand">
									<a class="button">+</a>
									<b class="sumhead"> Summary of Log Records</b>
								</span>
								<table class="summary" >
									<caption>
										Count of records by Type
										<br/>(all records)
									</caption>
									<tbody>
										<tr style="text-align:left; background-color:#badcdc;">
											<th>Record Type</th>
											<th style="text-align:center">Records</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key2',name())[1])]">
										<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td>
													<xsl:value-of select="name()"/>
												</td>
												<td style="text-align:right">
													<xsl:value-of select="format-number(count(key('Key2',name())), '###,###,##0')"/>
												</td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th>**all record types**</th>
											<th style="text-align:right">
												<xsl:value-of select="format-number(count(//Record/*), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand">
									<a class="button">+</a>
									<b class="sumhead"> Summary by Queue Manager, Queue, Record Type</b>
								</span>
								<table class="summary">
									<caption>
										<br/>
										Count of Log records by Type within Queue within Queue Manager (all records which include Queue Manager and Queue)
									</caption>
									<tbody>
										<tr style="background-color:#badcdc;">
											<th>Queue Manager</th>
											<th>Queue</th>
											<th>Record Type</th>
											<th>Records</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key3',concat(QMgr,QueueName,name()))[1])]">
											<xsl:sort select="QMgr"/>
											<xsl:sort select="QueueName"/>
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td>
													<xsl:value-of select="QMgr"/>
												</td>
												<td>
													<xsl:value-of select="QueueName"/>
												</td>
												<td>
													<xsl:value-of select="name()"/>
												</td>
												<td style="text-align:right">
													<xsl:value-of select="format-number(count(key('Key3',concat(QMgr,QueueName,name()))), '###,###,##0')"/>
												</td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th colSpan="3">****all****</th>
											<th style="text-align:right">
												<xsl:value-of select="format-number(count(//Record/*[QMgr and QueueName]), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand">
									<a class="button">+</a>
									<b class="sumhead"> Summary by Queue Manager, Queue, Put.Application </b>
								</span>
								<table class="summary">
									<caption>
										<br/>
										Log records by Put.Application within Queue within Queue Manager (all records which include Queue Manager and Queue and Put.Application)
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th>Queue Manager</th>
											<th>Queue</th>
											<th>Put.Application</th>
											<th>Record Type</th>
											<th>Records</th>
											<th>Total User Msg Length</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))[1])]">
											<xsl:sort select="QMgr"/>
											<xsl:sort select="QueueName"/>
											<xsl:sort select="md.PutApplName"/>
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td>
													<xsl:value-of select="QMgr"/>
												</td>
												<td>
													<xsl:value-of select="QueueName"/>
												</td>
												<td>
													<xsl:value-of select="md.PutApplName"/>
												</td>
												<td>
													<xsl:value-of select="name()"/>
												</td>
												<td style="text-align:right">
													<xsl:value-of select="format-number(count(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))), '###,###,##0')"/>
												</td>
												<td style="text-align:right">
													<xsl:value-of select="format-number(sum(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))/userMsgLen), '###,###,##0')"/>
												</td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th colSpan="4">****all****</th>
											<th align="right">
												<xsl:value-of select="format-number(count(//Record/*[QMgr and QueueName and md.PutApplName]), '###,###,##0')"/>
											</th>
											<th align="right">
												<xsl:value-of select="format-number(sum(//Record/*[QMgr and QueueName and md.PutApplName]/userMsgLen), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand">
									<a class="button">+</a>
									<b class="sumhead"> Summary by Put.Application, Queue Manager, Queue</b>
								</span>
								<table class="summary">
									<caption align="left">
										<br/>
										Log records by Queue within Queue Manager within Put.Application (all records which include Queue Manager and Queue and Put.Application)
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th>Put.Application</th>
											<th>Queue Manager</th>
											<th>Queue</th>
											<th>Record Type</th>
											<th>Records</th>
											<th>Total User Msg Length</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))[1])]">
											<xsl:sort select="md.PutApplName"/>
											<xsl:sort select="QMgr"/>
											<xsl:sort select="QueueName"/>
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td>
													<xsl:value-of select="md.PutApplName"/>
												</td>
												<td>
													<xsl:value-of select="QMgr"/>
												</td>
												<td>
													<xsl:value-of select="QueueName"/>
												</td>
												<td>
													<xsl:value-of select="name()"/>
												</td>
												<td align="right">
													<xsl:value-of select="format-number(count(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))), '###,###,##0')"/>
												</td>
												<td align="right">
													<xsl:value-of select="format-number(sum(key('Key4',concat(QMgr,QueueName,name(),md.PutApplName))/userMsgLen), '###,###,##0')"/>
												</td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th colSpan="4">****all****</th>
											<th align="right">
												<xsl:value-of select="format-number(count(//Record/*[QMgr and QueueName and md.PutApplName]), '###,###,##0')"/>
											</th>
											<th align="right">
												<xsl:value-of select="format-number(sum(//Record/*[QMgr and QueueName and md.PutApplName]/userMsgLen), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="50%" style="color: #008080"/>
							<div align="center" class="sum">
								<span class="hand">
									<a class="button">+</a>
									<b class="sumhead"> Summary by Queue Manager, Object Name, Record Type </b>
								</span>
								<table class="summary" cellSpacing="2" cellPadding="0" bgColor="#ffff80" border="0" style="border-right: 0px; border-top: 0px; display: none; ; border-left: 0px; border-bottom: 0px; background-color: #ffffff">
									<caption>
										<br/>
										Log records by Type within Object Name within Queue Manager (all records which include Queue Manager and Object Name)
									</caption>
									<tbody>
										<tr style="background-color:#badcdc">
											<th>Queue Manager</th>
											<th>Object</th>
											<th>Record Type</th>
											<th>Records</th>
										</tr>
										<xsl:for-each select="//Record/*[generate-id(.)=generate-id(key('Key5',concat(QMgr,objName,name()))[1])]">
											<xsl:sort select="QMgr"/>
											<xsl:sort select="objName"/>
											<xsl:sort select="name()"/>
											<tr style="background-color:#eef7f7">
												<td>
													<xsl:value-of select="QMgr"/>
												</td>
												<td>
													<xsl:value-of select="objName"/>
												</td>
												<td>
													<xsl:value-of select="name()"/>
												</td>
												<td align="right">
													<xsl:value-of select="format-number(count(key('Key5',concat(QMgr,objName,name()))), '###,###,##0')"/>
												</td>
											</tr>
										</xsl:for-each>
										<tr style="background-color:#badcdc">
											<th colSpan="3">****all****</th>
											<th align="right">
												<xsl:value-of select="format-number(count(//Record/*[QMgr and objName]), '###,###,##0')"/>
											</th>
										</tr>
									</tbody>
								</table>
							</div>

							<hr/>

							<div style="text-align:center; font-size:x-small;" >
								Click the Record name (or red " 
									<em>+</em>" or " 
									<em>-</em>" signs) to display or hide record details 
							</div>
							<p style="text-align:center; font-size:x-small;" class="expdata">
								<button>Expand all details</button>
							</p>

							<hr width="70%"/>

							<xsl:for-each select="Detailed/Record/.">
							<xsl:sort select=".//Milliseconds"/>







			<xsl:if test="UpdateAttributesLTPA">
           		<div class="data"> 
             		<span class="hand2" style="font-size:x-small"> 
               		<a class="button">+</a> Update Attributes - Topic 
           			</span>
             		<a style="font-size:x-small">: <xsl:value-of select="UpdateAttributesLTPA/topicName"/> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
             		<table class="record" align="center">
             			<tbody>
								<tr class="divider">
			              			<td colspan="5">Topic Attributes</td>
		              			</tr>
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
								</tr>
								<tr>
	                 				<td class="header">Queue Manager</td> 
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               				</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/QueueName"/></td>
	                			</tr>
	               				<tr>
	                 				<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/QueueId"/></td>
						        </tr>
	               				<tr>
	                 				<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLTPA/LSN"/></td>
									<td class="header">Version</td>
									<td class="content"><xsl:value-of select="UpdateAttributesLTPA/version"/></td>
								</tr>
								
			              		
								
								<tr class="divider">
			              			<td colspan="5">General</td>
		              			</tr>
		              			<tr>
		              				<td class="header">Topic Name</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLTPA/topicName"/></td>
		              				<td class="header">Topic Type</td>
		              				<td class="content"><xsl:value-of select="UpdateAttributesLTPA/objType"/></td>
	              				</tr>
	              				<tr>
									<td class="header">Topic String</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/topicString"/></td>
	              				</tr>
								<tr>
									<td class="header">Description</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/description"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Publish</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLTPA/pub"/></td>
		              				<td class="header">Subscribe</td>
		              				<td class="content"><xsl:value-of select="UpdateAttributesLTPA/sub"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Durable Subscriptions</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLTPA/durSub"/></td>
		              				<td class="header">Default Priority</td>
		              				<td class="content"><xsl:value-of select="UpdateAttributesLTPA/defaultPrio"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Model Durable Queue</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/modelQueueDurSub"/></td>
		   
	              				</tr>
								<tr>
	              					<td class="header">Model Non-Durable Queue</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/modelQueueNonDurSub"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Default Persistence</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLTPA/defaultPers"/></td>
		              				<td class="header">Default Put Response Type</td>
		              				<td class="content"><xsl:value-of select="UpdateAttributesLTPA/defPresP"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Non-Persistent Message Delivery</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLTPA/nonPsistMsgDlv"/></td>
		              				<td class="header">Persistent Message Delivery</td>
		              				<td class="content"><xsl:value-of select="UpdateAttributesLTPA/psistMsgDlv"/></td>
	              				</tr>
								<tr>
	              					<td class="header">Wildcard Operation</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/wildcard"/></td>
	              				</tr>
								<tr class="divider">
			              			<td colspan="5">Distributed Publish/Subscribe</td>
		              			</tr>
								<tr>
		              				<td class="header">Proxy Subscription Behaviour</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLTPA/proxySub"/></td>
		              				<td class="header">Publication Scope</td>
		              				<td class="content"><xsl:value-of select="UpdateAttributesLTPA/pubScope"/></td>
	              				</tr>
								<tr>
	              					<td class="header">Subscription Scope</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/subScope"/></td>
	              				</tr>
								
								<tr class="divider">
			              			<td colspan="5">Cluster</td>
		              			</tr>
								<tr>
	              					<td class="header">Cluster Name</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLTPA/cluster"/></td>
	              				</tr>
								<tr class="divider">
			              			<td colspan="5">Statistics</td>
		              			</tr>
								<tr>
		              				<td class="header">Alteration Date</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLTPA/altDate"/></td>
		              				<td class="header">Alteration Time</td>
		              				<td class="content"><xsl:value-of select="UpdateAttributesLTPA/altTime"/></td>
	              				</tr>
						</tbody>
						</table>
						</div>
							<hr width="70%"/>
						</xsl:if>



      <xsl:if test="CreateObject-zOSLTPA">
           		<div class="data"> 
             		<span class="hand2" style="font-size:x-small"> 
               		<a class="button">+</a> z/OS Create Topic 
           			</span>
             		<a style="font-size:x-small">: <xsl:value-of select="CreateObject-zOSLTPA/topicName"/> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
             		<table class="record" align="center">
             			<tbody>
								<tr class="divider">
			              			<td colspan="5">Topic Attributes</td>
		              			</tr>
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
								</tr>
								<tr>
	                 				<td class="header">Queue Manager</td> 
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               				</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/QueueName"/></td>
	                			</tr>
	               				<tr>
	                 				<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/QueueId"/></td>
						        </tr>
	               				<tr>
	                 				<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/LSN"/></td>
									<td class="header">Version</td>
									<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/version"/></td>
								</tr>
								
			              		
								
								<tr class="divider">
			              			<td colspan="5">General</td>
		              			</tr>
		              			<tr>
		              				<td class="header">Topic Name</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/topicName"/></td>
		              				<td class="header">Topic String Length</td>
		              				<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/topicStrLength"/></td>
	              				</tr>
	              				<tr>
									<td class="header">Topic String</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/topicString"/></td>
	              				</tr>
								<tr>
									<td class="header">Description</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/description"/></td>
	              				</tr>
								<tr>
							        <td class="header">Parent Topic</td>
									<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/parentTopic"/>
								</td>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/QSGDisp"/>
								</td>
								</tr>
												<tr>
													<td class="header">Topic String CCSID</td>
													<td class="content2" colspan="2">
														<xsl:value-of select="CreateObject-zOSLTPA/topicStrCCSID"/>
													</td>
													<td class="header">Topic Monitoring</td>
													<td class="content">
														<xsl:value-of select="CreateObject-zOSLTPA/topicMonitoring"/>
													</td>
												</tr>
								<tr>
		              				<td class="header">Publish</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/pub"/></td>
		              				<td class="header">Subscribe</td>
		              				<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/sub"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Durable Subscriptions</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/durSub"/></td>
		              				<td class="header">Default Priority</td>
		              				<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/defaultPrio"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Model Durable Queue</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/modelQueueDurSub"/></td>
		   
	              				</tr>
								<tr>
	              					<td class="header">Model Non-Durable Queue</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/modelQueueNonDurSub"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Default Persistence</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/defaultPers"/></td>
		              				<td class="header">Default Put Response Type</td>
		              				<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/defPresP"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Non-Persistent Message Delivery</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/nonPsistMsgDlv"/></td>
		              				<td class="header">Persistent Message Delivery</td>
		              				<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/psistMsgDlv"/></td>
	              				</tr>
								<tr>
	              					<td class="header">Wildcard Operation</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/wildcard"/></td>
	              				</tr>
								<tr class="divider">
			              			<td colspan="5">Distributed Publish/Subscribe</td>
		              			</tr>
								<tr>
		              				<td class="header">Proxy Subscription Behaviour</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/proxySub"/></td>
		              				<td class="header">Publication Scope</td>
		              				<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/pubScope"/></td>
	              				</tr>
								<tr>
	              					<td class="header">Subscription Scope</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/subScope"/></td>
	              				</tr>
								
								<tr class="divider">
			              			<td colspan="5">Cluster</td>
		              			</tr>
								<tr>
	              					<td class="header">Cluster Name</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="CreateObject-zOSLTPA/cluster"/></td>
	              				</tr>
								<tr class="divider">
			              			<td colspan="5">Statistics</td>
		              			</tr>
								<tr>
		              				<td class="header">Alteration Date</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLTPA/altDate"/></td>
		              				<td class="header">Alteration Time</td>
		              				<td class="content"><xsl:value-of select="CreateObject-zOSLTPA/altTime"/></td>
	              				</tr>
						</tbody>
						</table>
						</div>
							<hr width="70%"/>
						</xsl:if>





			<xsl:if test="AlterObject-zOSLTPA">
           		<div class="data"> 
             		<span class="hand2" style="font-size:x-small"> 
               		<a class="button">+</a> z/OS Alter Topic 
           			</span>
             		<a style="font-size:x-small">: <xsl:value-of select="AlterObject-zOSLTPA/topicName"/> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
             		<table class="record" align="center">
             			<tbody>
								<tr class="divider">
			              			<td colspan="5">Topic Attributes</td>
		              			</tr>
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
								</tr>
								<tr>
	                 				<td class="header">Queue Manager</td> 
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               				</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/QueueName"/></td>
	                			</tr>
	               				<tr>
	                 				<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/QueueId"/></td>
						        </tr>
	               				<tr>
	                 				<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/LSN"/></td>
									<td class="header">Version</td>
									<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/version"/></td>
								</tr>
								
			              		
								
								<tr class="divider">
			              			<td colspan="5">General</td>
		              			</tr>
		              			<tr>
		              				<td class="header">Topic Name</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/topicName"/></td>
		              				<td class="header">Topic String Length</td>
		              				<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/topicStrLength"/></td>
	              				</tr>
	              				<tr>
									<td class="header">Topic String</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/topicString"/></td>
	              				</tr>
								<tr>
									<td class="header">Description</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/description"/></td>
	              				</tr>
								<tr>
							        <td class="header">Parent Topic</td>
									<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/parentTopic"/>
								</td>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/QSGDisp"/>
								</td>
								</tr>
											    <tr>
													<td class="header">Topic String CCSID</td>
													<td class="content2" colspan="2">
														<xsl:value-of select="AlterObject-zOSLTPA/topicStrCCSID"/>
													</td>
													<td class="header">Topic Monitoring</td>
													<td class="content">
														<xsl:value-of select="AlterObject-zOSLTPA/topicMonitoring"/>
													</td>
												</tr>
								<tr>
		              				<td class="header">Publish</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/pub"/></td>
		              				<td class="header">Subscribe</td>
		              				<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/sub"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Durable Subscriptions</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/durSub"/></td>
		              				<td class="header">Default Priority</td>
		              				<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/defaultPrio"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Model Durable Queue</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/modelQueueDurSub"/></td>
		   
	              				</tr>
								<tr>
	              					<td class="header">Model Non-Durable Queue</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/modelQueueNonDurSub"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Default Persistence</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/defaultPers"/></td>
		              				<td class="header">Default Put Response Type</td>
		              				<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/defPresP"/></td>
	              				</tr>
								<tr>
		              				<td class="header">Non-Persistent Message Delivery</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/nonPsistMsgDlv"/></td>
		              				<td class="header">Persistent Message Delivery</td>
		              				<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/psistMsgDlv"/></td>
	              				</tr>
								<tr>
	              					<td class="header">Wildcard Operation</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/wildcard"/></td>
	              				</tr>
								<tr class="divider">
			              			<td colspan="5">Distributed Publish/Subscribe</td>
		              			</tr>
								<tr>
		              				<td class="header">Proxy Subscription Behaviour</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/proxySub"/></td>
		              				<td class="header">Publication Scope</td>
		              				<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/pubScope"/></td>
	              				</tr>
								<tr>
	              					<td class="header">Subscription Scope</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/subScope"/></td>
	              				</tr>
								
								<tr class="divider">
			              			<td colspan="5">Cluster</td>
		              			</tr>
								<tr>
	              					<td class="header">Cluster Name</td>
	              					<td class="content4" colspan="4"><xsl:value-of select="AlterObject-zOSLTPA/cluster"/></td>
	              				</tr>
								<tr class="divider">
			              			<td colspan="5">Statistics</td>
		              			</tr>
								<tr>
		              				<td class="header">Alteration Date</td>
		              				<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLTPA/altDate"/></td>
		              				<td class="header">Alteration Time</td>
		              				<td class="content"><xsl:value-of select="AlterObject-zOSLTPA/altTime"/></td>
	              				</tr>
						</tbody>
						</table>
						</div>
							<hr width="70%"/>
						</xsl:if>








			<xsl:if test="Put">

           		<div class="data"> 
             		<span class="hand2" style="font-size:x-small"> 
               		<a class="button">+</a> Put 
           			</span>
             		<a style="font-size:x-small">- <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
             		<table class="record" align="center">
             			<tbody>
						<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
	                 		<td class="header">Queue Manager</td> 
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               		</tr>
		     						<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="Put/QueueName"/></td>
	                	</tr>
	               		<tr>
	                 		<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="Put/QueueId"/></td>
						        </tr>
	               		<tr>
	                 		<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="Put/version"/></td>
										</tr>
										<tr>
	                 		<td class="header">User Message Length</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/userMsgLen"/></td>
											<td class="header">Backout Count</td>
											<td class="content"><xsl:value-of select="Put/backOutCount"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">SpcIndex</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/spcIndex"/></td>
											<td class="header">ReQueue Flag</td>
											<td class="content"><xsl:value-of select="Put/requeueFlag"/></td>
			              </tr>
			              <tr class="divider">
			              	<td colspan="5">Transaction Details</td>
		              	</tr>
		              	<tr>
		              		<td class="header">Previous LSN</td>
		              		<td class="content2" colspan="2"><xsl:value-of select="Put/prevLSN"/></td>
		              		<td class="header">TranType</td>
		              		<td class="content"><xsl:value-of select="Put/transType"/></td>
	              		</tr>
	              		<tr>
	              			<td class="header">TranNum (High/Low)</td>
	              			<td class="content4" colspan="4"><xsl:value-of select="Put/tranNumHigh"/>/<xsl:value-of select="Put/tranNumLow"/></td>
	              		</tr>
	               		<tr class="divider">
	                 		<td colspan="5">Message Descriptor</td>
	               		</tr>
				         		<tr>
	                 		<td class="header">StrucId</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/md.StrucId"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="Put/md.Version"/></td>
	               		</tr>
	               		<tr>
	                		<td class="header">Report</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/md.Report"/></td>
											<td class="header">MsgType</td>
											<td class="content"><xsl:value-of select="Put/md.MsgType"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Expiry</td>
											<td class="content2" colspan="2"><xsl:value-of select="format-number(Put/md.Expiry,'# ### ### ##0','EURO')"/></td>
											<td class="header">Feedback</td>
											<td class="content"><xsl:value-of select="Put/md.Feedback"/></td>
		               	</tr>
		               	<tr>
		                	<td class="header">Encoding</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/md.Encoding"/></td>
											<td class="header">CodedCharSetId</td>
											<td class="content"><xsl:value-of select="Put/md.CodedCharSetId"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Format</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/md.Format"/></td>
											<td class="header">Priority</td>
											<td class="content"><xsl:value-of select="Put/md.Priority"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Persistence</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/md.Persistence"/></td>
											<td class="header">BackoutCount</td>
											<td class="content"><xsl:value-of select="format-number(Put/md.BackoutCount,'# ### ### ##0','EURO')"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">MsgId</td>
											<td bgColor="#eef7f7" colspan="4"> <xsl:value-of select="Put/md.MsgId"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">CorrelId</td>
											<td bgColor="#eef7f7" colspan="4"> <xsl:value-of select="Put/md.CorrelId"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">ReplyToQ</td>
											<td class="content4" colspan="4"><xsl:value-of select="Put/md.ReplyToQ"/></td>
										</tr>
										<tr>
	                 		<td class="header">ReplyToQMgr</td>
											<td class="content4" colspan="4"> <xsl:value-of select="Put/md.ReplyToQMgr"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">UserIdentifier</td>
											<td class="content4" colspan="4"> <xsl:value-of select="Put/md.UserIdentifier"/></td>
					       		</tr>
	               		<tr>
	                 		<td class="header">AccountingToken</td>
											<td class="content4" colspan="4"> <xsl:value-of select="Put/md.AccountingToken"/></td>
										</tr>
 	              		<tr>
 	                		<td class="header">ApplIdentityData</td>
											<td class="content4" colspan="4"> <xsl:value-of select="Put/md.ApplIdentityData"/></td>
 	              		</tr>
 	              		<tr>
 	                		<td class="header">PutApplType</td>
											<td class="content4" colspan="4"><xsl:value-of select="Put/md.PutApplType"/></td>
											</tr>
											<tr>
 	                		<td class="header">PutApplName</td>
											<td class="content4" colspan="4"> <xsl:value-of select="Put/md.PutApplName"/></td>
 	              		</tr>
 	            			<tr>
 	                		<td class="header">PutDate</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/md.PutDate"/></td>
											<td class="header">PutTime</td>
											<td class="content"><xsl:value-of select="Put/md.PutTime"/></td>
 	              		</tr>
 	              		<tr>
 	                		<td class="header">ApplOriginData</td>
											<td class="content2" colspan="2"><xsl:value-of select="Put/md.ApplOriginData"/></td>
											<td class="header">MsgSeqNumber</td>
											<td class="content"><xsl:value-of select="format-number(Put/md.MsgSeqNumber,'# ### ### ##0','EURO')"/></td>
 	              		</tr>
 	              		<tr>
 	                		<td class="header">GroupId</td>
											<td class="content4" colspan="4"> <xsl:value-of select="Put/md.GroupId"/></td>
 	              		</tr>
 	              		<tr>
 	                		<td class="header">Offset</td>
											<td class="content2" colspan="2"><xsl:value-of select="format-number(Put/md.Offset,'# ### ### ##0','EURO')"/></td>
											<td class="header">MsgFlags</td>
											<td class="content"><xsl:value-of select="Put/md.MsgFlags"/></td>
 	              		</tr>
 	              		<tr>
 	                		<td class="header">OriginalLength</td>
											<td class="content4" colspan="4"> <xsl:value-of select="format-number(Put/md.OriginalLength,'# ### ### ##0','EURO')"/></td>
											</tr>
 	     							<xsl:if test="Put/DestQName">
 	              			<tr>
 	                			<td class="header">DestQ</td>
												<td class="content4" colspan="4"><xsl:value-of select="Put/DestQName"/></td>
												</tr>
												<tr>
 	                			<td class="header">DestQMgr</td>
												<td class="content4" colspan="4"><xsl:value-of select="Put/DestQMgrName"/></td>
 	              			</tr>
 	              			<tr>
 	                			<td class="header">ReasonCode</td>
												<td class="content4" colspan="4"><xsl:value-of select="Put/Reason"/></td>
 	              			</tr>
 	           				</xsl:if>
 	           				<xsl:if test="Put/RemoteQName">
 	              			<tr>
 	                			<td class="header">RemoteQ</td>
												<td class="content4" colspan="4"><xsl:value-of select="Put/RemoteQName"/></td>
											</tr>
											<tr>
 	                			<td class="header">RemoteQMgr</td>
												<td class="content4" colspan="4"><xsl:value-of select="Put/RemoteQMgrName"/></td>
 	              			</tr>
 	           			</xsl:if>
           			</tbody>
            		</table> 
							</div> 
							<hr width="70%"/>
						</xsl:if>
			
			
			<xsl:if test="PutPart">
              <div class="data">
                <span class="hand2" style="font-size:x-small"> 
               		<a class="button">+</a> PutPart
           			</span>
             		<a style="font-size:x-small">- <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
             		<table class="record" align="center">
	              	<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
					<tr>
                 		<td class="header">Queue Manager</td> 
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
              		</tr>
              		<tr>
										<td class="header">Queue Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select="PutPart/QueueName"/></td>
               		</tr>
            			<tr>
                 		<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="PutPart/QueueId"/></td>
									</tr>
									<tr>
                 		<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="PutPart/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="PutPart/version"/></td>
									</tr>
               		<tr class="divider">
		              	<td colspan="5">Transaction Details</td>
	              	</tr>
	              	<tr>
	              		<td class="header">Previous LSN</td>
	              		<td class="content2" colspan="2"><xsl:value-of select="PutPart/prevLSN"/></td>
	              		<td class="header">TranType</td>
	              		<td class="content"><xsl:value-of select="PutPart/transType"/></td>
              		</tr>
              		<tr>
              			<td class="header">TranNum (High/Low)</td>
              			<td class="content4" colspan="4"><xsl:value-of select="PutPart/tranNumHigh"/>/<xsl:value-of select="PutPart/tranNumLow"/></td>
              		</tr>
             		</table> 
           		</div> 
         			<hr width="70%"/> 
       			</xsl:if>
			
			
			
			<xsl:if test="Get">
              <div class="data">
              	<span class="hand2" style="font-size:x-small">
                	<a class="button">+</a> Get
                </span>
                <a style="font-size:x-small">- <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
             		<table class="record" align="center">
	              	<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
					<tr>
                 		<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
               		</tr>
               		<tr>
										<td class="header">Queue Name</td>
										<td class="content4" colspan="4"><xsl:value-of select="Get/QueueName"/></td>
               		</tr>
               		<tr>
                 		<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="Get/QueueId"/></td>
									</tr>
									<tr>
                 		<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="Get/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="Get/version"/></td>
									</tr>
               		<tr>
                 		<td class="header">SpcIndex</td>
										<td class="content2" colspan="2"><xsl:value-of select="Get/spcIndex"/></td>
										<td class="header">Priority</td>
										<td class="content"><xsl:value-of select="Get/md.Priority"/></td>
               		</tr>
            			<tr>
		              	<td class="divider" colspan="5">Transaction Details</td>
	              	</tr>
	              	<tr>
	              		<td class="header">Previous LSN</td>
	              		<td class="content2" colspan="2"><xsl:value-of select="Get/prevLSN"/></td>
	              		<td class="header">TranType</td>
	              		<td class="content"><xsl:value-of select="Get/transType"/></td>
              		</tr>
              		<tr>
              			<td class="header">TranNum (High/Low)</td>
              			<td class="content4" colspan="4"><xsl:value-of select="Get/tranNumHigh"/>/<xsl:value-of select="Get/tranNumLow"/></td>
              		</tr>
             		</table> 
							</div>
							<hr width="70%"/> 
							</xsl:if>
							
		
		
		<xsl:if test="Clear">
               	<div class="data">
                 	<span class="hand2" style="font-size:x-small">
                    <a class="button">+</a> Clear
                	</span>
                  <a style="font-size:x-small">- <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
             			<table class="record" align="center">
	              		<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
						<tr>
                 			<td class="header">Queue Manager</td> 
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
               			</tr>
               			<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="Clear/QueueName"/></td>
										</tr>
              			<tr>
               				<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="Clear/QueueId"/></td>
										</tr>
										<tr>
                 			<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="Clear/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="Clear/version"/></td>
										</tr>
	            			<tr>
                 			<td class="header">Clear Count</td>
											<td class="content2" colspan="2"><xsl:value-of select="Clear/clearCount"/></td>
											<td class="header">Next Undo LSN</td>
											<td class="content"><xsl:value-of select="Clear/nextUndoLSN"/></td>
										</tr>
           					<tr class="divider">
			              	<td colspan="5">Transaction Details</td>
		              	</tr>
		              	<tr>
		              		<td class="header">Previous LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="Clear/prevLSN"/></td>
               				<td class="header">TranType</td>
		              		<td class="content"><xsl:value-of select="Clear/transType"/></td>
	              		</tr>
	              		<tr>
	              			<td class="header">TranNum (High/Low)</td>
	              			<td class="content4" colspan="4"><xsl:value-of select="Clear/tranNumHigh"/>/<xsl:value-of select="Clear/tranNumLow"/></td>
	              		</tr>
	              		<xsl:if test="Clear/clearCount&gt;0">
	              		<tr class="divider">
			              	<td colspan="5">Clear Items</td>
		              	</tr>
		              	<xsl:for-each select="Clear/items/item">
		              	<tr>
		              		<td class="header">Count</td>
											<td class="content4" colspan="4"><xsl:value-of select="Count"/></td>
               			</tr>
	              		<tr>
		              		<td class="header">Location</td>
											<td class="content2" colspan="2"><xsl:value-of select="Location"/></td>
               				<td class="header">Length</td>
		              		<td class="content"><xsl:value-of select="Length"/></td>
	              		</tr>
	              		<tr>
	              			<td class="header">Data</td>
	              			<td class="content4" colspan="4"><xsl:value-of select="Data"/></td>
	              		</tr>
	              		<tr/>
	              		</xsl:for-each>
	              		</xsl:if>
             		  </table> 
								</div> 
								<hr width="70%"/>
							</xsl:if>
							
				
				
				<xsl:if test="QueueDepth">
               	<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> Queue Depth
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
						<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>				
										<tr>
	                 		<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               		</tr>
										<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueDepth/QueueName"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueDepth/QueueId"/></td>
										</tr>
	               		<tr>
	                 		<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueDepth/LSN"/></td>
	               			<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueueDepth/version"/></td>
										</tr>
										<tr>
											<td class="header">Location</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueDepth/location"/></td>
	                 		<td class="header">Length</td>
											<td class="content"><xsl:value-of select="format-number(QueueDepth/length,'# ### ### ##0','EURO')"/></td>
	               		</tr>
	               		<tr>
											<td class="header">Value</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueDepth/value"/></td>
	               		</tr>
	            		</table> 
								</div> 
								<hr width="70%"/> 
								</xsl:if>
								
				
				
				<xsl:if test="QueuePurge">
	               	<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> Queue Purge
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
	                 		<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               		</tr>
										<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueuePurge/QueueName"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueuePurge/QueueId"/></td>
										</tr>
	               		<tr>
	                 		<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueuePurge/LSN"/></td>
	               			<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueuePurge/version"/></td>
										</tr>
										<tr>
											<td class="header">Location</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueuePurge/location"/></td>
	                 		<td class="header">Length</td>
											<td class="content"><xsl:value-of select="format-number(QueuePurge/length,'# ### ### ##0','EURO')"/></td>
	               		</tr>
	               		<tr>
											<td class="header">Value</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueuePurge/value"/></td>
	               		</tr>
	            		</table> 
								</div> 
								<hr width="70%"/>
							</xsl:if>

			
			
			<xsl:if test="QueueAttributesLLQA">
               	<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> Queue Attributes (Local Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
	                 		<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               		</tr>
										<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueAttributesLLQA/QueueName"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueAttributesLLQA/QueueId"/></td>
										</tr>
	               		<tr>
	                 		<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueAttributesLLQA/LSN"/></td>
	               			<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueueAttributesLLQA/version"/></td>
										</tr>
               			<tr class="divider">
          	       		<td colspan="5">Queue Attributes</td>
              			</tr>
	             			<tr>
              		<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
              		<td class="header">Process</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//process"/></td>
								</tr>
								<tr>
									<td class="header">Backout Requeue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//BOQName"/></td>
            		</tr>
            		<tr>
             			<td class="header">Initiation Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//initQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
           			</tr>
           			<tr>
             			<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
           			</tr>
           			<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
           			</tr>
          			<tr>
             			<td class="header">Max Queue Depth</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxDepth,'# ### ### ###','EURO')"/></td>
									<td class="header">Max Message Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Backout Threshold</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//BOThreshold"/></td>
									<td class="header">Share</td>
									<td class="content"><xsl:value-of select=".//share"/></td>
           			</tr>
           			<tr>
         	     		<td class="header">Default Share Option</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultSOpt"/></td>
									<td class="header">Harden Backout</td>
									<td class="content"><xsl:value-of select=".//hardenBO"/></td>
           			</tr>
           			<tr>
             			<td class="header">Msg Delivery Seq</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//delivery"/></td>
									<td class="header">Retain Interval</td>
									<td class="content"><xsl:value-of select="format-number(.//retain,'# ### ### ###','EURO')"/></td>
           			</tr>
						<tr>
             			<td class="header">Default Read Ahead</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defReadA"/></td>
									<td class="header">Default Put Response Type</td>
									<td class="content"><xsl:value-of select=".//defPresP"/></td>
           			</tr>
					<tr>
           			       			<td class="header">Property Control</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//propCtl"/></td>
					</tr>	
					<tr>
             			<td class="header">Usage</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//usage"/></td>
									<td class="header">Trigger</td>
									<td class="content"><xsl:value-of select=".//trigger"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//trigType"/></td>
									<td class="header">Trigger Depth</td>
									<td class="content"><xsl:value-of select=".//trigDepth"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Msg Priority</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//trigPrio"/></td>
								</tr>
           			<tr>
             			<td class="header">Trigger Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//trigData"/></td>
           			</tr>
           			<tr>
             			<td class="header">QDepth Low Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthLoEvt"/></td>
									<td class="header">QDepth Low Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthLow"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth High Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthHiEvt"/></td>
									<td class="header">QDepth High Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthHigh"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth Max Event</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//qDepthMaxEvt"/></td>
								</tr>
           			<tr>
             			<td class="header">Service Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//qSvcInt,'# ### ### ###','EURO')"/></td>
									<td class="header">Service Interval Event</td>
									<td class="content"><xsl:value-of select=".//qSvcIntEvt"/></td>
           			</tr>
           			<tr>
             			<td class="header">Non Persistent Message Class</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//NPMCLASS"/></td>
									<td class="header">Dist List Support</td>
									<td class="content"><xsl:value-of select=".//distList"/></td>
           			</tr>
           			<tr>
             			<td class="header">Scope</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//scope"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
          			</tr>
								<xsl:if test=".//acctQ">
									<tr>
	             			<td class="header">Queue Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctQ"/></td>
										<td class="header">Queue Monitoring</td>
										<td class="content"><xsl:value-of select=".//monQ"/></td>
	          			</tr>
									<tr>
	             			<td class="header">Queue Statistics</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//statQ"/></td>
									</tr>
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
									<tr>
	             			<td class="header">Cluster Workload Use Queue</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//clwluseQ"/></td>
									</tr>
          			</xsl:if>
							</table> 
								</div> 
								<hr width="70%"/> 
							</xsl:if>

				
				
				
				<xsl:if test="CreateQueue-zOSLLQA" >
								<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> z/OS Create Queue (Local Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
               		<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
             		</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueName"/></td>
              	</tr>
              	<tr>
                	<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
								</tr>
								<tr>
									<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select=".//LatestDate"/></td>
								</tr>
              	<tr>
                	<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
              		<td class="header">Version</td>
									<td class="content"><xsl:value-of select=".//version"/></td>
								</tr>
             		<tr class="divider">
        	      	<td colspan="5">Queue Attributes</td>
            		</tr>
            		<tr>
              		<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
              		<td class="header">Process</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//process"/></td>
								</tr>
								<tr>
									<td class="header">Backout Requeue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//BOQName"/></td>
            		</tr>
            		<tr>
             			<td class="header">Initiation Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//initQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
           			</tr>
           			<tr>
             			<td class="header">Cluster Name Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clusNameType"/></td>
								</tr>
           			<tr>
									<td class="header">Coupling Facility Structure Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//CFStrucName"/></td>
           			</tr>
           			<tr>
             			<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Queue Definition Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDefType"/></td>
									<td class="header">Index Type</td>
									<td class="content"><xsl:value-of select=".//indexType"/></td>
           			</tr>
           			<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
           			</tr>
           			<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
           			</tr>
          			<tr>
             			<td class="header">Max Queue Depth</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxDepth,'# ### ### ###','EURO')"/></td>
									<td class="header">Max Message Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Backout Threshold</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//BOThreshold"/></td>
									<td class="header">Share</td>
									<td class="content"><xsl:value-of select=".//share"/></td>
           			</tr>
           			<tr>
         	     		<td class="header">Default Share Option</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultSOpt"/></td>
									<td class="header">Harden Backout</td>
									<td class="content"><xsl:value-of select=".//hardenBO"/></td>
           			</tr>
           			<tr>
             			<td class="header">Msg Delivery Seq</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//delivery"/></td>
									<td class="header">Retain Interval</td>
									<td class="content"><xsl:value-of select="format-number(.//retain,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Usage</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//usage"/></td>
									<td class="header">Trigger</td>
									<td class="content"><xsl:value-of select=".//trigger"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//trigType"/></td>
									<td class="header">Trigger Depth</td>
									<td class="content"><xsl:value-of select=".//trigDepth"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Msg Priority</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//trigPrio"/></td>
								</tr>
           			<tr>
             			<td class="header">Trigger Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//trigData"/></td>
           			</tr>
           			<tr>
             			<td class="header">QDepth Low Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthLoEvt"/></td>
									<td class="header">QDepth Low Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthLow"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth High Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthHiEvt"/></td>
									<td class="header">QDepth High Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthHigh"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth Max Event</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//qDepthMaxEvt"/></td>
								</tr>
           			<tr>
             			<td class="header">Service Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//qSvcInt,'# ### ### ###','EURO')"/></td>
									<td class="header">Service Interval Event</td>
									<td class="content"><xsl:value-of select=".//qSvcIntEvt"/></td>
           			</tr>
           			<tr>
             			<td class="header"><xsl:if test=".//NPMCLASS">Non Persistent Message Class</xsl:if></td>
									<td class="content2" colspan="2"><xsl:value-of select=".//NPMCLASS"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
          			</tr>
								<xsl:if test=".//acctQ">
									<tr>
	             			<td class="header">Queue Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctQ"/></td>
										<td class="header">Queue Monitoring</td>
										<td class="content"><xsl:value-of select=".//monQ"/></td>
	          			</tr>
								</xsl:if>
								<tr>
             			<td class="header">Cluster Workload Use Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clwluseQ"/></td>
								</tr>
								<tr>
             			<td class="header">Storage Class</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//storageClass"/></td>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content"><xsl:value-of select=".//QSGDisp"/></td>
          			</tr>
            	</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>
							
			
			
			
			<xsl:if test="AlterQueue-zOSLLQA" >
								<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> z/OS Alter Queue (Local Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
               		<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
             		</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueName"/></td>
              	</tr>
              	<tr>
                	<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
								</tr>
								<tr>
									<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select=".//LatestDate"/></td>
								</tr>
              	<tr>
                	<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
              		<td class="header">Version</td>
									<td class="content"><xsl:value-of select=".//version"/></td>
								</tr>
             		<tr class="divider">
        	      	<td colspan="5">Queue Attributes</td>
            		</tr>
            		<tr>
              		<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
              		<td class="header">Process</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//process"/></td>
								</tr>
								<tr>
									<td class="header">Backout Requeue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//BOQName"/></td>
            		</tr>
            		<tr>
             			<td class="header">Initiation Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//initQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
           			</tr>
           			<tr>
             			<td class="header">Cluster Name Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clusNameType"/></td>
								</tr>
           			<tr>
									<td class="header">Coupling Facility Structure Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//CFStrucName"/></td>
           			</tr>
           			<tr>
             			<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Queue Definition Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDefType"/></td>
									<td class="header">Index Type</td>
									<td class="content"><xsl:value-of select=".//indexType"/></td>
           			</tr>
           			<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
           			</tr>
           			<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
           			</tr>
          			<tr>
             			<td class="header">Max Queue Depth</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxDepth,'# ### ### ###','EURO')"/></td>
									<td class="header">Max Message Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Backout Threshold</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//BOThreshold"/></td>
									<td class="header">Share</td>
									<td class="content"><xsl:value-of select=".//share"/></td>
           			</tr>
           			<tr>
         	     		<td class="header">Default Share Option</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultSOpt"/></td>
									<td class="header">Harden Backout</td>
									<td class="content"><xsl:value-of select=".//hardenBO"/></td>
           			</tr>
           			<tr>
             			<td class="header">Msg Delivery Seq</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//delivery"/></td>
									<td class="header">Retain Interval</td>
									<td class="content"><xsl:value-of select="format-number(.//retain,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Usage</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//usage"/></td>
									<td class="header">Trigger</td>
									<td class="content"><xsl:value-of select=".//trigger"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//trigType"/></td>
									<td class="header">Trigger Depth</td>
									<td class="content"><xsl:value-of select=".//trigDepth"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Msg Priority</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//trigPrio"/></td>
								</tr>
           			<tr>
             			<td class="header">Trigger Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//trigData"/></td>
           			</tr>
           			<tr>
             			<td class="header">QDepth Low Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthLoEvt"/></td>
									<td class="header">QDepth Low Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthLow"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth High Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthHiEvt"/></td>
									<td class="header">QDepth High Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthHigh"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth Max Event</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//qDepthMaxEvt"/></td>
								</tr>
           			<tr>
             			<td class="header">Service Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//qSvcInt,'# ### ### ###','EURO')"/></td>
									<td class="header">Service Interval Event</td>
									<td class="content"><xsl:value-of select=".//qSvcIntEvt"/></td>
           			</tr>
           			<tr>
             			<td class="header"><xsl:if test=".//NPMCLASS">Non Persistent Message Class</xsl:if></td>
									<td class="content2" colspan="2"><xsl:value-of select=".//NPMCLASS"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
          			</tr>
								<xsl:if test=".//acctQ">
									<tr>
	             			<td class="header">Queue Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctQ"/></td>
										<td class="header">Queue Monitoring</td>
										<td class="content"><xsl:value-of select=".//monQ"/></td>
	          			</tr>
								</xsl:if>
								<tr>
             			<td class="header">Cluster Workload Queue Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
									<td class="header">Cluster Workload Queue Rank</td>
									<td class="content"><xsl:value-of select=".//clwlRank"/></td>
          			</tr>
								<tr>
             			<td class="header">Cluster Workload Use Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clwluseQ"/></td>
								</tr>
								<tr>
             			<td class="header">Storage Class</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//storageClass"/></td>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content"><xsl:value-of select=".//QSGDisp"/></td>
          			</tr>
            	</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>
							
		
		
		
		<xsl:if test="QueueAttributesLMQA">
               	<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> Queue Attributes (Model Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
	                 		<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               		</tr>
										<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueAttributesLMQA/QueueName"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueAttributesLMQA/QueueId"/></td>
										</tr>
	               		<tr>
	                 		<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueAttributesLMQA/LSN"/></td>

	               			<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueueAttributesLMQA/version"/></td>
										</tr>
               			<tr class="divider">
          	       		<td colspan="5">Queue Attributes</td>
              			</tr>
               			<tr>
             			<td class="header">Description</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//description"/></td>
           			</tr>
          			<tr>
             			<td class="header">Process</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//process"/></td>
								</tr>
								<tr>
									<td class="header">Backout Requeue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//BOQName"/></td>
            		</tr>
            		<tr>
             			<td class="header">Initiation Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//initQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<tr>
             			<td class="header">Max Queue Depth</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxDepth,'# ### ### ###','EURO')"/></td>
									<td class="header">Max Message Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ###','EURO')"/></td>
            		</tr>
            		<tr>
             			<td class="header">Backout Threshold</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//BOThreshold"/></td>
									<td class="header">Share</td>
									<td class="content"><xsl:value-of select=".//share"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Share Option</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultSOpt"/></td>
									<td class="header">Harden Backout</td>
									<td class="content"><xsl:value-of select=".//hardenBO"/></td>
            		</tr>
            		<tr>
             			<td class="header">Msg Delivery Seq</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//delivery"/></td>
									<td class="header">Retain Interval</td>
									<td class="content"><xsl:value-of select="format-number(.//retain,'# ### ### ###','EURO')"/></td>
            		</tr>
					<tr>
             			<td class="header">Default Read Ahead</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defReadA"/></td>
									<td class="header">Default Put Response Type</td>
									<td class="content"><xsl:value-of select=".//defPresP"/></td>
           			</tr>
					<tr>
           			       			<td class="header">Property Control</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//propCtl"/></td>
					</tr>
            		<tr>
             			<td class="header">Usage</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//usage"/></td>
									<td class="header">Trigger</td>
									<td class="content"><xsl:value-of select=".//trigger"/></td>
            		</tr>
            		<tr>
             			<td class="header">Trigger Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//trigType"/></td>
									<td class="header">Trigger Depth</td>
									<td class="content"><xsl:value-of select=".//trigDepth"/></td>
            		</tr>
           			<tr>
             			<td class="header">Trigger Msg Priority</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//trigPrio"/></td>
								</tr>
           			<tr>
             			<td class="header">Trigger Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//trigData"/></td>
           			</tr>
           			<tr>
             			<td class="header">QDepth Low Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthLoEvt"/></td>
									<td class="header">QDepth Low Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthLow"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth High Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthHiEvt"/></td>
									<td class="header">QDepth High Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthHigh"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth Max Event</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//qDepthMaxEvt"/></td>
								</tr>
           			<tr>
             			<td class="header">Service Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//qSvcInt,'# ### ### ###','EURO')"/></td>
									<td class="header">Service Interval Event</td>
									<td class="content"><xsl:value-of select=".//qSvcIntEvt"/></td>
           			</tr>
           			<tr>
             			<td class="header">Non Persistent Message Class</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//NPMCLASS"/></td>
									<td class="header">Dist List Support</td>
									<td class="content"><xsl:value-of select=".//distList"/></td>
           			</tr>
           			<tr>
             			<td class="header">Scope</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//scope"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
          			</tr>
								<xsl:if test=".//acctQ">
									<tr>
	             			<td class="header">Queue Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctQ"/></td>
										<td class="header">Queue Monitoring</td>
										<td class="content"><xsl:value-of select=".//monQ"/></td>
	          			</tr>
									<tr>
	             			<td class="header">Queue Statistics</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//statQ"/></td>
									</tr>
	          		</xsl:if>
            	</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>

           
		   
		   
		   <xsl:if test="CreateQueue-zOSLMQA">
								<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> z/OS Create Queue (Model Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
	             		<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	           		</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueName"/></td>
	           		</tr>
	           		<tr>
	             		<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
								</tr>
								<tr>
									<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select=".//LatestDate"/></td>
								</tr>
	           		<tr>
	             		<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
	           			<td class="header">Version</td>
									<td class="content"><xsl:value-of select=".//version"/></td>
								</tr>
           			<tr class="divider">
        	      	<td colspan="5">Queue Attributes</td>
            		</tr>
            		<tr>
              		<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
              		<td class="header">Process</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//process"/></td>
								</tr>
								<tr>
									<td class="header">Backout Requeue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//BOQName"/></td>
            		</tr>
            		<tr>
             			<td class="header">Initiation Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//initQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
           			</tr>
           			<tr>
             			<td class="header">Cluster Name Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clusNameType"/></td>
								</tr>
           			<tr>
									<td class="header">Coupling Facility Structure Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//CFStrucName"/></td>
           			</tr>
           			<tr>
             			<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Queue Definition Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDefType"/></td>
									<td class="header">Index Type</td>
									<td class="content"><xsl:value-of select=".//indexType"/></td>
           			</tr>
           			<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
           			</tr>
           			<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
           			</tr>
          			<tr>
             			<td class="header">Max Queue Depth</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxDepth,'# ### ### ###','EURO')"/></td>
									<td class="header">Max Message Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Backout Threshold</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//BOThreshold"/></td>
									<td class="header">Share</td>
									<td class="content"><xsl:value-of select=".//share"/></td>
           			</tr>
           			<tr>
         	     		<td class="header">Default Share Option</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultSOpt"/></td>
									<td class="header">Harden Backout</td>
									<td class="content"><xsl:value-of select=".//hardenBO"/></td>
           			</tr>
           			<tr>
             			<td class="header">Msg Delivery Seq</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//delivery"/></td>
									<td class="header">Retain Interval</td>
									<td class="content"><xsl:value-of select="format-number(.//retain,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Usage</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//usage"/></td>
									<td class="header">Trigger</td>
									<td class="content"><xsl:value-of select=".//trigger"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//trigType"/></td>
									<td class="header">Trigger Depth</td>
									<td class="content"><xsl:value-of select=".//trigDepth"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Msg Priority</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//trigPrio"/></td>
								</tr>
           			<tr>
             			<td class="header">Trigger Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//trigData"/></td>
           			</tr>
           			<tr>
             			<td class="header">QDepth Low Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthLoEvt"/></td>
									<td class="header">QDepth Low Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthLow"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth High Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthHiEvt"/></td>
									<td class="header">QDepth High Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthHigh"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth Max Event</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//qDepthMaxEvt"/></td>
								</tr>
           			<tr>
             			<td class="header">Service Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//qSvcInt,'# ### ### ###','EURO')"/></td>
									<td class="header">Service Interval Event</td>
									<td class="content"><xsl:value-of select=".//qSvcIntEvt"/></td>
           			</tr>
           			<tr>
             			<td class="header"><xsl:if test=".//NPMCLASS">Non Persistent Message Class</xsl:if></td>
									<td class="content2" colspan="2"><xsl:value-of select=".//NPMCLASS"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
          			</tr>
								<xsl:if test=".//acctQ">
									<tr>
	             			<td class="header">Queue Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctQ"/></td>
										<td class="header">Queue Monitoring</td>
										<td class="content"><xsl:value-of select=".//monQ"/></td>
	          			</tr>
								</xsl:if>
								<tr>
             			<td class="header">Cluster Workload Use Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clwluseQ"/></td>
								</tr>
								<tr>
             			<td class="header">Storage Class</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//storageClass"/></td>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content"><xsl:value-of select=".//QSGDisp"/></td>
          			</tr>
								</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>
            	
            
			
			
			<xsl:if test="AlterQueue-zOSLMQA">
								<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> z/OS Alter Queue (Model Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
	             		<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	           		</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueName"/></td>
	           		</tr>
	           		<tr>
	             		<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
								</tr>
								<tr>
									<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select=".//LatestDate"/></td>
								</tr>
	           		<tr>
	             		<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
	           			<td class="header">Version</td>
									<td class="content"><xsl:value-of select=".//version"/></td>
								</tr>
           			<tr class="divider">
        	      	<td colspan="5">Queue Attributes</td>
            		</tr>
            		<tr>
              		<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
              		<td class="header">Process</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//process"/></td>
								</tr>
								<tr>
									<td class="header">Backout Requeue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//BOQName"/></td>
            		</tr>
            		<tr>
             			<td class="header">Initiation Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//initQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
           			</tr>
           			<tr>
             			<td class="header">Cluster Name Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clusNameType"/></td>
								</tr>
           			<tr>
									<td class="header">Coupling Facility Structure Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//CFStrucName"/></td>
           			</tr>
           			<tr>
             			<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Queue Definition Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDefType"/></td>
									<td class="header">Index Type</td>
									<td class="content"><xsl:value-of select=".//indexType"/></td>
           			</tr>
           			<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
           			</tr>
           			<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
           			</tr>
          			<tr>
             			<td class="header">Max Queue Depth</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxDepth,'# ### ### ###','EURO')"/></td>
									<td class="header">Max Message Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Backout Threshold</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//BOThreshold"/></td>
									<td class="header">Share</td>
									<td class="content"><xsl:value-of select=".//share"/></td>
           			</tr>
           			<tr>
         	     		<td class="header">Default Share Option</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultSOpt"/></td>
									<td class="header">Harden Backout</td>
									<td class="content"><xsl:value-of select=".//hardenBO"/></td>
           			</tr>
           			<tr>
             			<td class="header">Msg Delivery Seq</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//delivery"/></td>
									<td class="header">Retain Interval</td>
									<td class="content"><xsl:value-of select="format-number(.//retain,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Usage</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//usage"/></td>
									<td class="header">Trigger</td>
									<td class="content"><xsl:value-of select=".//trigger"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//trigType"/></td>
									<td class="header">Trigger Depth</td>
									<td class="content"><xsl:value-of select=".//trigDepth"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Msg Priority</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//trigPrio"/></td>
								</tr>
           			<tr>
             			<td class="header">Trigger Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//trigData"/></td>
           			</tr>
           			<tr>
             			<td class="header">QDepth Low Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthLoEvt"/></td>
									<td class="header">QDepth Low Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthLow"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth High Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthHiEvt"/></td>
									<td class="header">QDepth High Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthHigh"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth Max Event</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//qDepthMaxEvt"/></td>
								</tr>
           			<tr>
             			<td class="header">Service Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//qSvcInt,'# ### ### ###','EURO')"/></td>
									<td class="header">Service Interval Event</td>
									<td class="content"><xsl:value-of select=".//qSvcIntEvt"/></td>
           			</tr>
           			<tr>
             			<td class="header"><xsl:if test=".//NPMCLASS">Non Persistent Message Class</xsl:if></td>
									<td class="content2" colspan="2"><xsl:value-of select=".//NPMCLASS"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
          			</tr>
								<xsl:if test=".//acctQ">
									<tr>
	             			<td class="header">Queue Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctQ"/></td>
										<td class="header">Queue Monitoring</td>
										<td class="content"><xsl:value-of select=".//monQ"/></td>
	          			</tr>
								</xsl:if>
								<tr>
             			<td class="header">Cluster Workload Use Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clwluseQ"/></td>
								</tr>
								<tr>
             			<td class="header">Storage Class</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//storageClass"/></td>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content"><xsl:value-of select=".//QSGDisp"/></td>
          			</tr>
								</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>
            	
			
			
			
			<xsl:if test="QueueAttributesLRQA">
               	<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> Queue Attributes (Remote Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
	                 		<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               		</tr>
										<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueAttributesLRQA/QueueName"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueAttributesLRQA/QueueId"/></td>
										</tr>
	               		<tr>
	                 		<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueAttributesLRQA/LSN"/></td>
	               			<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueueAttributesLRQA/version"/></td>
										</tr>
               			<tr class="divider">
          	       		<td colspan="5">Queue Attributes</td>
              			</tr>
               			<tr>
             			<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
             			<td class="header">Remote QMgr</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQMgr"/></td>
								</tr>
								<tr>
									<td class="header">Remote Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQ"/></td>
            		</tr>
            		<tr>
             			<td class="header">Xmit Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//xmitq"/></td>
		            </tr>
            		<tr>
            			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Cluster</td>
									<td class="content"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<tr>
             			<td class="header">Scope</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//scope"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
            		</tr>
					<tr>
					
									<td class="header">Default Put Response Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//defPresP"/></td>
					</tr>


								<xsl:if test=".//clwlPrty">
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
	          		</xsl:if>
            	</table> 
								</div> 
								<hr width="70%" /> 
							</xsl:if>

			
			
			
			<xsl:if test="CreateQueue-zOSLRQA">
								<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> z/OS Create Queue (Remote Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
	             		<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	           		</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueName"/></td>
	           		</tr>
	           		<tr>
	             		<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
								</tr>
								<tr>
									<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select=".//LatestDate"/></td>
								</tr>
	           		<tr>
	             		<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
	           			<td class="header">Version</td>
									<td class="content"><xsl:value-of select=".//version"/></td>
								</tr>
            		<tr class="divider">
          	   		<td colspan="5">Queue Attributes</td>
            		</tr>
            		<tr>
             			<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
             			<td class="header">Remote QMgr</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQMgr"/></td>
								</tr>
								<tr>
									<td class="header">Remote Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQ"/></td>
            		</tr>
            		<tr>
             			<td class="header">Xmit Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//xmitq"/></td>
		            </tr>
            		<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Cluster Name Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clusNameType"/></td>
								</tr>
            		<tr>
            			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//putDisabled"/></td>
								</tr>
            		<tr>
             			<td class="header">Queue Sharing Group Disposition</td>
									<td class="content2" colspan="2"><xsl:value-of select="QSGDisp"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
            		</tr>
								<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<xsl:if test=".//clwlPrty">
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
	          		</xsl:if>
            	</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>
            	
            	
				
				
				<xsl:if test="AlterQueue-zOSLRQA">
								<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> z/OS Alter Queue (Remote Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
	             		<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	           		</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueName"/></td>
	           		</tr>
	           		<tr>
	             		<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
								</tr>
								<tr>
									<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select=".//LatestDate"/></td>
								</tr>
	           		<tr>
	             		<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
	           			<td class="header">Version</td>
									<td class="content"><xsl:value-of select=".//version"/></td>
								</tr>
            		<tr class="divider">
          	   		<td colspan="5">Queue Attributes</td>
            		</tr>
            		<tr>
             			<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
             			<td class="header">Remote QMgr</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQMgr"/></td>
								</tr>
								<tr>
									<td class="header">Remote Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQ"/></td>
            		</tr>
            		<tr>
             			<td class="header">Xmit Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//xmitq"/></td>
		            </tr>
            		<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Cluster Name Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clusNameType"/></td>
								</tr>
            		<tr>
            			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//putDisabled"/></td>
								</tr>
            		<tr>
             			<td class="header">Queue Sharing Group Disposition</td>
									<td class="content2" colspan="2"><xsl:value-of select="QSGDisp"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
            		</tr>
								<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<xsl:if test=".//clwlPrty">
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
	          		</xsl:if>
	          		</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>
            	
		
		
		
		<xsl:if test="QueueAttributesLAQA">
               	<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> Queue Attributes (Alias Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
	                 		<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               		</tr>
										<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueAttributesLAQA/QueueName"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueAttributesLAQA/QueueId"/></td>
										</tr>
	               		<tr>
	                 		<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueAttributesLAQA/LSN"/></td>
	               			<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueueAttributesLAQA/version"/></td>
										</tr>
               			<tr class="divider">
          	       		<td colspan="5">Queue Attributes</td>
              			</tr>
               			<tr>
             			<td class="header">Description</td>
									<td  class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
					
             			<td class="header">Target Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//targetQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
				  				<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<tr>
             						<td class="header">Default Read Ahead</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defReadA"/></td>
									<td class="header">Default Put Response Type</td>
									<td class="content"><xsl:value-of select=".//defPresP"/></td>
           			</tr>
					<tr>
           			       			<td class="header">Property Control</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//propCtl"/></td>
									<td class="header">Target Type</td>
									<td class="content" colspan="2"><xsl:value-of select=".//targetType"/></td>
					</tr>
					<tr>
									<td class="header">Scope</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//scope"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
            		</tr>
								<xsl:if test=".//clwlPrty">
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
	          		</xsl:if>
            	</table> 
           			</div> 
           			<hr width="70%" /> 
           		</xsl:if>

           
		   
		    <xsl:if test="CreateQueue-zOSLAQA">
								<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> z/OS Create Queue (Alias Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
	             		<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	           		</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueName"/></td>
	           		</tr>
	           		<tr>
	             		<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
								</tr>
								<tr>
									<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select=".//LatestDate"/></td>
								</tr>
	           		<tr>
	             		<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
	           			<td class="header">Version</td>
									<td class="content"><xsl:value-of select=".//version"/></td>
								</tr>
            		<tr class="divider">
          	   		<td colspan="5">Queue Attributes</td>
            		</tr>
            		<tr>
             			<td class="header">Description</td>
									<td  class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
             			<td class="header">Target Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//targetQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Cluster Name Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clusNameType"/></td>
								</tr>
            		<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
				  				<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<tr>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//QSGDisp"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
            		</tr>
								<xsl:if test=".//clwlPrty">
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
	          		</xsl:if>
            	</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>
            	
            	
				
				<xsl:if test="AlterQueue-zOSLAQA">
								<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> z/OS Alter Queue (Alias Queue)
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
	             		<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	           		</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueName"/></td>
	           		</tr>
	           		<tr>
	             		<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
								</tr>
								<tr>
									<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select=".//LatestDate"/></td>
								</tr>
	           		<tr>
	             		<td class="header">LSN</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
	           			<td class="header">Version</td>
									<td class="content"><xsl:value-of select=".//version"/></td>
								</tr>
            		<tr class="divider">
          	   		<td colspan="5">Queue Attributes</td>
            		</tr>
            		<tr>
             			<td class="header">Description</td>
									<td  class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
             			<td class="header">Target Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//targetQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Cluster Name Type</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clusNameType"/></td>
								</tr>
            		<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
				  				<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<tr>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//QSGDisp"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
            		</tr>
								<xsl:if test=".//clwlPrty">
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
	          		</xsl:if>
            	</table> 
           			</div> 
          			<hr width="70%"/> 
          		</xsl:if>
            	
		
		
		
		<xsl:if test="QueueCreate">
               	<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> Queue Create
                	</span>
                 	<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a> 
                	<table class="record" align="center">
					<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
	                 		<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
	               		</tr>
										<tr>
											<td class="header">Queue Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueCreate/QueueName"/></td>
	               		</tr>
	               		<tr>
	                 		<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueCreate/QueueId"/></td>
										</tr>
	               		<tr>
	                 		<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueCreate/LSN"/></td>
	               			<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueueCreate/version"/></td>
										</tr>
            			</table> 
								</div> 
								<hr width="70%" /> 
							</xsl:if>
							
			
			
			
			
			<xsl:if test="DeferredLinks">
               	<div class="data">
                	<span class="hand2" style="font-size:x-small">
                  	<a class="button">+</a> Deferred Links
                </span>
                <a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
                <table class="record" align="center">
				<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
               	<tr>
                	<td class="header">Queue Manager</td> 
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
               	</tr>
								<tr>
									<td class="header">Object Name</td>
									<td class="content4" colspan="4"> <xsl:value-of select="DeferredLinks/QueueName"/></td>
               	</tr>
               	<tr>
                 	<td class="header">Queue Id</td>
									<td class="content4" colspan="4"><xsl:value-of select="DeferredLinks/QueueId"/></td>
                </tr>
               	<tr>
									<td class="header">LSN</td>
									<td class="content4" colspan="4"><xsl:value-of select="DeferredLinks/LSN"/></td>
               	</tr>
            	</table> 
						</div> 
						<hr width="70%" /> 
					</xsl:if>
					
					
					
					<xsl:if test="Scratchpad">
						<div class="data">
							<span class="hand2" style="font-size:x-small">
								<a class="button">+</a> Scratchpad
							</span>
							<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Object Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select="Scratchpad/QueueName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="Scratchpad/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content4" colspan="4"><xsl:value-of select="Scratchpad/LSN"/></td>
									</tr>
									<tr>
										<td class="header">Xmit Queue</td>
										<td class="content4" colspan="4"><xsl:value-of select="Scratchpad/xmitQ"/></td>
									</tr>
									<tr>
										<td class="header">Remote QMgr</td>
										<td class="content4" colspan="4"><xsl:value-of select="Scratchpad/remoteQMgr"/></td>
									</tr>
									<tr>
										<td class="header">Channel</td>
										<td class="content4" colspan="4"><xsl:value-of select="Scratchpad/channel"/></td>
									</tr>
								</table> 
							</div> 
							<hr width="70%" /> 
						</xsl:if>
						
						
						
						<xsl:if test="CreateObject">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Create Object
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
									<tbody>
										<tr>
		                 				<td class="header">Earliest Date</td>
										<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
										<td class="header">Latest Date</td>
										<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">Object Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="CreateObject/QueueName"/></td>
										</tr>
										<tr>
											<td class="header">Object Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="CreateObject/QueueId"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="CreateObject/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="CreateObject/version"/></td>
										</tr>
										<tr>
											<td class="header">Attribute Length</td>
											<td class="content2" colspan="2"><xsl:value-of select="format-number(CreateObject/attrsLen,'# ### ### ##0','EURO')"/></td>
											<td class="header">Object Type</td>
											<td class="content"><xsl:value-of select="CreateObject/objType"/></td>
										</tr>
										<tr>
											<td class="header">Object Name</td>
											<td class="content4" colspan="4"> <xsl:value-of select="CreateObject/objName"/></td>
										</tr>
										<tr>
											<td class="header">Object Name Length</td>
											<td class="content2" colspan="2"><xsl:value-of select="format-number(CreateObject/objNameLen,'# ### ### ##0','EURO')"/></td>
											<td class="header">User ID</td>
											<td class="content"><xsl:value-of select="CreateObject/userID"/></td>
										</tr>
										<tr>
											<td class="header">Real Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="CreateObject/realName"/></td>
										</tr>
										<tr>
											<td class="header">Real Location</td>
											<td class="content4" colspan="4"><xsl:value-of select="CreateObject/realLocation"/></td>
										</tr>
										<tr>
											<td class="header">Security Id</td>
											<td class="content2" colspan="2"><xsl:value-of select="CreateObject/securityID"/></td>
											<td class="header">Disk Offset</td>
											<td class="content"><xsl:value-of select="CreateObject/diskOffset"/></td>
										</tr>
									</tbody>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>

						<xsl:if test="CreateComplete">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Create Complete
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Object Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select="CreateComplete/objName"/></td>
									</tr>
									<tr>
										<td class="header">Object Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="CreateComplete/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="CreateComplete/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="CreateComplete/version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select="CreateComplete/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(CreateComplete/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="DeleteObject">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Object Delete
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Object Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select="DeleteObject/objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="DeleteObject/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="DeleteObject/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="DeleteObject/version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select="DeleteObject/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(DeleteObject/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="UpdateAttributesLQMA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Update Attributes (Queue Manager)
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content" colspan="4"><xsl:value-of select="UpdateAttributesLQMA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLQMA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="UpdateAttributesLQMA/version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"> <xsl:value-of select="UpdateAttributesLQMA/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(UpdateAttributesLQMA/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr class="divider">
										<td colspan="5">Queue Manager Attributes</td>
									</tr>
									<tr>
									<td class="header">Description</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//description"/></td>
								</tr>
								<tr>
									<td class="header">Dead Letter Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//DLQ"/></td>
								</tr>
								<tr>
									<td class="header">Default Transmission Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//defXmitQueue"/></td>
								</tr>
								<tr>
									<td class="header">Channel Auto Definition Exit</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//chanAutoDefExit"/></td>
								</tr>
								<tr>
									<td class="header">Repository Name</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//reposMgrSvc"/></td>
								</tr>
								<tr>
									<td class="header">Repository Name List</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//reposMSNList"/></td>
								</tr>
								<tr>
									<td class="header">Command Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//CommmandQ"/></td>
								</tr>
								<tr>
									<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
								</tr>
								<tr>
									<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
								</tr>
								<tr>
									<td class="header">Queue Manager Id</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//QMgrId"/></td>
									<td class="header">Trigger Interval</td>
									<td class="content"><xsl:value-of select=".//trigInterval"/></td>
								</tr>
								<tr>
									<td class="header">Max Message Length</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ##0','EURO')"/></td>
									<td class="header">Max Uncommitted Messages</td>
									<td class="content"><xsl:value-of select=".//maxUMsgs"/></td>
								</tr>
								<tr>
									<td class="header">Maximum Properties Length</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//maxPropL"/></td>
								</tr>
								<tr>
									<td class="header">Max Handles</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//maxHandles"/></td>
									<td class="header">Message Mark Browse Interval</td>
									<td class="content"><xsl:value-of select=".//markInt"/></td>								
								</tr>
								<tr>
									<td class="header">Authority Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//authEvent"/></td>
									<td class="header">Inhibit Event</td>
									<td class="content"><xsl:value-of select=".//inhibitEvent"/></td>
								</tr>
								<tr>
									<td class="header">Local Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//localEvent"/></td>
									<td class="header">Remote Event</td>
									<td class="content"><xsl:value-of select=".//remoteEvent"/></td>
								</tr>
								<tr>
									<td class="header">Performance Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//performEvent"/></td>
									<td class="header">Start/Stop Event</td>
									<td class="content"><xsl:value-of select=".//startStopEvent"/></td>
								</tr>
								<xsl:if test=".//loggerEv">
									<tr>
										<td class="header">Channel Event</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//chlEv"/></td>
										<td class="header">Logger Event</td>
										<td class="content"><xsl:value-of select=".//loggerEv"/></td>
									</tr>
								</xsl:if>	
								<tr>
									<td class="header">Channel Auto Definition</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//chanAutoDef"/></td>
									<td class="header">Channel Auto Definition Event</td>
									<td class="content"><xsl:value-of select=".//chanAutoDefEvt"/></td>
								</tr>
								<tr>
									<td class="header">Character Set</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//charSet"/></td>
									<td class="header">Max Priority</td>
									<td class="content"><xsl:value-of select=".//maxPriority"/></td>
								</tr>
            		<xsl:if test=".//acctCono">
	            		<tr>
										<td class="header">Accounting Conn Override</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctCono"/></td>
										<td class="header">Accounting Interval</td>
										<td class="content"><xsl:value-of select=".//acctInt"/></td>
									</tr>
	            		<tr>
										<td class="header">MQI Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctMQI"/></td>
										<td class="header">Queue Accounting</td>
										<td class="content"><xsl:value-of select=".//acctQ"/></td>
									</tr>
	            		<tr>
										<td class="header">Statistics Interval</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//statInt"/></td>
										<td class="header">Queue Statistics</td>
										<td class="content"><xsl:value-of select=".//statQ"/></td>
									</tr>
	            		<tr>
										<td class="header">MQI Statistics</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//statMQI"/></td>
										<td class="header">Channel Statistics</td>
										<td class="content"><xsl:value-of select=".//statchl"/></td>
									</tr>
	            		<tr>
										<td class="header">Cluster Sender Statistics</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//stataCls"/></td>
									</tr>
	            		<tr>
										<td class="header">Queue Monitoring</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//monQ"/></td>
										<td class="header">Channel Monitoring</td>
										<td class="content"><xsl:value-of select=".//monChl"/></td>
									</tr>
	            		<tr>
										<td class="header">Cluster Sender Monitoring</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//monaCls"/></td>
									</tr>
	            		<tr>
										<td class="header">Command Server Control</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//scmdServ"/></td>
										<td class="header">Channel Initiator Control</td>
										<td class="content"><xsl:value-of select=".//schInit"/></td>
									</tr>
								</xsl:if>
            		<tr>
									<td class="header">Cluster Workload Exit</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clustWkloadExit"/></td>
								</tr>
								<tr>
									<td class="header">Cluster Workload Data</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clustWkloadData"/></td>
								</tr>
								<tr>
									<td class="header">Cluster Workload Length</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clustWloadLen"/></td>
								</tr>
								<xsl:if test=".//clwlmruc">
									<tr>
										<td class="header">Cluster Workload Channel MRU</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlmruc"/></td>
										<td class="header">Cluster Workload Use Queue</td>
										<td class="content"><xsl:value-of select=".//clwluseQ"/></td>
									</tr>
	            		<tr>
										<td class="header">Activity Reports</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//actiVrec"/></td>
										<td class="header">Trace-route Information</td>
										<td class="content"><xsl:value-of select=".//routerec"/></td>
									</tr>
	            		<tr>
										<td class="header">IP Address Version</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//ipAddrV"/></td>
									</tr>
								</xsl:if>
            		<xsl:if test=".//sslKeyR">
									<tr>
										<td class="header">SSL Key Repository</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//sslKeyR"/></td>
									</tr>
									<tr>
										<td class="header">SSL CRL Namelist</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//sslCrlNL"/></td>
									</tr>
									<tr>
										<td class="header">SSL Crypto Hardware</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//sslCryp"/></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//sslEvent">
									<tr>
										<td class="header">SSL Event</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//sslEvent"/></td>
										<td class="header">SSL FIPS Required</td>
										<td class="content"><xsl:value-of select=".//sslFips"/></td>
									</tr>
	            		<tr>
										<td class="header">SSL Key Reset Count</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//sslRkeyC"/></td>
									</tr>
								</xsl:if>
            		<xsl:if test=".//psMode">
									<tr>
										<td class="header">Publish/Subscribe Mode</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//psMode"/></td>
										<td class="header">Message Retry Count</td>
										<td class="content"><xsl:value-of select=".//psrtyCnt"/></td>
									</tr>
									<tr>
										<td class="header">Publish/Subscribe Syncpoint</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//psSynPt"/></td>
										<td class="header">Undelivered Non-Persistent Input Message</td>
										<td class="content"><xsl:value-of select=".//psnpMsg"/></td>
									</tr>
									
									<tr>
										<td class="header">Undelivered Non-Persistent Response</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//psnpRes"/></td>
										<td class="header">Tree Lifetime</td>
										<td class="content"><xsl:value-of select=".//treeLife"/></td>
									</tr>
	            					<tr>
										<td class="header">Parent</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//parent"/></td>
									</tr>
								</xsl:if>
            		</table> 
							</div> 
							<hr width="70%" /> 
						</xsl:if>
						
						<xsl:if test="CreateObject-zOSLQMA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Create Queue Manager z/OS
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content"  colspan="4"><xsl:value-of select="CreateObject-zOSLQMA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLQMA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="CreateObject-zOSLQMA/version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select="CreateObject-zOSLQMA/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(CreateObject-zOSLQMA/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr class="divider">
										<td colspan="5">Queue Manager Attributes</td>
								</tr>
								<tr>
									<td class="header">Description</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//description"/></td>
								</tr>
								<tr>
									<td class="header">Dead Letter Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//DLQ"/></td>
								</tr>
								<tr>
									<td class="header">Default XMit Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//defXmitQueue"/></td>
								</tr>
								<tr>
									<td class="header">Channel Auto-Define Exit</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//chanAutoDefExit"/></td>
								</tr>
								<tr>
									<td class="header">Cluster Workload Exit</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clustWkloadExit"/></td>
								</tr>
								<tr>
									<td class="header">Cluster Workload Data</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clustWkloadData"/></td>
								</tr>
								<tr>
									<td class="header">Repository</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//reposMgrSvc"/></td>
								</tr>
								<tr>
									<td class="header">Repository Namelist</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//reposMSNList"/></td>
								</tr>
								<tr>
									<td class="header">Command Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//commandQ"/></td>
								</tr>
								<tr>
									<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
								</tr>
								<tr>
									<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
								</tr>
								<tr>
									<td class="header">QMgr Id</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//QMgrId"/></td>
									<td class="header" > Trigger Interval</td>
									<td class="content"><xsl:value-of select=".//trigInterval"/></td>
								</tr>
								<tr>
									<td class="header">Max Handles</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//maxHandles"/></td>
									<td class="header">Max UMgs</td>
									<td class="content"><xsl:value-of select=".//maxUMsgs"/></td>
								</tr>
								<tr>
									<td class="header">Command Level</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//cmdLevel"/></td>
									<td class="header">Common Programming Interface Level</td>
									<td class="content"><xsl:value-of select=".//CPILevel"/></td>
								</tr>
								<tr>
								    <td class="header">Message Mark Browse Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//markInt"></xsl:value-of>
								    </td>
									<td class="header">Mixed Case Security</td>
									<td class="content"><xsl:value-of select=".//scyCase"></xsl:value-of>
								    </td>
								</tr>
								<tr>
									<td class="header">Authorization Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//authEvent"/></td>
									<td class="header">Inhibit Events</td>
									<td class="content"><xsl:value-of select=".//inhibitEvent"/></td>
								</tr>
								<tr>
									<td class="header">Local Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//localEvent"/></td>
									<td class="header">Remote Events</td>
									<td class="content"><xsl:value-of select=".//remoteEvent"/></td>
								</tr>
								<tr>
									<td class="header">Performance Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//performEvent"/></td>
									<td class="header">Start/Stop Events</td>
									<td class="content"><xsl:value-of select=".//startStopEvent"/></td>
								</tr>
								<tr>
									<td class="header">Configuration Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//configEvent"/></td>
									<td class="header">IMS Bridge Events</td>
									<td class="content"><xsl:value-of select=".//bridgeEvent"/></td>
								</tr>
								<xsl:if test=".//commandEvent">
								<tr>
									<td class="header">Command Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//commandEvent"/></td>
									<td class="header">Channel Events</td>
									<td class="content"><xsl:value-of select=".//chlEv"/></td>
								</tr>
								</xsl:if>
								<xsl:if test=".//sslEvent">
								<tr>
									<td class="header">SSL Events</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//sslEvent"/></td>
								</tr>
								</xsl:if>
								<tr>
									<td class="header">Channel Autodef</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//chanAutoDef"/></td>
									<td class="header">Channel Autodef Events</td>
									<td class="content"><xsl:value-of select=".//chanAutoDefEvt"/></td>
								</tr>
								<tr>
									<td class="header">Cluster Workload Len</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//clustWloadLen"/></td>
									<td class="header">Max Msg Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ##0','EURO')"/></td>
								</tr>
								<tr>
									<td class="header">Character Set</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//charSet"/></td>
									<td class="header">Max Priority</td>
									<td class="content"><xsl:value-of select=".//maxPriority"/></td>
								</tr>
								<tr>
									<td class="header">Intra-group Queuing</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//intraGrpQueuing"/></td>
									<td class="header"><xsl:if test=".//expiryInterval">Expiry Interval</xsl:if></td>
									<td class="content"><xsl:value-of select=".//expiryInterval"/></td>
								</tr>
								<xsl:if test=".//DNSGroup">
									<tr>
										<td class="header">DNS Group</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//DNSGroup"/></td>
										<td class="header">DNS WLM Registered</td>
										<td class="content"><xsl:value-of select=".//DNSWLM"/></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//TCPName">
									<tr>
										<td class="header">TCP/IP System Name</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//TCPName"></xsl:value-of></td>
										<td class="header">IP Address Version</td>
										<td class="content"><xsl:value-of select=".//ipAddrV"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Min Outbound Port Number</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//outboundPortMin"></xsl:value-of></td>
										<td class="header">Max Outbound Port Number</td>
										<td class="content"><xsl:value-of select=".//outboundPortMax"></xsl:value-of></td>
									</tr>
								</xsl:if>
								<tr>
									<td class="header">TCP Keep Alive</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//TCPKeepAlive"/></td>
									<td class="header">TCP Stack Type</td>
									<td class="content"><xsl:value-of select=".//TCPStackType"/></td>
								</tr>
								<xsl:if test=".//rcvTimeout">
									<tr>
										<td class="header">Receive Timeout</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//rcvTimeout"></xsl:value-of></td>
										<td class="header">Receive Timeout Minimum</td>
										<td class="content"><xsl:value-of select=".//rcvTimeoutMin"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Receive Timeout Type</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//rcvTimeoutType"></xsl:value-of></td>
										<td class="header">Listener Timer</td>
										<td class="content"><xsl:value-of select=".//listenerTimer"></xsl:value-of></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//LUName">
									<tr>
										<td class="header">LU Name</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//LUName"></xsl:value-of></td>
										<td class="header">LU62 ARM Suffix</td>
										<td class="content"><xsl:value-of select=".//LU62ARMSuffix"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">LU Group Name</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//LUGroupName"></xsl:value-of></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//IGQPutAuthority">
									<tr>
										<td class="header">Intra-group Queuing Authority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//IGQPutAuthority"/></td>
										<td class="header">Intra-group Queuing UserID</td>
										<td class="content"><xsl:value-of select=".//IGQUserID"/></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//sslTasks">
									<tr>
										<td class="header">SSL Key Repository</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//sslKeyR"/></td>
									</tr>
									<tr>
										<td class="header">SSL CRL Namelist</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//sslCrlNL"/></td>
									</tr>
									<tr>
										<td class="header">SSL Key Reset Count</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//sslRkeyC"/></td>
										<td class="header">SSL Tasks</td>
										<td class="content"><xsl:value-of select=".//sslTasks"/></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//chinitDispatcher">
									<tr>
										<td class="header">Chinit Dispatchers</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//chinitDispatcher"/></td>
										<td class="header">Chinit Adapters</td>
										<td class="content"><xsl:value-of select=".//chinitAdapters"/></td>
									</tr>
									<tr>
										<td class="header">Chinit Trace Table Size</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//chinitTrcTblSize"/></td>
										<td class="header">Chinit Trace Autostart</td>
										<td class="content"><xsl:value-of select=".//chinitTraceAuto"/></td>
									</tr>
									<xsl:if test=".//chinitServicePrm">
										<tr>
											<td class="header">Chinit Service Parameters</td>
											<td class="content4" colspan="4"><xsl:value-of select="chinitServicePrm"></xsl:value-of></td>
										</tr>
									</xsl:if>
									<tr>
										<td class="header">Max Channels</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//maxChannels"></xsl:value-of></td>
										<td class="header">Max Active Channels</td>
										<td class="content"><xsl:value-of select=".//maxActChannels"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">LU62 Channels</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//LU62Channels"></xsl:value-of></td>
										<td class="header">TCP/IP Channels</td>
										<td class="content"><xsl:value-of select=".//TCPChannels"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Adopt New MCA Type</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//adoptNewMCAType"></xsl:value-of></td>
										<td class="header">Adopt New MCA Check</td>
										<td class="content"><xsl:value-of select=".//adoptNewMCACheck"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Queue Monitoring</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//monQ"></xsl:value-of></td>
										<td class="header">Queue Accounting</td>
										<td class="content"><xsl:value-of select=".//acctQ"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Channel Monitoring</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//monChl"></xsl:value-of></td>
										<td class="header">Cluster Sender Monitoring Default</td>
										<td class="content"><xsl:value-of select=".//monaCls"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Trace Route Recording</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//traceRouteRec"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Cluster Workload Queue Types</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwluseQ"></xsl:value-of></td>
										<td class="header">Cluster Workload MRU Channels</td>
										<td class="content"><xsl:value-of select=".//clwlmruc"></xsl:value-of></td>
									</tr>
								</xsl:if>
            	</table> 
							</div> 
							<hr width="70%" /> 
						</xsl:if>
						
						<xsl:if test="AlterObject-zOSLQMA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Alter Queue Manager z/OS
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content" colspan="4"><xsl:value-of select="AlterObject-zOSLQMA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="AlterObject-zOSLQMA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="AlterObject-zOSLQMA/version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"> <xsl:value-of select="AlterObject-zOSLQMA/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(AlterObject-zOSLQMA/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr class="divider">
										<td colspan="5">Queue Manager Attributes</td>
								</tr>
								<tr>
									<td class="header">Description</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//description"/></td>
								</tr>
								<tr>
									<td class="header">Dead Letter Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//DLQ"/></td>
								</tr>
								<tr>
									<td class="header">Default XMit Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//defXmitQueue"/></td>
								</tr>
								<tr>
									<td class="header">Channel Auto-Define Exit</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//chanAutoDefExit"/></td>
								</tr>
								<tr>
									<td class="header">Cluster Workload Exit</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clustWkloadExit"/></td>
								</tr>
								<tr>
									<td class="header">Cluster Workload Data</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//clustWkloadData"/></td>
								</tr>
								<tr>
									<td class="header">Repository</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//reposMgrSvc"/></td>
								</tr>
								<tr>
									<td class="header">Repository Namelist</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//reposMSNList"/></td>
								</tr>
								<tr>
									<td class="header">Command Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//commandQ"/></td>
								</tr>
								<tr>
									<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
								</tr>
								<tr>
									<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
								</tr>
								<tr>
									<td class="header">QMgr Id</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//QMgrId"/></td>
									<td class="header" > Trigger Interval</td>
									<td class="content"><xsl:value-of select=".//trigInterval"/></td>
								</tr>
								<tr>
									<td class="header">Max Handles</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//maxHandles"/></td>
									<td class="header">Max UMgs</td>
									<td class="content"><xsl:value-of select=".//maxUMsgs"/></td>
								</tr>
								<tr>
									<td class="header">Command Level</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//cmdLevel"/></td>
									<td class="header">Common Programming Interface Level</td>
									<td class="content"><xsl:value-of select=".//CPILevel"/></td>
								</tr>
								<tr>
								    <td class="header">Message Mark Browse Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//markInt"></xsl:value-of>
								    </td>
									<td class="header">Mixed Case Security</td>
									<td class="content"><xsl:value-of select=".//scyCase"></xsl:value-of>
								    </td>
								</tr>
								<tr>
									<td class="header">Authorization Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//authEvent"/></td>
									<td class="header">Inhibit Events</td>
									<td class="content"><xsl:value-of select=".//inhibitEvent"/></td>
								</tr>
								<tr>
									<td class="header">Local Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//localEvent"/></td>
									<td class="header">Remote Events</td>
									<td class="content"><xsl:value-of select=".//remoteEvent"/></td>
								</tr>
								<tr>
									<td class="header">Performance Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//performEvent"/></td>
									<td class="header">Start/Stop Events</td>
									<td class="content"><xsl:value-of select=".//startStopEvent"/></td>
								</tr>
								<tr>
									<td class="header">Configuration Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//configEvent"/></td>
									<td class="header">IMS Bridge Events</td>
									<td class="content"><xsl:value-of select=".//bridgeEvent"/></td>
								</tr>
								<xsl:if test=".//commandEvent">
								<tr>
									<td class="header">Command Events</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//commandEvent"/></td>
									<td class="header">Channel Events</td>
									<td class="content"><xsl:value-of select=".//chlEv"/></td>
								</tr>
								</xsl:if>
								<xsl:if test=".//sslEvent">
								<tr>
									<td class="header">SSL Events</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//sslEvent"/></td>
								</tr>
								</xsl:if>
								<tr>
									<td class="header">Channel Autodef</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//chanAutoDef"/></td>
									<td class="header">Channel Autodef Events</td>
									<td class="content"><xsl:value-of select=".//chanAutoDefEvt"/></td>
								</tr>
								<tr>
									<td class="header">Cluster Workload Len</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//clustWloadLen"/></td>
									<td class="header">Max Msg Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ##0','EURO')"/></td>
								</tr>
								<tr>
									<td class="header">Character Set</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//charSet"/></td>
									<td class="header">Max Priority</td>
									<td class="content"><xsl:value-of select=".//maxPriority"/></td>
								</tr>
								<tr>
									<td class="header">Intra-group Queuing</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//intraGrpQueuing"/></td>
									<td class="header"><xsl:if test=".//expiryInterval">Expiry Interval</xsl:if></td>
									<td class="content"><xsl:value-of select=".//expiryInterval"/></td>
								</tr>
								<xsl:if test=".//DNSGroup">
									<tr>
										<td class="header">DNS Group</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//DNSGroup"/></td>
										<td class="header">DNS WLM Registered</td>
										<td class="content"><xsl:value-of select=".//DNSWLM"/></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//TCPName">
									<tr>
										<td class="header">TCP/IP System Name</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//TCPName"></xsl:value-of></td>
										<td class="header">IP Address Version</td>
										<td class="content"><xsl:value-of select=".//ipAddrV"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Min Outbound Port Number</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//outboundPortMin"></xsl:value-of></td>
										<td class="header">Max Outbound Port Number</td>
										<td class="content"><xsl:value-of select=".//outboundPortMax"></xsl:value-of></td>
									</tr>
								</xsl:if>
								<tr>
									<td class="header">TCP Keep Alive</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//TCPKeepAlive"/></td>
									<td class="header">TCP Stack Type</td>
									<td class="content"><xsl:value-of select=".//TCPStackType"/></td>
								</tr>
								<xsl:if test=".//rcvTimeout">
									<tr>
										<td class="header">Receive Timeout</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//rcvTimeout"></xsl:value-of></td>
										<td class="header">Receive Timeout Minimum</td>
										<td class="content"><xsl:value-of select=".//rcvTimeoutMin"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Receive Timeout Type</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//rcvTimeoutType"></xsl:value-of></td>
										<td class="header">Listener Timer</td>
										<td class="content"><xsl:value-of select=".//listenerTimer"></xsl:value-of></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//LUName">
									<tr>
										<td class="header">LU Name</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//LUName"></xsl:value-of></td>
										<td class="header">LU62 ARM Suffix</td>
										<td class="content"><xsl:value-of select=".//LU62ARMSuffix"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">LU Group Name</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//LUGroupName"></xsl:value-of></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//IGQPutAuthority">
									<tr>
										<td class="header">Intra-group Queuing Authority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//IGQPutAuthority"/></td>
										<td class="header">Intra-group Queuing UserID</td>
										<td class="content"><xsl:value-of select=".//IGQUserID"/></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//sslTasks">
									<tr>
										<td class="header">SSL Key Repository</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//sslKeyR"/></td>
									</tr>
									<tr>
										<td class="header">SSL CRL Namelist</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//sslCrlNL"/></td>
									</tr>
									<tr>
										<td class="header">SSL Key Reset Count</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//sslRkeyC"/></td>
										<td class="header">SSL Tasks</td>
										<td class="content"><xsl:value-of select=".//sslTasks"/></td>
									</tr>
								</xsl:if>
								<xsl:if test=".//chinitDispatcher">
									<tr>
										<td class="header">Chinit Dispatchers</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//chinitDispatcher"/></td>
										<td class="header">Chinit Adapters</td>
										<td class="content"><xsl:value-of select=".//chinitAdapters"/></td>
									</tr>
									<tr>
										<td class="header">Chinit Trace Table Size</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//chinitTrcTblSize"/></td>
										<td class="header">Chinit Trace Autostart</td>
										<td class="content"><xsl:value-of select=".//chinitTraceAuto"/></td>
									</tr>
									<xsl:if test=".//chinitServicePrm">
										<tr>
											<td class="header">Chinit Service Parameters</td>
											<td class="content4" colspan="4"><xsl:value-of select="chinitServicePrm"></xsl:value-of></td>
										</tr>
									</xsl:if>
									<tr>
										<td class="header">Max Channels</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//maxChannels"></xsl:value-of></td>
										<td class="header">Max Active Channels</td>
										<td class="content"><xsl:value-of select=".//maxActChannels"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">LU62 Channels</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//LU62Channels"></xsl:value-of></td>
										<td class="header">TCP/IP Channels</td>
										<td class="content"><xsl:value-of select=".//TCPChannels"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Adopt New MCA Type</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//adoptNewMCAType"></xsl:value-of></td>
										<td class="header">Adopt New MCA Check</td>
										<td class="content"><xsl:value-of select=".//adoptNewMCACheck"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Queue Monitoring</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//monQ"></xsl:value-of></td>
										<td class="header">Queue Accounting</td>
										<td class="content"><xsl:value-of select=".//acctQ"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Channel Monitoring</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//monChl"></xsl:value-of></td>
										<td class="header">Cluster Sender Monitoring Default</td>
										<td class="content"><xsl:value-of select=".//monaCls"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Trace Route Recording</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//traceRouteRec"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Cluster Workload Queue Types</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwluseQ"></xsl:value-of></td>
										<td class="header">Cluster Workload MRU Channels</td>
										<td class="content"><xsl:value-of select=".//clwlmruc"></xsl:value-of></td>
									</tr>
								</xsl:if>
            	</table> 
							</div> 
							<hr width="70%" /> 
						</xsl:if>

						<xsl:if test="UpdateAttributesLPRA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Update Attributes (Process)
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td colspan="4" class="content4" > <xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Process Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select="UpdateAttributesLPRA/objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLPRA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLPRA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="UpdateAttributesLPRA/version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLPRA/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(UpdateAttributesLPRA/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr class="divider">
										<td colspan="5">Process Attributes</td>
									</tr>
									<tr>
										<td class="header">Description</td>
										<td class="content4" colspan="4" > <xsl:value-of select="UpdateAttributesLPRA/description"/></td>
									</tr>
									<tr>
										<td class="header">Application Id</td>
										<td class="content4" colspan="4"> <xsl:value-of select="UpdateAttributesLPRA/applId"/></td>
									</tr>
									<tr>
										<td class="header">Application Type</td>
										<td class="content4" colspan="4"> <xsl:value-of select="UpdateAttributesLPRA/applType"/></td>
									</tr>
									<tr>
										<td class="header">User Data</td>
										<td class="content4" colspan="4"> <xsl:value-of select="UpdateAttributesLPRA/userData"/></td>
									</tr>
									<tr>
										<td class="header">Environment Data</td>
										<td class="content4" colspan="4"> <xsl:value-of select="UpdateAttributesLPRA/environData"/></td>
									</tr>
									<tr>
										<td class="header">Alter Date</td>
										<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLPRA/altDate"/></td>
										<td class="header">Alter Time</td>
										<td class="content"><xsl:value-of select="UpdateAttributesLPRA/altTime"/></td>
									</tr>
								</table> 
							</div> 
							<hr width="70%" /> 
						</xsl:if>
						
						<xsl:if test="CreateObject-zOSLPRA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Create Process z/OS
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4" > <xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Process Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select=".//objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select=".//version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(.//objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr class="divider">
										<td colspan="5">Process Attributes</td>
								</tr>
								<tr>
									<td class="header">Description</td>
									<td class="content4" colspan="4" > <xsl:value-of select=".//description"/></td>
								</tr>
								<tr>
									<td class="header">Application Id</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//applId"/></td>
								</tr>
								<tr>
									<td class="header">Application Type</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//applType"/></td>
								</tr>
								<tr>
									<td class="header">User Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//userData"/></td>
								</tr>
								<tr>
									<td class="header">Environment Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//environData"/></td>
								</tr>
								<tr>
									<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
								</tr>
								<tr>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//QSGDisp"></xsl:value-of></td>
									<td class="header">&#160;</td>
									<td class="content">&#160;</td>
								</tr>
								</table> 
							</div> 
							<hr width="70%" /> 
						</xsl:if>
						
						<xsl:if test="AlterObject-zOSLPRA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Alter Process z/OS
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td colspan="4" class="content4" ><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Process Name</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select=".//version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(.//objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr class="divider">
										<td colspan="5">Process Attributes</td>
								</tr>
								<tr>
									<td class="header">Description</td>
									<td class="content4" colspan="4" > <xsl:value-of select=".//description"/></td>
								</tr>
								<tr>
									<td class="header">Application Id</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//applId"/></td>
								</tr>
								<tr>
									<td class="header">Application Type</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//applType"/></td>
								</tr>
								<tr>
									<td class="header">User Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//userData"/></td>
								</tr>
								<tr>
									<td class="header">Environment Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//environData"/></td>
								</tr>
								<tr>
									<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
								</tr>
								<tr>
									<td class="header">Queue Sharing Group Disposition</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//QSGDisp"></xsl:value-of></td>
									<td class="header">&#160;</td>
									<td class="content">&#160;</td>
								</tr>
								</table> 
							</div> 
							<hr width="70%" /> 
						</xsl:if>
						
						<xsl:if test="UpdateAttributesLNRA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Update Attributes (Namelist)
								</span>
								<a> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Namelist Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select="UpdateAttributesLNRA/objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="UpdateAttributesLNRA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" clspan="2"><xsl:value-of select="UpdateAttributesLNRA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="UpdateAttributesLNRA/version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLNRA/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(UpdateAttributesLNRA/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr>
										<td class="divider" colspan="5">Namelist Attributes</td>
									</tr>
									<tr>
										<td class="header">Description</td>
										<td class="content4" colspan="4"> <xsl:value-of select="UpdateAttributesLNRA/description"/></td>
									</tr>
									<tr>
										<td class="header">Alter Date</td>
										<td class="content2" colspan="2"><xsl:value-of select="UpdateAttributesLNRA/altDate"/></td>
										<td class="header">Alter Time</td>
										<td class="content"><xsl:value-of select="UpdateAttributesLNRA/altTime"/></td>
									</tr>
									<tr>
										<td class="header">Names</td>
										<td class="content4" colspan="4">
											<xsl:for-each select="UpdateAttributesLNRA/names/Name">
												<xsl:value-of select="."/><br/>
											</xsl:for-each>
										</td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="CreateObject-zOSLNRA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Create Namelist z/OS
								</span>
								<a> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Namelist Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select=".//objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" clspan="2"><xsl:value-of select=".//LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select=".//version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(.//objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr>
										<td class="divider" colspan="5">Namelist Attributes</td>
									</tr>
									<tr>
										<td class="header">Description</td>
										<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
									</tr>
									<tr>
										<td class="header">Alter Date</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
										<td class="header">Alter Time</td>
										<td class="content"><xsl:value-of select=".//altTime"/></td>
									</tr>
									<tr>
										<td class="header">Queue Sharing Group Disposition</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//QSGDisp"></xsl:value-of></td>
										<td class="header">Namelist Type</td>
										<td class="content"><xsl:value-of select=".//namelistType"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Names</td>
										<td class="content4" colspan="4">
											<xsl:for-each select=".//names/Name">
												<xsl:value-of select="."/><br/>
											</xsl:for-each>
										</td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="AlterObject-zOSLNRA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Alter Namelist z/OS
								</span>
								<a> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Namelist Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select=".//objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" clspan="2"><xsl:value-of select=".//LSN"/></td>

										<td class="header">Version</td>
										<td class="content"><xsl:value-of select=".//version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(.//objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr>
										<td class="divider" colspan="5">Namelist Attributes</td>
									</tr>
									<tr>
										<td class="header">Description</td>
										<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
									</tr>
									<tr>
										<td class="header">Alter Date</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
										<td class="header">Alter Time</td>
										<td class="content"><xsl:value-of select=".//altTime"/></td>
									</tr>
									<tr>
										<td class="header">Queue Sharing Group Disposition</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//QSGDisp"></xsl:value-of></td>
										<td class="header">Namelist Type</td>
										<td class="content"><xsl:value-of select=".//namelistType"></xsl:value-of></td>
									</tr>
									<tr>
										<td class="header">Names</td>
										<td class="content4" colspan="4">
											<xsl:for-each select=".//names/Name">
												<xsl:value-of select="."/><br/>
											</xsl:for-each>
										</td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>


					


						
						<xsl:if test="MediaLSNs">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Media LSNs
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/> </a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaLSNs/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="MediaLSNs/version"/></td>
									</tr>
									<tr>
										<td class="header" colspan="5">Mapping List</td>
									</tr>
									<xsl:for-each select="MediaLSNs/items">
										<tr>
											<td class="header">Queue Id</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueId"/></td>
											<td class="header">LSN</td>
											<td class="content"><xsl:value-of select="LSN"/></td>
										</tr>
									</xsl:for-each>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						

						<xsl:if test="TransactionStart">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Start Transaction
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionStart/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="TransactionStart/version"/></td>
									</tr>
									<tr>
										<td class="header">Previous LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionStart/prevLSN"/></td>
	              		<td class="header">TranType</td>
	              		<td class="content"><xsl:value-of select="TransactionRollback/transType"/></td>
              		</tr>
              		<tr>
              			<td class="header">TranNum (High/Low)</td>
              			<td class="content2" colspan="2"><xsl:value-of select="TransactionRollback/tranNumHigh"/>/<xsl:value-of select="TransactionRollback/tranNumLow"/></td>
										<td class="header">Soft Limit</td>
										<td class="content"><xsl:value-of select="TransactionStart/softlimit"/></td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="TransactionPrepare">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Prepare Transaction
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionPrepare/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="TransactionPrepare/version"/></td>
									</tr>
									<tr>
										<td class="header">Previous LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionPrepare/prevLSN"/></td>
	              		<td class="header">TranType</td>
	              		<td class="content"><xsl:value-of select="TransactionPrepare/transType"/></td>
              		</tr>
              		<tr>
              			<td class="header">TranNum (High/Low)</td>
              			<td class="content4" colspan="4"><xsl:value-of select="*/tranNumHigh"/>/<xsl:value-of select="*/tranNumLow"/></td>
              		</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="TransactionRollback">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Rollback Transaction
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionRollback/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="TransactionRollback/version"/></td>
									</tr>
									<tr>
										<td class="header">Previous LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionRollback/prevLSN"/></td>
	              		<td class="header">TranType</td>
	              		<td class="content"><xsl:value-of select="TransactionRollback/transType"/></td>
              		</tr>
              		<tr>
              			<td class="header">TranNum (High/Low)</td>
              			<td class="content4" colspan="4"><xsl:value-of select="TransactionRollback/tranNumHigh"/>/<xsl:value-of select="TransactionRollback/tranNumLow"/></td>
              		</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="TransactionEnd">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> End Transaction
								</span>
								<a style="font-size=x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionEnd/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="TransactionEnd/version"/></td>
									</tr>
									<tr>
										<td class="header">Previous LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionEnd/prevLSN"/></td>
	              		<td class="header">TranType</td>
	              		<td class="content"><xsl:value-of select="TransactionEnd/transType"/></td>
              		</tr>
              		<tr>
              			<td class="header">TranNum (High/Low)</td>
              			<td class="content4" colspan="4"><xsl:value-of select="TransactionEnd/tranNumHigh"/>/<xsl:value-of select="TransactionEnd/tranNumLow"/></td>
              		</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>

						<xsl:if test="TransactionTable">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Transaction Table
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="TransactionTable/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="TransactionTable/version"/></td>
									</tr>
									<tr>
										<td class="header">TranCount</td>
										<td class="content4" colspan="4"><xsl:value-of select="TransactionTable/count"/></td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="TransactionCommit">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Commit Transaction
									</span>
									<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
									<table class="record" align="center">
									<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content2" colspan="2"> <xsl:value-of select="TransactionCommit/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="TransactionCommit/version"/></td>
										</tr>
										<tr>
											<td class="header">Previous LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="TransactionCommit/prevLSN"/></td>
		              		<td class="header">TranType</td>
		              		<td class="content"><xsl:value-of select="TransactionCommit/transType"/></td>
	              		</tr>
	              		<tr>
	              			<td class="header">TranNum (High/Low)</td>
	              			<td class="content4" colspan="4"><xsl:value-of select="TransactionCommit/tranNumHigh"/>/<xsl:value-of select="TransactionCommit/tranNumLow"/></td>
	              		</tr>
									</table>
								</div>
								<hr width="70%" />
							</xsl:if>
							
							<xsl:if test="CheckpointStart">
								<div class="data">
									<span class="hand2">
										<a class="button">+</a> Checkpoint Start
									</span>
									<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
									<table class="record" align="center">
									<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content4" colspan="4"><xsl:value-of select="CheckpointStart/LSN"/></td>
										</tr>
									</table>
								</div>
								<hr width="70%" />
							</xsl:if>

							<xsl:if test="CheckpointEnd">
								<div class="data">
									<span class="hand2" style="font-size:x-small">
										<a class="button">+</a> Checkpoint End
									</span>
									<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
									<table class="record" align="center">
									<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="CheckpointEnd/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="CheckpointEnd/version"/></td>
										</tr>
										<tr>
											<td class="header">Check Point LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="CheckpointEnd/chkPtLSN"/></td>
											<td class="header">Media LSN</td>
											<td class="content"><xsl:value-of select="CheckpointEnd/mediaLSN"/></td>
										</tr>
										<tr>
											<td class="header">Oldest LSN</td>
											<td class="content4" colspan="4"><xsl:value-of select="CheckpointEnd/oldestLSN"/></td>
										</tr>
									</table>
								</div>
								<hr width="70%" />
							</xsl:if>
							
							<xsl:if test="QueueManagerStart">
								<div class="data">
									<span class="hand2" style="font-size:x-small">
										<a class="button">+</a> Queue Manager Start
									</span>
									<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
									<table class="record" align="center">
									<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueManagerStart/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueueManagerStart/version"/></td>
										</tr>
										<tr>
											<td class="header">Session</td>
											<td class="content4" colspan="4"><xsl:value-of select="QueueManagerStart/session"/></td>
										</tr>
										<tr>
											<td class="header">Start Date</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueManagerStart/datestamp"/></td>
											<td class="header">Start Time</td>
											<td class="content"><xsl:value-of select="QueueManagerStart/timestamp"/></td>
										</tr>
									</table>
								</div>
								<hr width="70%" />
							</xsl:if>

							<xsl:if test="QueueManagerStop">
								<div class="data">
									<span class="hand2" style="font-size:x-small">
										<a class="button">+</a> Queue Manager Stop
									</span>
									<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
									<table class="record" align="center">
									<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueManagerStop/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="QueueManagerStop/version"/></td>
										</tr>
										<tr>
											<td class="header">Session</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueManagerStop/session"/></td>
											<td class="header">Forced Stop</td>
											<td class="content"><xsl:value-of select="QueueManagerStop/forceFlag"/></td>
										</tr>
										<tr>
											<td class="header">Stop Date</td>
											<td class="content2" colspan="2"><xsl:value-of select="QueueManagerStop/datestamp"/></td>
											<td class="header">Stop Time</td>
											<td class="content"><xsl:value-of select="QueueManagerStop/timestamp"/></td>
										</tr>
									</table>
								</div>
								<hr width="70%" />
							</xsl:if>
							
							<xsl:if test="MediaImageLQMA">
								<div class="data">
									<span class="hand2" style="font-size:x-small">
										<a class="button">+</a> Media Image (Queue Manager)
									</span>
									<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
									<table class="record" align="center">
									<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="MediaImageLQMA/QueueId"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="MediaImageLQMA/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="MediaImageLQMA/version"/></td>
										</tr>
										<tr>
											<td class="header">Previous LSN</td>
											<td class="content4" colspan="4"><xsl:value-of select="MediaImageLQMA/prevLSN"/></td>
										</tr>
										<tr>
											<td class="header">Object Type</td>
											<td class="content2" colspan="2"><xsl:value-of select="MediaImageLQMA/objType"/></td>
											<td class="header">Object Name Length</td>
											<td class="content"><xsl:value-of select="format-number(MediaImageLQMA/objNameLen,'# ### ### ##0','EURO')"/></td>
										</tr>
										<tr>
											<td class="divider" colspan="5">Queue Manager Attributes</td>
										</tr>
										<tr>
										<td class="header">Description</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//description"/></td>
									</tr>
									<tr>
										<td class="header">Dead Letter Queue</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//DLQ"/></td>
									</tr>
									<tr>
										<td class="header">Default Transmission Queue</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//defXmitQueue"/></td>
									</tr>
									<tr>
										<td class="header">Channel Auto Definition Exit</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//chanAutoDefExit"/></td>
									</tr>
									<tr>
										<td class="header">Repository Name</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//reposMgrSvc"/></td>
									</tr>
									<tr>
										<td class="header">Repository Name List</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//reposMSNList"/></td>
									</tr>
									<tr>
										<td class="header">Command Queue</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//CommmandQ"/></td>
									</tr>
									<tr>
										<td class="header">Create Date</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
										<td class="header">Create Time</td>
										<td class="content"><xsl:value-of select=".//creTime"/></td>
									</tr>
									<tr>
										<td class="header">Alter Date</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
										<td class="header">Alter Time</td>
										<td class="content"><xsl:value-of select=".//altTime"/></td>
									</tr>
									<tr>
										<td class="header">Queue Manager Id</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//QMgrId"/></td>
										<td class="header">Trigger Interval</td>
										<td class="content"><xsl:value-of select=".//trigInterval"/></td>
									</tr>
									<tr>
										<td class="header">Max Message Length</td>
										<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ##0','EURO')"/></td>
										<td class="header">Max Uncommitted Messages</td>
										<td class="content"><xsl:value-of select=".//maxUMsgs"/></td>
									</tr>
									<tr>
										<td class="header">Max Handles</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//maxHandles"/></td>
									</tr>
									<tr>
										<td class="header">Authority Event</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//authEvent"/></td>
										<td class="header">Inhibit Event</td>
										<td class="content"><xsl:value-of select=".//inhibitEvent"/></td>
									</tr>
									<tr>
										<td class="header">Local Event</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//localEvent"/></td>
										<td class="header">Remote Event</td>
										<td class="content"><xsl:value-of select=".//remoteEvent"/></td>
									</tr>
									<tr>
										<td class="header">Performance Event</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//performEvent"/></td>
										<td class="header">Start/Stop Event</td>
										<td class="content"><xsl:value-of select=".//startStopEvent"/></td>
									</tr>
									<xsl:if test=".//loggerEv">
									<tr>
										<td class="header">Channel Event</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//chlEv"/></td>
										<td class="header">Logger Event</td>
										<td class="content"><xsl:value-of select=".//loggerEv"/></td>
									</tr>
								</xsl:if>	
								<tr>
										<td class="header">Channel Auto Definition</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//chanAutoDef"/></td>
										<td class="header">Channel Auto Definition Event</td>
										<td class="content"><xsl:value-of select=".//chanAutoDefEvt"/></td>
									</tr>
									<tr>
										<td class="header">Character Set</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//charSet"/></td>
										<td class="header">Max Priority</td>
										<td class="content"><xsl:value-of select=".//maxPriority"/></td>
									</tr>
	            		<xsl:if test=".//acctCono">
		            		<tr>
											<td class="header">Accounting Conn Override</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//acctCono"/></td>
											<td class="header">Accounting Interval</td>
											<td class="content"><xsl:value-of select=".//acctInt"/></td>
										</tr>
		            		<tr>
											<td class="header">MQI Accounting</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//acctMQI"/></td>
											<td class="header">Queue Accounting</td>
											<td class="content"><xsl:value-of select=".//acctQ"/></td>
										</tr>
		            		<tr>
											<td class="header">Statistics Interval</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//statInt"/></td>
											<td class="header">Queue Statistics</td>
											<td class="content"><xsl:value-of select=".//statQ"/></td>
										</tr>
		            		<tr>
											<td class="header">MQI Statistics</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//statMQI"/></td>
											<td class="header">Channel Statistics</td>
											<td class="content"><xsl:value-of select=".//statchl"/></td>
										</tr>
		            		<tr>
											<td class="header">Cluster Sender Statistics</td>
											<td class="content4" colspan="4"><xsl:value-of select=".//stataCls"/></td>
										</tr>
		            		<tr>
											<td class="header">Queue Monitoring</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//monQ"/></td>
											<td class="header">Channel Monitoring</td>
											<td class="content"><xsl:value-of select=".//monChl"/></td>
										</tr>
		            		<tr>
											<td class="header">Cluster Sender Monitoring</td>
											<td class="content4" colspan="4"><xsl:value-of select=".//monaCls"/></td>
										</tr>
		            		<tr>
											<td class="header">Command Server Control</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//scmdServ"/></td>
											<td class="header">Channel Initiator Control</td>
											<td class="content"><xsl:value-of select=".//schInit"/></td>
										</tr>
									</xsl:if>
	            		<tr>
										<td class="header">Cluster Workload Exit</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//clustWkloadExit"/></td>
									</tr>
									<tr>
										<td class="header">Cluster Workload Data</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//clustWkloadData"/></td>
									</tr>
									<tr>
										<td class="header">Cluster Workload Length</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//clustWloadLen"/></td>
									</tr>
									<xsl:if test=".//clwlmruc">
										<tr>
											<td class="header">Cluster Workload Channel MRU</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//clwlmruc"/></td>
											<td class="header">Cluster Workload Use Queue</td>
											<td class="content"><xsl:value-of select=".//clwluseQ"/></td>
										</tr>
		            		<tr>
											<td class="header">Activity Reports</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//actiVrec"/></td>
											<td class="header">Trace-route Information</td>
											<td class="content"><xsl:value-of select=".//routerec"/></td>
										</tr>
		            		<tr>
											<td class="header">IP Address Version</td>
											<td class="content4" colspan="4"><xsl:value-of select=".//ipAddrV"/></td>
										</tr>
									</xsl:if>
	            		<xsl:if test=".//sslKeyR">
										<tr>
											<td class="header">SSL Key Repository</td>
											<td class="content4" colspan="4"><xsl:value-of select=".//sslKeyR"/></td>
										</tr>
										<tr>
											<td class="header">SSL CRL Namelist</td>
											<td class="content4" colspan="4"><xsl:value-of select=".//sslCrlNL"/></td>
										</tr>
										<tr>
											<td class="header">SSL Crypto Hardware</td>
											<td class="content4" colspan="4"><xsl:value-of select=".//sslCryp"/></td>
										</tr>
									</xsl:if>
									<xsl:if test=".//sslEvent">
										<tr>
											<td class="header">SSL Event</td>
											<td class="content2" colspan="2"><xsl:value-of select=".//sslEvent"/></td>
											<td class="header">SSL FIPS Required</td>
											<td class="content"><xsl:value-of select=".//sslFips"/></td>
										</tr>
		            		<tr>
											<td class="header">SSL Key Reset Count</td>
											<td class="content4" colspan="4"><xsl:value-of select=".//sslRkeyC"/></td>
										</tr>
									</xsl:if>
            		</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="MediaImageLLQA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Media Image (Local Queue)
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Queue Name</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageLLQA/QueueName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageLLQA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaImageLLQA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="MediaImageLLQA/version"/></td>
									</tr>
									<tr>
										<td class="header">Previous LSN</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageLLQA/prevLSN"/></td>
									</tr>
									<tr>
										<td class="divider" colspan="5">Queue Attributes</td>
									</tr>
             			<tr>
              		<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
              		<td class="header">Process</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//process"/></td>
								</tr>
								<tr>
									<td class="header">Backout Requeue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//BOQName"/></td>
            		</tr>
            		<tr>
             			<td class="header">Initiation Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//initQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
           			</tr>
           			<tr>
             			<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
           			</tr>
           			<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
           			</tr>
           			<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
           			</tr>
          			<tr>
             			<td class="header">Max Queue Depth</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxDepth,'# ### ### ###','EURO')"/></td>
									<td class="header">Max Message Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Backout Threshold</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//BOThreshold"/></td>
									<td class="header">Share</td>
									<td class="content"><xsl:value-of select=".//share"/></td>
           			</tr>
           			<tr>
         	     		<td class="header">Default Share Option</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultSOpt"/></td>
									<td class="header">Harden Backout</td>
									<td class="content"><xsl:value-of select=".//hardenBO"/></td>
           			</tr>
           			<tr>
             			<td class="header">Msg Delivery Seq</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//delivery"/></td>
									<td class="header">Retain Interval</td>
									<td class="content"><xsl:value-of select="format-number(.//retain,'# ### ### ###','EURO')"/></td>
           			</tr>
           			<tr>
             			<td class="header">Usage</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//usage"/></td>
									<td class="header">Trigger</td>
									<td class="content"><xsl:value-of select=".//trigger"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//trigType"/></td>
									<td class="header">Trigger Depth</td>
									<td class="content"><xsl:value-of select=".//trigDepth"/></td>
           			</tr>
           			<tr>
             			<td class="header">Trigger Msg Priority</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//trigPrio"/></td>
								</tr>
           			<tr>
             			<td class="header">Trigger Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//trigData"/></td>
           			</tr>
           			<tr>
             			<td class="header">QDepth Low Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthLoEvt"/></td>
									<td class="header">QDepth Low Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthLow"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth High Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthHiEvt"/></td>
									<td class="header">QDepth High Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthHigh"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth Max Event</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//qDepthMaxEvt"/></td>
								</tr>
           			<tr>
             			<td class="header">Service Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//qSvcInt,'# ### ### ###','EURO')"/></td>
									<td class="header">Service Interval Event</td>
									<td class="content"><xsl:value-of select=".//qSvcIntEvt"/></td>
           			</tr>
           			<tr>
             			<td class="header">Non Persistent Message Class</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//NPMCLASS"/></td>
									<td class="header">Dist List Support</td>
									<td class="content"><xsl:value-of select=".//distList"/></td>
           			</tr>
           			<tr>
             			<td class="header">Scope</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//scope"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
          			</tr>
								<xsl:if test=".//acctQ">
									<tr>
	             			<td class="header">Queue Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctQ"/></td>
										<td class="header">Queue Monitoring</td>
										<td class="content"><xsl:value-of select=".//monQ"/></td>
	          			</tr>
									<tr>
	             			<td class="header">Queue Statistics</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//statQ"/></td>
									</tr>
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
									<tr>
	             			<td class="header">Cluster Workload Use Queue</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//clwluseQ"/></td>
									</tr>
          			</xsl:if>
							</table>
           		</div>
           		<hr width="70%" />
           	</xsl:if>
           	
           	<xsl:if test="MediaImageLMQA">
           		<div class="data">
           			<span class="hand2" style="font-size:x-small">
           				<a class="button">+</a> Media Image (Model Queue)
         				</span>
         				<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
         				<table class="record" align="center">
						<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
         				<tr>
         					<td class="header">Queue Manager</td>
         					<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
        				</tr>
     						<tr>
     							<td class="header">Queue Name</td>
     							<td class="content4" colspan="4"><xsl:value-of select="MediaImageLMQA/QueueName"/></td>
     						</tr>
       					<tr>
       						<td class="header">Queue Id</td>
       						<td class="content"><xsl:value-of select="MediaImageLMQA/QueueId"/></td>
     						</tr>
        				<tr>
        					<td class="header">LSN</td>
        					<td class="content2" colspan="2"><xsl:value-of select="MediaImageLMQA/LSN"/></td>
     							<td class="header">Version</td>
     							<td class="content"><xsl:value-of select="MediaImageLMQA/version"/></td>
        				</tr>
        				<tr>
        					<td class="header">Previous LSN</td>
        					<td class="content"><xsl:value-of select="MediaImageLMQA/prevLSN"/></td>
       					</tr>
	         			<tr>
	     	       		<td class="divider" colspan="5">Queue Attributes</td>
	         			</tr>
           			<tr>
             			<td class="header">Description</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//description"/></td>
           			</tr>
          			<tr>
             			<td class="header">Process</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//process"/></td>
								</tr>
								<tr>
									<td class="header">Backout Requeue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//BOQName"/></td>
            		</tr>
            		<tr>
             			<td class="header">Initiation Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//initQ"/></td>
								</tr>
								<tr>
									<td class="header">Cluster</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Create Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//creDate"/></td>
									<td class="header">Create Time</td>
									<td class="content"><xsl:value-of select=".//creTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Get Disabled</td>
									<td class="content"><xsl:value-of select=".//getDisabled"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<tr>
             			<td class="header">Max Queue Depth</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//maxDepth,'# ### ### ###','EURO')"/></td>
									<td class="header">Max Message Length</td>
									<td class="content"><xsl:value-of select="format-number(.//maxMsgLen,'# ### ### ###','EURO')"/></td>
            		</tr>
            		<tr>
             			<td class="header">Backout Threshold</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//BOThreshold"/></td>
									<td class="header">Share</td>
									<td class="content"><xsl:value-of select=".//share"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Share Option</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultSOpt"/></td>
									<td class="header">Harden Backout</td>
									<td class="content"><xsl:value-of select=".//hardenBO"/></td>
            		</tr>
            		<tr>
             			<td class="header">Msg Delivery Seq</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//delivery"/></td>
									<td class="header">Retain Interval</td>
									<td class="content"><xsl:value-of select="format-number(.//retain,'# ### ### ###','EURO')"/></td>
            		</tr>
            		<tr>
             			<td class="header">Usage</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//usage"/></td>
									<td class="header">Trigger</td>
									<td class="content"><xsl:value-of select=".//trigger"/></td>
            		</tr>
            		<tr>
             			<td class="header">Trigger Type</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//trigType"/></td>
									<td class="header">Trigger Depth</td>
									<td class="content"><xsl:value-of select=".//trigDepth"/></td>
            		</tr>
           			<tr>
             			<td class="header">Trigger Msg Priority</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//trigPrio"/></td>
								</tr>
           			<tr>
             			<td class="header">Trigger Data</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//trigData"/></td>
           			</tr>
           			<tr>
             			<td class="header">QDepth Low Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthLoEvt"/></td>
									<td class="header">QDepth Low Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthLow"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth High Event</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//qDepthHiEvt"/></td>
									<td class="header">QDepth High Limit</td>
									<td class="content"><xsl:value-of select=".//qDepthHigh"/></td>
								</tr>
           			<tr>
             			<td class="header">QDepth Max Event</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//qDepthMaxEvt"/></td>
								</tr>
           			<tr>
             			<td class="header">Service Interval</td>
									<td class="content2" colspan="2"><xsl:value-of select="format-number(.//qSvcInt,'# ### ### ###','EURO')"/></td>
									<td class="header">Service Interval Event</td>
									<td class="content"><xsl:value-of select=".//qSvcIntEvt"/></td>
           			</tr>
           			<tr>
             			<td class="header">Non Persistent Message Class</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//NPMCLASS"/></td>
									<td class="header">Dist List Support</td>
									<td class="content"><xsl:value-of select=".//distList"/></td>
           			</tr>
           			<tr>
             			<td class="header">Scope</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//scope"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
          			</tr>
								<xsl:if test=".//acctQ">
									<tr>
	             			<td class="header">Queue Accounting</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//acctQ"/></td>
										<td class="header">Queue Monitoring</td>
										<td class="content"><xsl:value-of select=".//monQ"/></td>
	          			</tr>
									<tr>
	             			<td class="header">Queue Statistics</td>
										<td class="content4" colspan="4"><xsl:value-of select=".//statQ"/></td>
									</tr>
	          		</xsl:if>
            	</table>
						</div>
						<hr width="70%" />
					</xsl:if>
					
					<xsl:if test="MediaImageLRQA">
						<div class="data">
							<span class="hand2" style="font-size:x-small">
								<a class="button">+</a> Media Image (Remote Queue)
							</span>
							<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
							<table class="record" align="center">
							<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
								<tr>
									<td class="header">Queue Manager</td>
									<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
								</tr>
								<tr>
									<td class="header">Queue Name</td>
									<td class="content4" colspan="4"><xsl:value-of select="MediaImageLRQA/QueueName"/></td>
								</tr>
								<tr>
									<td class="header">Queue Id</td>
									<td class="content"><xsl:value-of select="MediaImageLRQA/QueueId"/></td>
								</tr>
								<tr>
									<td class="header">LSN</td>
									<td class="content"><xsl:value-of select="MediaImageLRQA/LSN"/></td>
									<td class="header">Version</td>
									<td class="content"><xsl:value-of select="MediaImageLRQA/version"/></td>
								</tr>
								<tr>
									<td class="header">Previous LSN</td>
									<td class="content"><xsl:value-of select="MediaImageLRQA/prevLSN"/></td>
								</tr>
								<tr>
									<td class="divider" colspan="5">Queue Attributes</td>
								</tr>
								<tr>
             			<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
             			<td class="header">Remote QMgr</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQMgr"/></td>
								</tr>
								<tr>
									<td class="header">Remote Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQ"/></td>
            		</tr>
            		<tr>
             			<td class="header">Xmit Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//xmitq"/></td>
		            </tr>
            		<tr>
            			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Cluster</td>
									<td class="content"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<tr>
             			<td class="header">Scope</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//scope"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
            		</tr>
								<xsl:if test=".//clwlPrty">
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
	          		</xsl:if>
            	</table>
					 	</div>
					 	<hr width="70%" /> 
					 	</xsl:if>
						
						<xsl:if test="MediaImageLAQA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Media Image (Alias Queue)
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Queue Name</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageLAQA/QueueName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageLAQA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaImageLAQA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="MediaImageLAQA/version"/></td>
									</tr>
									<tr>
										<td class="header">Previous LSN</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageLAQA/prevLSN"/></td>
									</tr>
						 			<tr>
				 						<td class="divider" colspan="5">Queue Attributes</td>
						 			</tr>
									<tr>
             			<td class="header">Description</td>
									<td class="content4" colspan="4"> <xsl:value-of select=".//description"/></td>
            		</tr>
            		<tr>
             			<td class="header">Remote QMgr</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQMgr"/></td>
								</tr>
								<tr>
									<td class="header">Remote Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//remoteQ"/></td>
            		</tr>
            		<tr>
             			<td class="header">Xmit Queue</td>
									<td class="content4" colspan="4"><xsl:value-of select=".//xmitq"/></td>
		            </tr>
            		<tr>
            			<td class="header">Alter Date</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//altDate"/></td>
									<td class="header">Alter Time</td>
									<td class="content"><xsl:value-of select=".//altTime"/></td>
            		</tr>
            		<tr>
             			<td class="header">Put Disabled</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//putDisabled"/></td>
									<td class="header">Cluster</td>
									<td class="content"><xsl:value-of select=".//cluster"/></td>
            		</tr>
            		<tr>
             			<td class="header">Default Priority</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//defaultPrio"/></td>
									<td class="header">Default Persistence</td>
									<td class="content"><xsl:value-of select=".//defaultPers"/></td>
            		</tr>
            		<tr>
             			<td class="header">Scope</td>
									<td class="content2" colspan="2"><xsl:value-of select=".//scope"/></td>
									<td class="header">Default Bind</td>
									<td class="content"><xsl:value-of select=".//defaultBind"/></td>
            		</tr>
								<xsl:if test=".//clwlPrty">
									<tr>
	             			<td class="header">Cluster Workload Queue Priority</td>
										<td class="content2" colspan="2"><xsl:value-of select=".//clwlPrty"/></td>
										<td class="header">Cluster Workload Queue Rank</td>
										<td class="content"><xsl:value-of select=".//clwlRank"/></td>
	          			</tr>
	          		</xsl:if>
            	</table>
             	</div>
             	<hr width="70%" />
            </xsl:if>
       		 
						<xsl:if test="MediaImageLPRA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Media Image (Process)
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Process Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select="MediaImageLPRA/objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content"><xsl:value-of select="MediaImageLPRA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaImageLPRA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="MediaImageLPRA/version"/></td>
									</tr>
									<tr>
										<td class="header">Previous LSN</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageLPRA/prevLSN"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaImageLPRA/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(MediaImageLPRA/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr>
										<td class="divider" colspan="5">Process Attributes</td>
									</tr>
									<tr>
										<td class="header">Description</td>
										<td class="content4" colspan="4" > <xsl:value-of select="MediaImageLPRA/description"/></td>
									</tr>
									<tr>
										<td class="header">Application Id</td>
										<td class="content4" colspan="4"> <xsl:value-of select="MediaImageLPRA/applId"/></td>
									</tr>
									<tr>
										<td class="header">Application Type</td>
										<td class="content4" colspan="4"> <xsl:value-of select="MediaImageLPRA/applType"/></td>
									</tr>
									<tr>
										<td class="header">User Data</td>
										<td class="content4" colspan="4"> <xsl:value-of select="MediaImageLPRA/userData"/></td>
									</tr>
									<tr>
										<td class="header">Environment Data</td>
										<td class="content4" colspan="4"> <xsl:value-of select="MediaImageLPRA/environData"/></td>
									</tr>
									<tr>
										<td class="header">Alter Date</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaImageLPRA/altDate"/></td>
										<td class="header">Alter Time</td>
										<td class="content"><xsl:value-of select="MediaImageLPRA/altTime"/></td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="MediaImageLNRA">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Media Image (Namelist)
								</span>
								<a> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Namelist Name</td>
										<td class="content4" colspan="4"> <xsl:value-of select="MediaImageLNRA/objName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageLNRA/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" clspan="2"><xsl:value-of select="MediaImageLNRA/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="MediaImageLNRA/version"/></td>
									</tr>
									<tr>
										<td class="header">Object Type</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaImageLNRA/objType"/></td>
										<td class="header">Object Name Length</td>
										<td class="content"><xsl:value-of select="format-number(MediaImageLNRA/objNameLen,'# ### ### ##0','EURO')"/></td>
									</tr>
									<tr>
										<td class="divider" colspan="5">Namelist Attributes</td>
									</tr>
									<tr>
										<td class="header">Description</td>
										<td class="content4" colspan="4"> <xsl:value-of select="MediaImageLNRA/description"/></td>
									</tr>
									<tr>
										<td class="header">Alter Date</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaImageLNRA/altDate"/></td>
										<td class="header">Alter Time</td>
										<td class="content"><xsl:value-of select="MediaImageLNRA/altTime"/></td>
									</tr>
									<tr>
										<td class="header">Names</td>
										<td class="content4" colspan="4">
											<xsl:for-each select="MediaImageLNRA/names/Name">
												<xsl:value-of select="."/><br/>
											</xsl:for-each>
										</td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="MediaImageCont">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Media Image (Continuation)
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">Queue Name</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageCont/QueueName"/></td>
									</tr>
									<tr>
										<td class="header">Queue Id</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageCont/QueueId"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="MediaImageCont/LSN"/></td>
									<td class="header">Version</td>
									<td class="content"><xsl:value-of select="MediaImageCont/version"/></td>
									</tr>
									<tr>
										<td class="header">Previous LSN</td>
										<td class="content4" colspan="4"><xsl:value-of select="MediaImageCont/prevLSN"/></td>
									</tr>
								</table>
							</div>
							<hr width="70%" />
						</xsl:if>
						
						<xsl:if test="CatalogImage">
							<div class="data">
								<span class="hand2" style="font-size:x-small">
									<a class="button">+</a> Catalog Image
								</span>
								<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
								<table class="record" align="center">
								<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
									<tr>
										<td class="header">Queue Manager</td>
										<td class="content4" colspan="4" > <xsl:value-of select="*/QMgr"/></td>
									</tr>
									<tr>
										<td class="header">LSN</td>
										<td class="content2" colspan="2"><xsl:value-of select="CatalogImage/LSN"/></td>
										<td class="header">Version</td>
										<td class="content"><xsl:value-of select="CatalogImage/version"/></td>
									</tr>
									<tr>
										<td class="header">Items Count</td>
										<td class="content4" colspan="4"><xsl:value-of select="CatalogImage/indexCount"/></td>
									</tr>
									<tr>
										<td class="divider" colspan="5">Catalog Items</td>
									</tr>
									<xsl:for-each select="CatalogImage/items">
									<tr>
										<td class="header">Item Index</td>
										<td class="content2" colspan="2"><xsl:value-of select="Index"/></td>
										<td class="header">Object Type</td>
										<td class="content"><xsl:value-of select="ObjectType"/></td>
									</tr>
									<tr>
										<td class="header">Object Name</td>
										<td class="content4" colspan="4"><xsl:value-of select="ObjectName"/></td>
									</tr>
									<xsl:if test="ObjectType='Queue'">
									<tr>
										<td class="header">Queue Id</td>
										<td class="content2" colspan="2"><xsl:value-of select="QueueID"/></td>
										<td class="header">Queue Type</td>
										<td class="content"><xsl:value-of select="QueueType"/></td>
									</tr>
									</xsl:if>
									<tr>
										<td class="header">RealName</td>
										<td class="content4" colspan="4"> <xsl:value-of select="RealName"/></td>
									</tr><tr></tr>
									</xsl:for-each>
								</table>
							</div>
							<hr width="70%" />
							</xsl:if>
							
							<xsl:if test="MediaCreate">
								<div class="data">
									<span class="hand2" style="font-size:x-small">
										<a class="button">+</a> Media Create
									</span>
									<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
									<table class="record" align="center">
									<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">Object Name</td>
											<td class="content4" colspan="4"> <xsl:value-of select="MediaCreate/objName"/></td>
										</tr>
										<tr>
											<td class="header">Queue Id</td>
											<td class="content4" colspan="4"><xsl:value-of select="MediaCreate/QueueId"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="MediaCreate/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="MediaCreate/version"/></td>
										</tr>
										<tr>
											<td class="header">Object Type</td>
											<td class="content2" colspan="2"><xsl:value-of select="MediaCreate/objType"/></td>
											<td class="header">Object Name Length</td>
											<td class="content"><xsl:value-of select="format-number(MediaCreate/objNameLen,'# ### ### ##0','EURO')"/></td>
										</tr>
										<tr>
											<td class="header">Attribute Length</td>
											<td class="content2" colspan="2"><xsl:value-of select="format-number(MediaCreate/attrsLen,'# ### ### ##0','EURO')"/></td>
											<td class="header">User ID</td>
											<td class="content"><xsl:value-of select="MediaCreate/userID"/></td>
										</tr>
										<tr>
											<td class="header">Real Name</td>
											<td class="content4" colspan="4"><xsl:value-of select="MediaCreate/realName"/></td>
										</tr>
										<tr>
											<td class="header">Real Location</td>
											<td class="content4" colspan="4"> <xsl:value-of select="MediaCreate/realLocation"/></td>
										</tr>
										<tr>
											<td class="header">Disk Offset</td>
											<td class="content4" colspan="4"><xsl:value-of select="MediaCreate/diskOffset"/></td>
										</tr>
										<tr>
											<td class="header">Security Id</td>
											<td class="content4" colspan="4"> <xsl:value-of select="MediaCreate/securityID"/></td>
										</tr>
									</table>
								</div>
								<hr width="70%" />
							</xsl:if>
							
							<xsl:if test="TransactionParticipants">
								<div class="data">
									<span class="hand2" style="font-size:x-small">
										<a class="button">+</a> Transaction Participants
									</span>
									<a style="font-size:x-small"> - <xsl:value-of select="*/EarliestDate"/> - <xsl:value-of select="*/QMgr"/></a>
									<table class="record" align="center">
									<tr>
	                 				<td class="header">Earliest Date</td>
									<td class="content2" colspan="2"><xsl:value-of select="*/EarliestDate"/></td>
									<td class="header">Latest Date</td>
									<td class="content"><xsl:value-of select="*/LatestDate"/></td>
										</tr>
										<tr>
											<td class="header">Queue Manager</td>
											<td class="content4" colspan="4"><xsl:value-of select="*/QMgr"/></td>
										</tr>
										<tr>
											<td class="header">LSN</td>
											<td class="content2" colspan="2"><xsl:value-of select="TransactionParticipants/LSN"/></td>
											<td class="header">Version</td>
											<td class="content"><xsl:value-of select="TransactionParticipants/version"/></td>
										</tr>
										<tr>
											<td class="header">Id</td>
											<td class="content2" colspan="2"><xsl:value-of select="TransactionParticipants/signature"/></td>
											<td class="header">Flags</td>
											<td class="content"><xsl:value-of select="TransactionParticipants/flags"/></td>
										</tr>
										<tr>
											<td class="header">Count</td>
											<td class="content4" colspan="4"><xsl:value-of select="TransactionParticipants/count"/></td>
										</tr>
									</table>
								</div>
								<hr width="70%" />
							</xsl:if>
						</xsl:for-each>
						<table align="center" bgcolor="#E9E9E9">
							<tbody>
								<tr style="background-color:#EEEEEE; font-size: xx-small;">
									<td>Copyright © 2010 Cressida Technology Ltd</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
			</tbody>
		</table>
	</body>
	</html>
</xsl:template>
</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Topic Objects" userelativepaths="yes" externalpreview="no" url="Mq7TopicDetail.xml" htmlbaseurl="" outputurl="" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition>
			<template match="/"></template>
		</MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->